import { ref as q, watch as ce, openBlock as c, createElementBlock as d, createElementVNode as b, defineComponent as T, createBlock as _, Transition as Fe, withCtx as S, normalizeClass as L, resolveDynamicComponent as X, createCommentVNode as w, toDisplayString as C, renderSlot as P, withModifiers as ht, createVNode as F, unref as h, useSlots as Pt, toRef as gr, computed as y, useAttrs as hr, toRefs as yt, onMounted as M, normalizeStyle as ye, withDirectives as qe, mergeProps as be, vModelCheckbox as Mt, Fragment as j, createTextVNode as J, cloneVNode as yr, h as O, inject as Z, provide as ee, watchEffect as K, onUnmounted as Y, Teleport as wr, reactive as Tr, shallowRef as kr, nextTick as xr, renderList as se, createStaticVNode as qr, TransitionGroup as tt, KeepAlive as _r, vShow as Re } from "vue";
const $r = {
  "--neutral-0": "#ffffff",
  "--neutral-50": "#f9fafb",
  "--neutral-100": "#f3f4f6",
  "--neutral-200": "#e5e7eb",
  "--neutral-300": "#d1d5db",
  "--neutral-400": "#9ca3af",
  "--neutral-500": "#6b7280",
  "--neutral-600": "#4b5563",
  "--neutral-700": "#374151",
  "--neutral-800": "#1f2937",
  "--neutral-900": "#111827",
  "--brand-50": "#f5f8f8",
  "--brand-100": "#eaeeef",
  "--brand-200": "#d2dadb",
  "--brand-300": "#acbdbd",
  "--brand-400": "#8ea6a6",
  "--brand-500": "#437571",
  "--brand-600": "#004e48",
  "--brand-700": "#023d38",
  "--brand-800": "#021f1c",
  "--brand-900": "#020a0b",
  "--green-50": "#eefff4",
  "--green-100": "#d7ffe7",
  "--green-200": "#b2ffd1",
  "--green-300": "#7dffb3",
  "--green-400": "#33f584",
  "--green-500": "#09de62",
  "--green-600": "#01b84e",
  "--green-700": "#059040",
  "--green-800": "#0a7137",
  "--green-900": "#0a5d2f",
  "--lime-50": "#f7ffe4",
  "--lime-100": "#ebffc4",
  "--lime-200": "#d8ff90",
  "--lime-300": "#bbff50",
  "--lime-400": "#a9ff34",
  "--lime-500": "#7fe600",
  "--lime-600": "#61b800",
  "--lime-700": "#498b00",
  "--lime-800": "#3b6d07",
  "--lime-900": "#335c0b",
  "--teal-50": "#effefd",
  "--teal-100": "#c7fffa",
  "--teal-200": "#7dfff4",
  "--teal-300": "#50f8ef",
  "--teal-400": "#1de4e1",
  "--teal-500": "#04c8c7",
  "--teal-600": "#009da1",
  "--teal-700": "#057d80",
  "--teal-800": "#0a6165",
  "--teal-900": "#0d5154",
  "--blue-50": "#eef9ff",
  "--blue-100": "#d9f1ff",
  "--blue-200": "#bce8ff",
  "--blue-300": "#8edbff",
  "--blue-400": "#59c5ff",
  "--blue-500": "#34a9ff",
  "--blue-600": "#1b8af5",
  "--blue-700": "#1472e1",
  "--blue-800": "#175bb6",
  "--blue-900": "#194e8f",
  "--purple-50": "#f9f4ff",
  "--purple-100": "#f0e5ff",
  "--purple-200": "#e4d0ff",
  "--purple-300": "#d0acff",
  "--purple-400": "#b276ff",
  "--purple-500": "#9542ff",
  "--purple-600": "#8a34ff",
  "--purple-700": "#6a0ee2",
  "--purple-800": "#5b12b7",
  "--purple-900": "#4c1093",
  "--pink-50": "#fef1f9",
  "--pink-100": "#fee5f5",
  "--pink-200": "#ffcaed",
  "--pink-300": "#ff9fdd",
  "--pink-400": "#ff63c4",
  "--pink-500": "#ff34a9",
  "--pink-600": "#f01287",
  "--pink-700": "#d1056b",
  "--pink-800": "#ad0758",
  "--pink-900": "#8f0c4c",
  "--red-50": "#fff1f1",
  "--red-100": "#ffe3e3",
  "--red-200": "#ffcccf",
  "--red-300": "#ffa1a7",
  "--red-400": "#ff7d88",
  "--red-500": "#f93a4f",
  "--red-600": "#e71738",
  "--red-700": "#c30d2e",
  "--red-800": "#a30e2e",
  "--red-900": "#8b102f",
  "--orange-50": "#fff5ed",
  "--orange-100": "#ffe9d4",
  "--orange-200": "#ffcfa9",
  "--orange-300": "#ffb37d",
  "--orange-400": "#fe7f39",
  "--orange-500": "#fc5c13",
  "--orange-600": "#ed4109",
  "--orange-700": "#c52e09",
  "--orange-800": "#9c2610",
  "--orange-900": "#7e2111",
  "--yellow-50": "#fefde8",
  "--yellow-100": "#fffdc2",
  "--yellow-200": "#fff87b",
  "--yellow-300": "#ffee45",
  "--yellow-400": "#fcdd13",
  "--yellow-500": "#ecc406",
  "--yellow-600": "#cc9902",
  "--yellow-700": "#a26d06",
  "--yellow-800": "#86550d",
  "--yellow-900": "#724611",
  "--silver-tree-50": "#f3faf7",
  "--silver-tree-100": "#d8efe5",
  "--silver-tree-200": "#b1decc",
  "--silver-tree-300": "#82c6ad",
  "--silver-tree-400": "#5cab91",
  "--silver-tree-500": "#3e8e75",
  "--silver-tree-600": "#30715e",
  "--silver-tree-700": "#2a5b4e",
  "--silver-tree-800": "#254a40",
  "--silver-tree-900": "#223f37",
  "--gimblet-50": "#faf9f2",
  "--gimblet-100": "#f3f1e1",
  "--gimblet-200": "#e5e1c3",
  "--gimblet-300": "#d5cd9c",
  "--gimblet-400": "#bdac67",
  "--gimblet-500": "#b6a059",
  "--gimblet-600": "#a98d4d",
  "--gimblet-700": "#8c7142",
  "--gimblet-800": "#725c3a",
  "--gimblet-900": "#5d4b31",
  "--mongoose-50": "#f9f7f3",
  "--mongoose-100": "#f2ede2",
  "--mongoose-200": "#e4d9c4",
  "--mongoose-300": "#d2bf9f",
  "--mongoose-400": "#bfa178",
  "--mongoose-500": "#b28b5d",
  "--mongoose-600": "#a47852",
  "--mongoose-700": "#896245",
  "--mongoose-800": "#6f4f3d",
  "--mongoose-900": "#5b4233",
  "--muddy-waters-50": "#f9f4f1",
  "--muddy-waters-100": "#eedfd7",
  "--muddy-waters-200": "#dbbeac",
  "--muddy-waters-300": "#c89a81",
  "--muddy-waters-400": "#bd8167",
  "--muddy-waters-500": "#b06450",
  "--muddy-waters-600": "#9b4f44",
  "--muddy-waters-700": "#813d3c",
  "--muddy-waters-800": "#6b3538",
  "--muddy-waters-900": "#592e30",
  "--viola-50": "#faf5f7",
  "--viola-100": "#f6edf1",
  "--viola-200": "#eedce3",
  "--viola-300": "#e2bfcc",
  "--viola-400": "#ce97ab",
  "--viola-500": "#bc788f",
  "--viola-600": "#a75b71",
  "--viola-700": "#8e485a",
  "--viola-800": "#763e4c",
  "--viola-900": "#643742",
  "--light-wisteria-50": "#fbf8fc",
  "--light-wisteria-100": "#f6eef9",
  "--light-wisteria-200": "#f0e0f4",
  "--light-wisteria-300": "#e3c7eb",
  "--light-wisteria-400": "#d0a3dd",
  "--light-wisteria-500": "#bd7fcd",
  "--light-wisteria-600": "#aa62bb",
  "--light-wisteria-700": "#924ea2",
  "--light-wisteria-800": "#7a4485",
  "--light-wisteria-900": "#63386b",
  "--cold-purple-50": "#f6f6fc",
  "--cold-purple-100": "#efeef9",
  "--cold-purple-200": "#e1e0f4",
  "--cold-purple-300": "#cac6ec",
  "--cold-purple-400": "#a69ddc",
  "--cold-purple-500": "#9181d1",
  "--cold-purple-600": "#7d65c2",
  "--cold-purple-700": "#6c53ae",
  "--cold-purple-800": "#5b4592",
  "--cold-purple-900": "#4b3a78",
  "--polo-blue-50": "#f4f6fa",
  "--polo-blue-100": "#e6ebf3",
  "--polo-blue-200": "#d2dbeb",
  "--polo-blue-300": "#b4c4dc",
  "--polo-blue-400": "#97abce",
  "--polo-blue-500": "#758abc",
  "--polo-blue-600": "#6274ae",
  "--polo-blue-700": "#57639e",
  "--polo-blue-800": "#4b5382",
  "--polo-blue-900": "#3f4669",
  "--neptune-50": "#f2f9f9",
  "--neptune-100": "#ddeef0",
  "--neptune-200": "#bfdfe2",
  "--neptune-300": "#92c7ce",
  "--neptune-400": "#74b2bc",
  "--neptune-500": "#438a97",
  "--neptune-600": "#3a7280",
  "--neptune-700": "#345e6a",
  "--neptune-800": "#314f59",
  "--neptune-900": "#2d444c",
  "--mantis-50": "#f5faf3",
  "--mantis-100": "#e7f5e3",
  "--mantis-200": "#cfeac8",
  "--mantis-300": "#a9d89d",
  "--mantis-400": "#78bd67",
  "--mantis-500": "#57a245",
  "--mantis-600": "#448534",
  "--mantis-700": "#37692c",
  "--mantis-800": "#2f5427",
  "--mantis-900": "#284522",
  "--isbre-50": "#FCFDFD",
  "--isbre-100": "#F6F9F9",
  "--isbre-200": "#F1F5F5",
  "--isbre-300": "#ECF1F1",
  "--isbre-400": "#E6EDED",
  "--isbre-500": "#E1E8E9",
  "--isbre-600": "#DCE4E4",
  "--isbre-700": "#D7DFE0",
  "--text-primary": "var(--neutral-900)",
  "--text-secondary": "var(--neutral-600)",
  "--text-tertiary": "var(--neutral-400)",
  "--text-success": "var(--green-900)",
  "--text-warning": "var(--yellow-900)",
  "--text-danger": "var(--red-900)",
  "--text-info": "var(--blue-900)",
  "--text-emphasis": "var(--neutral-0)",
  "--text-interactive": "var(--silver-tree-600)",
  "--text-interactive-hover": "var(--silver-tree-700)",
  "--text-interactive-active": "var(--silver-tree-500)",
  "--text-button-primary": "var(--neutral-0)",
  "--text-button-secondary": "var(--neutral-900)",
  "--text-button-tertiary": "var(--silver-tree-600)",
  "--text-button-tertiary-hover": "var(--silver-tree-700)",
  "--text-button-tertiary-active": "var(--silver-tree-500)",
  "--text-button-danger-primary": "var(--neutral-0)",
  "--text-button-danger-secondary": "var(--red-800)",
  "--text-button-danger-tertiary": "var(--neutral-900)",
  "--text-button-danger-tertiary-hover": "var(--red-800)",
  "--text-button-danger-tertiary-active": "var(--red-600)",
  "--border-on-primary": "var(--neutral-200)",
  "--border-on-secondary": "var(--neutral-300)",
  "--border-on-tertiary": "var(--neutral-400)",
  "--border-success": "rgba(10,92,47,0.4)",
  "--border-warning": "rgba(115,71,17,0.4)",
  "--border-danger": "rgba(137,16,46,0.4)",
  "--border-info": "rgba(25,78,143,0.4)",
  "--border-emphasis": "var(--neutral-800)",
  "--border-button-primary": "var(--silver-tree-700)",
  "--border-button-primary-hover": "var(--silver-tree-800)",
  "--border-button-primary-active": "var(--silver-tree-600)",
  "--border-button-secondary": "var(--neutral-300)",
  "--border-button-secondary-hover": "var(--neutral-900)",
  "--border-button-secondary-active": "var(--neutral-400)",
  "--border-button-danger-primary": "var(--red-800)",
  "--border-button-danger-primary-hover": "var(--red-900)",
  "--border-button-danger-primary-active": "var(--red-700)",
  "--border-button-danger-secondary": "var(--neutral-300)",
  "--border-button-danger-secondary-hover": "var(--red-800)",
  "--border-button-danger-secondary-active": "var(--red-700)",
  "--bg-primary": "var(--neutral-0)",
  "--bg-primary-hover": "var(--isbre-50)",
  "--bg-primary-active": "var(--isbre-200)",
  "--bg-secondary": "var(--isbre-100)",
  "--bg-secondary-hover": "var(--isbre-200)",
  "--bg-secondary-active": "var(--isbre-300)",
  "--bg-tertiary": "var(--isbre-400)",
  "--bg-tertiary-hover": "var(--isbre-500)",
  "--bg-tertiary-active": "var(--isbre-600)",
  "--bg-success": "var(--green-50)",
  "--bg-warning": "var(--yellow-50)",
  "--bg-danger": "var(--red-50)",
  "--bg-info": "var(--blue-50)",
  "--bg-emphasis": "var(--neutral-900)",
  "--bg-button-primary": "var(--silver-tree-600)",
  "--bg-button-primary-hover": "var(--silver-tree-700)",
  "--bg-button-primary-active": "var(--silver-tree-500)",
  "--bg-button-secondary": "var(--neutral-0)",
  "--bg-button-secondary-hover": "var(--neutral-50)",
  "--bg-button-secondary-active": "var(--neutral-50)",
  "--bg-button-danger-primary": "var(--red-700)",
  "--bg-button-danger-primary-hover": "var(--red-800)",
  "--bg-button-danger-primary-active": "var(--red-600)",
  "--bg-button-danger-secondary": "var(--neutral-0)",
  "--bg-button-danger-secondary-hover": "var(--red-50)",
  "--bg-button-danger-secondary-active": "var(--red-50)"
}, Er = {
  "--text-primary": "var(--neutral-0)",
  "--text-secondary": "var(--brand-200)",
  "--text-tertiary": "var(--brand-400)",
  "--text-interactive": "#D8B9A6",
  "--text-interactive-hover": "var(--muddy-waters-300)",
  "--text-interactive-active": "#DFC5B4",
  "--text-button-primary": "var(--brand-800)",
  "--text-button-secondary": "var(--muddy-waters-200)",
  "--text-button-tertiary": "var(--muddy-waters-200)",
  "--text-button-tertiary-hover": "var(--muddy-waters-300)",
  "--text-button-tertiary-active": "#DFC5B4",
  "--border-on-primary": "var(--brand-400)",
  "--border-on-secondary": "var(--brand-300)",
  "--border-on-tertiary": "var(--brand-200)",
  "--border-button-primary-hover": "var(--muddy-waters-200)",
  "--border-button-primary-active": "var(--muddy-waters-50)",
  "--border-button-secondary": "var(--brand-500)",
  "--border-button-secondary-hover": "var(--brand-400)",
  "--border-button-secondary-active": "var(--brand-400)",
  "--bg-primary": "var(--brand-600)",
  "--bg-primary-hover": "var(--brand-700)",
  "--bg-primary-active": "var(--brand-500)",
  "--bg-secondary": "var(--brand-500)",
  "--bg-secondary-hover": "var(--brand-600)",
  "--bg-secondary-active": "var(--brand-400)",
  "--bg-tertiary": "var(--brand-400)",
  "--bg-tertiary-hover": "var(--brand-500)",
  "--bg-tertiary-active": "var(--brand-300)",
  "--bg-button-primary": "#D8B9A6",
  "--bg-button-primary-hover": "var(--muddy-waters-300)",
  "--bg-button-primary-active": "#DFC5B4",
  "--bg-button-secondary": "#00524B",
  "--bg-button-secondary-hover": "#004D47",
  "--bg-button-secondary-active": "#006159"
};
function Ut(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var Cr = {
  aqua: /#00ffff(ff)?(?!\w)|#0ff(f)?(?!\w)/gi,
  azure: /#f0ffff(ff)?(?!\w)/gi,
  beige: /#f5f5dc(ff)?(?!\w)/gi,
  bisque: /#ffe4c4(ff)?(?!\w)/gi,
  black: /#000000(ff)?(?!\w)|#000(f)?(?!\w)/gi,
  blue: /#0000ff(ff)?(?!\w)|#00f(f)?(?!\w)/gi,
  brown: /#a52a2a(ff)?(?!\w)/gi,
  coral: /#ff7f50(ff)?(?!\w)/gi,
  cornsilk: /#fff8dc(ff)?(?!\w)/gi,
  crimson: /#dc143c(ff)?(?!\w)/gi,
  cyan: /#00ffff(ff)?(?!\w)|#0ff(f)?(?!\w)/gi,
  darkblue: /#00008b(ff)?(?!\w)/gi,
  darkcyan: /#008b8b(ff)?(?!\w)/gi,
  darkgrey: /#a9a9a9(ff)?(?!\w)/gi,
  darkred: /#8b0000(ff)?(?!\w)/gi,
  deeppink: /#ff1493(ff)?(?!\w)/gi,
  dimgrey: /#696969(ff)?(?!\w)/gi,
  gold: /#ffd700(ff)?(?!\w)/gi,
  green: /#008000(ff)?(?!\w)/gi,
  grey: /#808080(ff)?(?!\w)/gi,
  honeydew: /#f0fff0(ff)?(?!\w)/gi,
  hotpink: /#ff69b4(ff)?(?!\w)/gi,
  indigo: /#4b0082(ff)?(?!\w)/gi,
  ivory: /#fffff0(ff)?(?!\w)/gi,
  khaki: /#f0e68c(ff)?(?!\w)/gi,
  lavender: /#e6e6fa(ff)?(?!\w)/gi,
  lime: /#00ff00(ff)?(?!\w)|#0f0(f)?(?!\w)/gi,
  linen: /#faf0e6(ff)?(?!\w)/gi,
  maroon: /#800000(ff)?(?!\w)/gi,
  moccasin: /#ffe4b5(ff)?(?!\w)/gi,
  navy: /#000080(ff)?(?!\w)/gi,
  oldlace: /#fdf5e6(ff)?(?!\w)/gi,
  olive: /#808000(ff)?(?!\w)/gi,
  orange: /#ffa500(ff)?(?!\w)/gi,
  orchid: /#da70d6(ff)?(?!\w)/gi,
  peru: /#cd853f(ff)?(?!\w)/gi,
  pink: /#ffc0cb(ff)?(?!\w)/gi,
  plum: /#dda0dd(ff)?(?!\w)/gi,
  purple: /#800080(ff)?(?!\w)/gi,
  red: /#ff0000(ff)?(?!\w)|#f00(f)?(?!\w)/gi,
  salmon: /#fa8072(ff)?(?!\w)/gi,
  seagreen: /#2e8b57(ff)?(?!\w)/gi,
  seashell: /#fff5ee(ff)?(?!\w)/gi,
  sienna: /#a0522d(ff)?(?!\w)/gi,
  silver: /#c0c0c0(ff)?(?!\w)/gi,
  skyblue: /#87ceeb(ff)?(?!\w)/gi,
  snow: /#fffafa(ff)?(?!\w)/gi,
  tan: /#d2b48c(ff)?(?!\w)/gi,
  teal: /#008080(ff)?(?!\w)/gi,
  thistle: /#d8bfd8(ff)?(?!\w)/gi,
  tomato: /#ff6347(ff)?(?!\w)/gi,
  violet: /#ee82ee(ff)?(?!\w)/gi,
  wheat: /#f5deb3(ff)?(?!\w)/gi,
  white: /#ffffff(ff)?(?!\w)|#fff(f)?(?!\w)/gi
}, rt = Cr, wt = {
  whitespace: /\s+/g,
  urlHexPairs: /%[\dA-F]{2}/g,
  quotes: /"/g
};
function Lr(e) {
  return e.trim().replace(wt.whitespace, " ");
}
function Sr(e) {
  return encodeURIComponent(e).replace(wt.urlHexPairs, Fr);
}
function Br(e) {
  return Object.keys(rt).forEach(function(t) {
    rt[t].test(e) && (e = e.replace(rt[t], t));
  }), e;
}
function Fr(e) {
  switch (e) {
    case "%20":
      return " ";
    case "%3D":
      return "=";
    case "%3A":
      return ":";
    case "%2F":
      return "/";
    default:
      return e.toLowerCase();
  }
}
function ut(e) {
  if (typeof e != "string")
    throw new TypeError("Expected a string, but received " + typeof e);
  e.charCodeAt(0) === 65279 && (e = e.slice(1));
  var t = Br(Lr(e)).replace(wt.quotes, "'");
  return "data:image/svg+xml," + Sr(t);
}
ut.toSrcset = function(t) {
  return ut(t).replace(/ /g, "%20");
};
var Ar = ut, It = {}, zt = {};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return r;
    }
  });
  function t(a, o) {
    return {
      handler: a,
      config: o
    };
  }
  t.withOptions = function(a, o = () => ({})) {
    const n = function(l) {
      return {
        __options: l,
        handler: a(l),
        config: o(l)
      };
    };
    return n.__isOptionsFunction = !0, n.__pluginFunction = a, n.__configFunction = o, n;
  };
  const r = t;
})(zt);
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return a;
    }
  });
  const t = /* @__PURE__ */ r(zt);
  function r(o) {
    return o && o.__esModule ? o : {
      default: o
    };
  }
  const a = t.default;
})(It);
let at = It;
var Dr = (at.__esModule ? at : { default: at }).default, jt = {}, Rt = {};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "cloneDeep", {
    enumerable: !0,
    get: function() {
      return t;
    }
  });
  function t(r) {
    return Array.isArray(r) ? r.map((a) => t(a)) : typeof r == "object" && r !== null ? Object.fromEntries(Object.entries(r).map(([a, o]) => [
      a,
      t(o)
    ])) : r;
  }
})(Rt);
var Or = {
  content: [],
  presets: [],
  darkMode: "media",
  // or 'class'
  theme: {
    accentColor: ({ theme: e }) => ({
      ...e("colors"),
      auto: "auto"
    }),
    animation: {
      none: "none",
      spin: "spin 1s linear infinite",
      ping: "ping 1s cubic-bezier(0, 0, 0.2, 1) infinite",
      pulse: "pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite",
      bounce: "bounce 1s infinite"
    },
    aria: {
      busy: 'busy="true"',
      checked: 'checked="true"',
      disabled: 'disabled="true"',
      expanded: 'expanded="true"',
      hidden: 'hidden="true"',
      pressed: 'pressed="true"',
      readonly: 'readonly="true"',
      required: 'required="true"',
      selected: 'selected="true"'
    },
    aspectRatio: {
      auto: "auto",
      square: "1 / 1",
      video: "16 / 9"
    },
    backdropBlur: ({ theme: e }) => e("blur"),
    backdropBrightness: ({ theme: e }) => e("brightness"),
    backdropContrast: ({ theme: e }) => e("contrast"),
    backdropGrayscale: ({ theme: e }) => e("grayscale"),
    backdropHueRotate: ({ theme: e }) => e("hueRotate"),
    backdropInvert: ({ theme: e }) => e("invert"),
    backdropOpacity: ({ theme: e }) => e("opacity"),
    backdropSaturate: ({ theme: e }) => e("saturate"),
    backdropSepia: ({ theme: e }) => e("sepia"),
    backgroundColor: ({ theme: e }) => e("colors"),
    backgroundImage: {
      none: "none",
      "gradient-to-t": "linear-gradient(to top, var(--tw-gradient-stops))",
      "gradient-to-tr": "linear-gradient(to top right, var(--tw-gradient-stops))",
      "gradient-to-r": "linear-gradient(to right, var(--tw-gradient-stops))",
      "gradient-to-br": "linear-gradient(to bottom right, var(--tw-gradient-stops))",
      "gradient-to-b": "linear-gradient(to bottom, var(--tw-gradient-stops))",
      "gradient-to-bl": "linear-gradient(to bottom left, var(--tw-gradient-stops))",
      "gradient-to-l": "linear-gradient(to left, var(--tw-gradient-stops))",
      "gradient-to-tl": "linear-gradient(to top left, var(--tw-gradient-stops))"
    },
    backgroundOpacity: ({ theme: e }) => e("opacity"),
    backgroundPosition: {
      bottom: "bottom",
      center: "center",
      left: "left",
      "left-bottom": "left bottom",
      "left-top": "left top",
      right: "right",
      "right-bottom": "right bottom",
      "right-top": "right top",
      top: "top"
    },
    backgroundSize: {
      auto: "auto",
      cover: "cover",
      contain: "contain"
    },
    blur: {
      0: "0",
      none: "0",
      sm: "4px",
      DEFAULT: "8px",
      md: "12px",
      lg: "16px",
      xl: "24px",
      "2xl": "40px",
      "3xl": "64px"
    },
    borderColor: ({ theme: e }) => ({
      ...e("colors"),
      DEFAULT: e("colors.gray.200", "currentColor")
    }),
    borderOpacity: ({ theme: e }) => e("opacity"),
    borderRadius: {
      none: "0px",
      sm: "0.125rem",
      DEFAULT: "0.25rem",
      md: "0.375rem",
      lg: "0.5rem",
      xl: "0.75rem",
      "2xl": "1rem",
      "3xl": "1.5rem",
      full: "9999px"
    },
    borderSpacing: ({ theme: e }) => ({
      ...e("spacing")
    }),
    borderWidth: {
      DEFAULT: "1px",
      0: "0px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    boxShadow: {
      sm: "0 1px 2px 0 rgb(0 0 0 / 0.05)",
      DEFAULT: "0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1)",
      md: "0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1)",
      lg: "0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1)",
      xl: "0 20px 25px -5px rgb(0 0 0 / 0.1), 0 8px 10px -6px rgb(0 0 0 / 0.1)",
      "2xl": "0 25px 50px -12px rgb(0 0 0 / 0.25)",
      inner: "inset 0 2px 4px 0 rgb(0 0 0 / 0.05)",
      none: "none"
    },
    boxShadowColor: ({ theme: e }) => e("colors"),
    brightness: {
      0: "0",
      50: ".5",
      75: ".75",
      90: ".9",
      95: ".95",
      100: "1",
      105: "1.05",
      110: "1.1",
      125: "1.25",
      150: "1.5",
      200: "2"
    },
    caretColor: ({ theme: e }) => e("colors"),
    colors: ({ colors: e }) => ({
      inherit: e.inherit,
      current: e.current,
      transparent: e.transparent,
      black: e.black,
      white: e.white,
      slate: e.slate,
      gray: e.gray,
      zinc: e.zinc,
      neutral: e.neutral,
      stone: e.stone,
      red: e.red,
      orange: e.orange,
      amber: e.amber,
      yellow: e.yellow,
      lime: e.lime,
      green: e.green,
      emerald: e.emerald,
      teal: e.teal,
      cyan: e.cyan,
      sky: e.sky,
      blue: e.blue,
      indigo: e.indigo,
      violet: e.violet,
      purple: e.purple,
      fuchsia: e.fuchsia,
      pink: e.pink,
      rose: e.rose
    }),
    columns: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      "3xs": "16rem",
      "2xs": "18rem",
      xs: "20rem",
      sm: "24rem",
      md: "28rem",
      lg: "32rem",
      xl: "36rem",
      "2xl": "42rem",
      "3xl": "48rem",
      "4xl": "56rem",
      "5xl": "64rem",
      "6xl": "72rem",
      "7xl": "80rem"
    },
    container: {},
    content: {
      none: "none"
    },
    contrast: {
      0: "0",
      50: ".5",
      75: ".75",
      100: "1",
      125: "1.25",
      150: "1.5",
      200: "2"
    },
    cursor: {
      auto: "auto",
      default: "default",
      pointer: "pointer",
      wait: "wait",
      text: "text",
      move: "move",
      help: "help",
      "not-allowed": "not-allowed",
      none: "none",
      "context-menu": "context-menu",
      progress: "progress",
      cell: "cell",
      crosshair: "crosshair",
      "vertical-text": "vertical-text",
      alias: "alias",
      copy: "copy",
      "no-drop": "no-drop",
      grab: "grab",
      grabbing: "grabbing",
      "all-scroll": "all-scroll",
      "col-resize": "col-resize",
      "row-resize": "row-resize",
      "n-resize": "n-resize",
      "e-resize": "e-resize",
      "s-resize": "s-resize",
      "w-resize": "w-resize",
      "ne-resize": "ne-resize",
      "nw-resize": "nw-resize",
      "se-resize": "se-resize",
      "sw-resize": "sw-resize",
      "ew-resize": "ew-resize",
      "ns-resize": "ns-resize",
      "nesw-resize": "nesw-resize",
      "nwse-resize": "nwse-resize",
      "zoom-in": "zoom-in",
      "zoom-out": "zoom-out"
    },
    divideColor: ({ theme: e }) => e("borderColor"),
    divideOpacity: ({ theme: e }) => e("borderOpacity"),
    divideWidth: ({ theme: e }) => e("borderWidth"),
    dropShadow: {
      sm: "0 1px 1px rgb(0 0 0 / 0.05)",
      DEFAULT: ["0 1px 2px rgb(0 0 0 / 0.1)", "0 1px 1px rgb(0 0 0 / 0.06)"],
      md: ["0 4px 3px rgb(0 0 0 / 0.07)", "0 2px 2px rgb(0 0 0 / 0.06)"],
      lg: ["0 10px 8px rgb(0 0 0 / 0.04)", "0 4px 3px rgb(0 0 0 / 0.1)"],
      xl: ["0 20px 13px rgb(0 0 0 / 0.03)", "0 8px 5px rgb(0 0 0 / 0.08)"],
      "2xl": "0 25px 25px rgb(0 0 0 / 0.15)",
      none: "0 0 #0000"
    },
    fill: ({ theme: e }) => ({
      none: "none",
      ...e("colors")
    }),
    flex: {
      1: "1 1 0%",
      auto: "1 1 auto",
      initial: "0 1 auto",
      none: "none"
    },
    flexBasis: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      "1/12": "8.333333%",
      "2/12": "16.666667%",
      "3/12": "25%",
      "4/12": "33.333333%",
      "5/12": "41.666667%",
      "6/12": "50%",
      "7/12": "58.333333%",
      "8/12": "66.666667%",
      "9/12": "75%",
      "10/12": "83.333333%",
      "11/12": "91.666667%",
      full: "100%"
    }),
    flexGrow: {
      0: "0",
      DEFAULT: "1"
    },
    flexShrink: {
      0: "0",
      DEFAULT: "1"
    },
    fontFamily: {
      sans: [
        "ui-sans-serif",
        "system-ui",
        "-apple-system",
        "BlinkMacSystemFont",
        '"Segoe UI"',
        "Roboto",
        '"Helvetica Neue"',
        "Arial",
        '"Noto Sans"',
        "sans-serif",
        '"Apple Color Emoji"',
        '"Segoe UI Emoji"',
        '"Segoe UI Symbol"',
        '"Noto Color Emoji"'
      ],
      serif: ["ui-serif", "Georgia", "Cambria", '"Times New Roman"', "Times", "serif"],
      mono: [
        "ui-monospace",
        "SFMono-Regular",
        "Menlo",
        "Monaco",
        "Consolas",
        '"Liberation Mono"',
        '"Courier New"',
        "monospace"
      ]
    },
    fontSize: {
      xs: ["0.75rem", { lineHeight: "1rem" }],
      sm: ["0.875rem", { lineHeight: "1.25rem" }],
      base: ["1rem", { lineHeight: "1.5rem" }],
      lg: ["1.125rem", { lineHeight: "1.75rem" }],
      xl: ["1.25rem", { lineHeight: "1.75rem" }],
      "2xl": ["1.5rem", { lineHeight: "2rem" }],
      "3xl": ["1.875rem", { lineHeight: "2.25rem" }],
      "4xl": ["2.25rem", { lineHeight: "2.5rem" }],
      "5xl": ["3rem", { lineHeight: "1" }],
      "6xl": ["3.75rem", { lineHeight: "1" }],
      "7xl": ["4.5rem", { lineHeight: "1" }],
      "8xl": ["6rem", { lineHeight: "1" }],
      "9xl": ["8rem", { lineHeight: "1" }]
    },
    fontWeight: {
      thin: "100",
      extralight: "200",
      light: "300",
      normal: "400",
      medium: "500",
      semibold: "600",
      bold: "700",
      extrabold: "800",
      black: "900"
    },
    gap: ({ theme: e }) => e("spacing"),
    gradientColorStops: ({ theme: e }) => e("colors"),
    gradientColorStopPositions: {
      "0%": "0%",
      "5%": "5%",
      "10%": "10%",
      "15%": "15%",
      "20%": "20%",
      "25%": "25%",
      "30%": "30%",
      "35%": "35%",
      "40%": "40%",
      "45%": "45%",
      "50%": "50%",
      "55%": "55%",
      "60%": "60%",
      "65%": "65%",
      "70%": "70%",
      "75%": "75%",
      "80%": "80%",
      "85%": "85%",
      "90%": "90%",
      "95%": "95%",
      "100%": "100%"
    },
    grayscale: {
      0: "0",
      DEFAULT: "100%"
    },
    gridAutoColumns: {
      auto: "auto",
      min: "min-content",
      max: "max-content",
      fr: "minmax(0, 1fr)"
    },
    gridAutoRows: {
      auto: "auto",
      min: "min-content",
      max: "max-content",
      fr: "minmax(0, 1fr)"
    },
    gridColumn: {
      auto: "auto",
      "span-1": "span 1 / span 1",
      "span-2": "span 2 / span 2",
      "span-3": "span 3 / span 3",
      "span-4": "span 4 / span 4",
      "span-5": "span 5 / span 5",
      "span-6": "span 6 / span 6",
      "span-7": "span 7 / span 7",
      "span-8": "span 8 / span 8",
      "span-9": "span 9 / span 9",
      "span-10": "span 10 / span 10",
      "span-11": "span 11 / span 11",
      "span-12": "span 12 / span 12",
      "span-full": "1 / -1"
    },
    gridColumnEnd: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridColumnStart: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridRow: {
      auto: "auto",
      "span-1": "span 1 / span 1",
      "span-2": "span 2 / span 2",
      "span-3": "span 3 / span 3",
      "span-4": "span 4 / span 4",
      "span-5": "span 5 / span 5",
      "span-6": "span 6 / span 6",
      "span-full": "1 / -1"
    },
    gridRowEnd: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7"
    },
    gridRowStart: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7"
    },
    gridTemplateColumns: {
      none: "none",
      1: "repeat(1, minmax(0, 1fr))",
      2: "repeat(2, minmax(0, 1fr))",
      3: "repeat(3, minmax(0, 1fr))",
      4: "repeat(4, minmax(0, 1fr))",
      5: "repeat(5, minmax(0, 1fr))",
      6: "repeat(6, minmax(0, 1fr))",
      7: "repeat(7, minmax(0, 1fr))",
      8: "repeat(8, minmax(0, 1fr))",
      9: "repeat(9, minmax(0, 1fr))",
      10: "repeat(10, minmax(0, 1fr))",
      11: "repeat(11, minmax(0, 1fr))",
      12: "repeat(12, minmax(0, 1fr))"
    },
    gridTemplateRows: {
      none: "none",
      1: "repeat(1, minmax(0, 1fr))",
      2: "repeat(2, minmax(0, 1fr))",
      3: "repeat(3, minmax(0, 1fr))",
      4: "repeat(4, minmax(0, 1fr))",
      5: "repeat(5, minmax(0, 1fr))",
      6: "repeat(6, minmax(0, 1fr))"
    },
    height: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    hueRotate: {
      0: "0deg",
      15: "15deg",
      30: "30deg",
      60: "60deg",
      90: "90deg",
      180: "180deg"
    },
    inset: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      full: "100%"
    }),
    invert: {
      0: "0",
      DEFAULT: "100%"
    },
    keyframes: {
      spin: {
        to: {
          transform: "rotate(360deg)"
        }
      },
      ping: {
        "75%, 100%": {
          transform: "scale(2)",
          opacity: "0"
        }
      },
      pulse: {
        "50%": {
          opacity: ".5"
        }
      },
      bounce: {
        "0%, 100%": {
          transform: "translateY(-25%)",
          animationTimingFunction: "cubic-bezier(0.8,0,1,1)"
        },
        "50%": {
          transform: "none",
          animationTimingFunction: "cubic-bezier(0,0,0.2,1)"
        }
      }
    },
    letterSpacing: {
      tighter: "-0.05em",
      tight: "-0.025em",
      normal: "0em",
      wide: "0.025em",
      wider: "0.05em",
      widest: "0.1em"
    },
    lineHeight: {
      none: "1",
      tight: "1.25",
      snug: "1.375",
      normal: "1.5",
      relaxed: "1.625",
      loose: "2",
      3: ".75rem",
      4: "1rem",
      5: "1.25rem",
      6: "1.5rem",
      7: "1.75rem",
      8: "2rem",
      9: "2.25rem",
      10: "2.5rem"
    },
    listStyleType: {
      none: "none",
      disc: "disc",
      decimal: "decimal"
    },
    listStyleImage: {
      none: "none"
    },
    margin: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing")
    }),
    lineClamp: {
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6"
    },
    maxHeight: ({ theme: e }) => ({
      ...e("spacing"),
      none: "none",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    maxWidth: ({ theme: e, breakpoints: t }) => ({
      none: "none",
      0: "0rem",
      xs: "20rem",
      sm: "24rem",
      md: "28rem",
      lg: "32rem",
      xl: "36rem",
      "2xl": "42rem",
      "3xl": "48rem",
      "4xl": "56rem",
      "5xl": "64rem",
      "6xl": "72rem",
      "7xl": "80rem",
      full: "100%",
      min: "min-content",
      max: "max-content",
      fit: "fit-content",
      prose: "65ch",
      ...t(e("screens"))
    }),
    minHeight: {
      0: "0px",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    },
    minWidth: {
      0: "0px",
      full: "100%",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    },
    objectPosition: {
      bottom: "bottom",
      center: "center",
      left: "left",
      "left-bottom": "left bottom",
      "left-top": "left top",
      right: "right",
      "right-bottom": "right bottom",
      "right-top": "right top",
      top: "top"
    },
    opacity: {
      0: "0",
      5: "0.05",
      10: "0.1",
      20: "0.2",
      25: "0.25",
      30: "0.3",
      40: "0.4",
      50: "0.5",
      60: "0.6",
      70: "0.7",
      75: "0.75",
      80: "0.8",
      90: "0.9",
      95: "0.95",
      100: "1"
    },
    order: {
      first: "-9999",
      last: "9999",
      none: "0",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12"
    },
    outlineColor: ({ theme: e }) => e("colors"),
    outlineOffset: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    outlineWidth: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    padding: ({ theme: e }) => e("spacing"),
    placeholderColor: ({ theme: e }) => e("colors"),
    placeholderOpacity: ({ theme: e }) => e("opacity"),
    ringColor: ({ theme: e }) => ({
      DEFAULT: e("colors.blue.500", "#3b82f6"),
      ...e("colors")
    }),
    ringOffsetColor: ({ theme: e }) => e("colors"),
    ringOffsetWidth: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    ringOpacity: ({ theme: e }) => ({
      DEFAULT: "0.5",
      ...e("opacity")
    }),
    ringWidth: {
      DEFAULT: "3px",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    rotate: {
      0: "0deg",
      1: "1deg",
      2: "2deg",
      3: "3deg",
      6: "6deg",
      12: "12deg",
      45: "45deg",
      90: "90deg",
      180: "180deg"
    },
    saturate: {
      0: "0",
      50: ".5",
      100: "1",
      150: "1.5",
      200: "2"
    },
    scale: {
      0: "0",
      50: ".5",
      75: ".75",
      90: ".9",
      95: ".95",
      100: "1",
      105: "1.05",
      110: "1.1",
      125: "1.25",
      150: "1.5"
    },
    screens: {
      sm: "640px",
      md: "768px",
      lg: "1024px",
      xl: "1280px",
      "2xl": "1536px"
    },
    scrollMargin: ({ theme: e }) => ({
      ...e("spacing")
    }),
    scrollPadding: ({ theme: e }) => e("spacing"),
    sepia: {
      0: "0",
      DEFAULT: "100%"
    },
    skew: {
      0: "0deg",
      1: "1deg",
      2: "2deg",
      3: "3deg",
      6: "6deg",
      12: "12deg"
    },
    space: ({ theme: e }) => ({
      ...e("spacing")
    }),
    spacing: {
      px: "1px",
      0: "0px",
      0.5: "0.125rem",
      1: "0.25rem",
      1.5: "0.375rem",
      2: "0.5rem",
      2.5: "0.625rem",
      3: "0.75rem",
      3.5: "0.875rem",
      4: "1rem",
      5: "1.25rem",
      6: "1.5rem",
      7: "1.75rem",
      8: "2rem",
      9: "2.25rem",
      10: "2.5rem",
      11: "2.75rem",
      12: "3rem",
      14: "3.5rem",
      16: "4rem",
      20: "5rem",
      24: "6rem",
      28: "7rem",
      32: "8rem",
      36: "9rem",
      40: "10rem",
      44: "11rem",
      48: "12rem",
      52: "13rem",
      56: "14rem",
      60: "15rem",
      64: "16rem",
      72: "18rem",
      80: "20rem",
      96: "24rem"
    },
    stroke: ({ theme: e }) => ({
      none: "none",
      ...e("colors")
    }),
    strokeWidth: {
      0: "0",
      1: "1",
      2: "2"
    },
    supports: {},
    data: {},
    textColor: ({ theme: e }) => e("colors"),
    textDecorationColor: ({ theme: e }) => e("colors"),
    textDecorationThickness: {
      auto: "auto",
      "from-font": "from-font",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    textIndent: ({ theme: e }) => ({
      ...e("spacing")
    }),
    textOpacity: ({ theme: e }) => e("opacity"),
    textUnderlineOffset: {
      auto: "auto",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    transformOrigin: {
      center: "center",
      top: "top",
      "top-right": "top right",
      right: "right",
      "bottom-right": "bottom right",
      bottom: "bottom",
      "bottom-left": "bottom left",
      left: "left",
      "top-left": "top left"
    },
    transitionDelay: {
      0: "0s",
      75: "75ms",
      100: "100ms",
      150: "150ms",
      200: "200ms",
      300: "300ms",
      500: "500ms",
      700: "700ms",
      1e3: "1000ms"
    },
    transitionDuration: {
      DEFAULT: "150ms",
      0: "0s",
      75: "75ms",
      100: "100ms",
      150: "150ms",
      200: "200ms",
      300: "300ms",
      500: "500ms",
      700: "700ms",
      1e3: "1000ms"
    },
    transitionProperty: {
      none: "none",
      all: "all",
      DEFAULT: "color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter",
      colors: "color, background-color, border-color, text-decoration-color, fill, stroke",
      opacity: "opacity",
      shadow: "box-shadow",
      transform: "transform"
    },
    transitionTimingFunction: {
      DEFAULT: "cubic-bezier(0.4, 0, 0.2, 1)",
      linear: "linear",
      in: "cubic-bezier(0.4, 0, 1, 1)",
      out: "cubic-bezier(0, 0, 0.2, 1)",
      "in-out": "cubic-bezier(0.4, 0, 0.2, 1)"
    },
    translate: ({ theme: e }) => ({
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      full: "100%"
    }),
    width: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      "1/12": "8.333333%",
      "2/12": "16.666667%",
      "3/12": "25%",
      "4/12": "33.333333%",
      "5/12": "41.666667%",
      "6/12": "50%",
      "7/12": "58.333333%",
      "8/12": "66.666667%",
      "9/12": "75%",
      "10/12": "83.333333%",
      "11/12": "91.666667%",
      full: "100%",
      screen: "100vw",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    willChange: {
      auto: "auto",
      scroll: "scroll-position",
      contents: "contents",
      transform: "transform"
    },
    zIndex: {
      auto: "auto",
      0: "0",
      10: "10",
      20: "20",
      30: "30",
      40: "40",
      50: "50"
    }
  },
  plugins: []
};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return o;
    }
  });
  const t = Rt, r = /* @__PURE__ */ a(Or);
  function a(n) {
    return n && n.__esModule ? n : {
      default: n
    };
  }
  const o = (0, t.cloneDeep)(r.default.theme);
})(jt);
let nt = jt;
var Ht = (nt.__esModule ? nt : { default: nt }).default;
const Ct = /* @__PURE__ */ Ut(Ht);
var Nt = {}, Zt = {}, Tt = { exports: {} }, D = String, Vt = function() {
  return { isColorSupported: !1, reset: D, bold: D, dim: D, italic: D, underline: D, inverse: D, hidden: D, strikethrough: D, black: D, red: D, green: D, yellow: D, blue: D, magenta: D, cyan: D, white: D, gray: D, bgBlack: D, bgRed: D, bgGreen: D, bgYellow: D, bgBlue: D, bgMagenta: D, bgCyan: D, bgWhite: D };
};
Tt.exports = Vt();
Tt.exports.createColors = Vt;
var Pr = Tt.exports;
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  });
  function t(s, u) {
    for (var f in u)
      Object.defineProperty(s, f, {
        enumerable: !0,
        get: u[f]
      });
  }
  t(e, {
    dim: function() {
      return l;
    },
    default: function() {
      return i;
    }
  });
  const r = /* @__PURE__ */ a(Pr);
  function a(s) {
    return s && s.__esModule ? s : {
      default: s
    };
  }
  let o = /* @__PURE__ */ new Set();
  function n(s, u, f) {
    typeof process < "u" && process.env.JEST_WORKER_ID || f && o.has(f) || (f && o.add(f), console.warn(""), u.forEach((p) => console.warn(s, "-", p)));
  }
  function l(s) {
    return r.default.dim(s);
  }
  const i = {
    info(s, u) {
      n(r.default.bold(r.default.cyan("info")), ...Array.isArray(s) ? [
        s
      ] : [
        u,
        s
      ]);
    },
    warn(s, u) {
      n(r.default.bold(r.default.yellow("warn")), ...Array.isArray(s) ? [
        s
      ] : [
        u,
        s
      ]);
    },
    risk(s, u) {
      n(r.default.bold(r.default.magenta("risk")), ...Array.isArray(s) ? [
        s
      ] : [
        u,
        s
      ]);
    }
  };
})(Zt);
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return o;
    }
  });
  const t = /* @__PURE__ */ r(Zt);
  function r(n) {
    return n && n.__esModule ? n : {
      default: n
    };
  }
  function a({ version: n, from: l, to: i }) {
    t.default.warn(`${l}-color-renamed`, [
      `As of Tailwind CSS ${n}, \`${l}\` has been renamed to \`${i}\`.`,
      "Update your configuration file to silence this warning."
    ]);
  }
  const o = {
    inherit: "inherit",
    current: "currentColor",
    transparent: "transparent",
    black: "#000",
    white: "#fff",
    slate: {
      50: "#f8fafc",
      100: "#f1f5f9",
      200: "#e2e8f0",
      300: "#cbd5e1",
      400: "#94a3b8",
      500: "#64748b",
      600: "#475569",
      700: "#334155",
      800: "#1e293b",
      900: "#0f172a",
      950: "#020617"
    },
    gray: {
      50: "#f9fafb",
      100: "#f3f4f6",
      200: "#e5e7eb",
      300: "#d1d5db",
      400: "#9ca3af",
      500: "#6b7280",
      600: "#4b5563",
      700: "#374151",
      800: "#1f2937",
      900: "#111827",
      950: "#030712"
    },
    zinc: {
      50: "#fafafa",
      100: "#f4f4f5",
      200: "#e4e4e7",
      300: "#d4d4d8",
      400: "#a1a1aa",
      500: "#71717a",
      600: "#52525b",
      700: "#3f3f46",
      800: "#27272a",
      900: "#18181b",
      950: "#09090b"
    },
    neutral: {
      50: "#fafafa",
      100: "#f5f5f5",
      200: "#e5e5e5",
      300: "#d4d4d4",
      400: "#a3a3a3",
      500: "#737373",
      600: "#525252",
      700: "#404040",
      800: "#262626",
      900: "#171717",
      950: "#0a0a0a"
    },
    stone: {
      50: "#fafaf9",
      100: "#f5f5f4",
      200: "#e7e5e4",
      300: "#d6d3d1",
      400: "#a8a29e",
      500: "#78716c",
      600: "#57534e",
      700: "#44403c",
      800: "#292524",
      900: "#1c1917",
      950: "#0c0a09"
    },
    red: {
      50: "#fef2f2",
      100: "#fee2e2",
      200: "#fecaca",
      300: "#fca5a5",
      400: "#f87171",
      500: "#ef4444",
      600: "#dc2626",
      700: "#b91c1c",
      800: "#991b1b",
      900: "#7f1d1d",
      950: "#450a0a"
    },
    orange: {
      50: "#fff7ed",
      100: "#ffedd5",
      200: "#fed7aa",
      300: "#fdba74",
      400: "#fb923c",
      500: "#f97316",
      600: "#ea580c",
      700: "#c2410c",
      800: "#9a3412",
      900: "#7c2d12",
      950: "#431407"
    },
    amber: {
      50: "#fffbeb",
      100: "#fef3c7",
      200: "#fde68a",
      300: "#fcd34d",
      400: "#fbbf24",
      500: "#f59e0b",
      600: "#d97706",
      700: "#b45309",
      800: "#92400e",
      900: "#78350f",
      950: "#451a03"
    },
    yellow: {
      50: "#fefce8",
      100: "#fef9c3",
      200: "#fef08a",
      300: "#fde047",
      400: "#facc15",
      500: "#eab308",
      600: "#ca8a04",
      700: "#a16207",
      800: "#854d0e",
      900: "#713f12",
      950: "#422006"
    },
    lime: {
      50: "#f7fee7",
      100: "#ecfccb",
      200: "#d9f99d",
      300: "#bef264",
      400: "#a3e635",
      500: "#84cc16",
      600: "#65a30d",
      700: "#4d7c0f",
      800: "#3f6212",
      900: "#365314",
      950: "#1a2e05"
    },
    green: {
      50: "#f0fdf4",
      100: "#dcfce7",
      200: "#bbf7d0",
      300: "#86efac",
      400: "#4ade80",
      500: "#22c55e",
      600: "#16a34a",
      700: "#15803d",
      800: "#166534",
      900: "#14532d",
      950: "#052e16"
    },
    emerald: {
      50: "#ecfdf5",
      100: "#d1fae5",
      200: "#a7f3d0",
      300: "#6ee7b7",
      400: "#34d399",
      500: "#10b981",
      600: "#059669",
      700: "#047857",
      800: "#065f46",
      900: "#064e3b",
      950: "#022c22"
    },
    teal: {
      50: "#f0fdfa",
      100: "#ccfbf1",
      200: "#99f6e4",
      300: "#5eead4",
      400: "#2dd4bf",
      500: "#14b8a6",
      600: "#0d9488",
      700: "#0f766e",
      800: "#115e59",
      900: "#134e4a",
      950: "#042f2e"
    },
    cyan: {
      50: "#ecfeff",
      100: "#cffafe",
      200: "#a5f3fc",
      300: "#67e8f9",
      400: "#22d3ee",
      500: "#06b6d4",
      600: "#0891b2",
      700: "#0e7490",
      800: "#155e75",
      900: "#164e63",
      950: "#083344"
    },
    sky: {
      50: "#f0f9ff",
      100: "#e0f2fe",
      200: "#bae6fd",
      300: "#7dd3fc",
      400: "#38bdf8",
      500: "#0ea5e9",
      600: "#0284c7",
      700: "#0369a1",
      800: "#075985",
      900: "#0c4a6e",
      950: "#082f49"
    },
    blue: {
      50: "#eff6ff",
      100: "#dbeafe",
      200: "#bfdbfe",
      300: "#93c5fd",
      400: "#60a5fa",
      500: "#3b82f6",
      600: "#2563eb",
      700: "#1d4ed8",
      800: "#1e40af",
      900: "#1e3a8a",
      950: "#172554"
    },
    indigo: {
      50: "#eef2ff",
      100: "#e0e7ff",
      200: "#c7d2fe",
      300: "#a5b4fc",
      400: "#818cf8",
      500: "#6366f1",
      600: "#4f46e5",
      700: "#4338ca",
      800: "#3730a3",
      900: "#312e81",
      950: "#1e1b4b"
    },
    violet: {
      50: "#f5f3ff",
      100: "#ede9fe",
      200: "#ddd6fe",
      300: "#c4b5fd",
      400: "#a78bfa",
      500: "#8b5cf6",
      600: "#7c3aed",
      700: "#6d28d9",
      800: "#5b21b6",
      900: "#4c1d95",
      950: "#2e1065"
    },
    purple: {
      50: "#faf5ff",
      100: "#f3e8ff",
      200: "#e9d5ff",
      300: "#d8b4fe",
      400: "#c084fc",
      500: "#a855f7",
      600: "#9333ea",
      700: "#7e22ce",
      800: "#6b21a8",
      900: "#581c87",
      950: "#3b0764"
    },
    fuchsia: {
      50: "#fdf4ff",
      100: "#fae8ff",
      200: "#f5d0fe",
      300: "#f0abfc",
      400: "#e879f9",
      500: "#d946ef",
      600: "#c026d3",
      700: "#a21caf",
      800: "#86198f",
      900: "#701a75",
      950: "#4a044e"
    },
    pink: {
      50: "#fdf2f8",
      100: "#fce7f3",
      200: "#fbcfe8",
      300: "#f9a8d4",
      400: "#f472b6",
      500: "#ec4899",
      600: "#db2777",
      700: "#be185d",
      800: "#9d174d",
      900: "#831843",
      950: "#500724"
    },
    rose: {
      50: "#fff1f2",
      100: "#ffe4e6",
      200: "#fecdd3",
      300: "#fda4af",
      400: "#fb7185",
      500: "#f43f5e",
      600: "#e11d48",
      700: "#be123c",
      800: "#9f1239",
      900: "#881337",
      950: "#4c0519"
    },
    get lightBlue() {
      return a({
        version: "v2.2",
        from: "lightBlue",
        to: "sky"
      }), this.sky;
    },
    get warmGray() {
      return a({
        version: "v3.0",
        from: "warmGray",
        to: "stone"
      }), this.stone;
    },
    get trueGray() {
      return a({
        version: "v3.0",
        from: "trueGray",
        to: "neutral"
      }), this.neutral;
    },
    get coolGray() {
      return a({
        version: "v3.0",
        from: "coolGray",
        to: "gray"
      }), this.gray;
    },
    get blueGray() {
      return a({
        version: "v3.0",
        from: "blueGray",
        to: "slate"
      }), this.slate;
    }
  };
})(Nt);
let ot = Nt;
var Mr = (ot.__esModule ? ot : { default: ot }).default;
const He = Ar, Ur = Dr, Wt = Ht, de = Mr, [Ir, { lineHeight: zr }] = Wt.fontSize.base, { spacing: ie, borderWidth: Lt, borderRadius: St } = Wt;
function fe(e, t) {
  return e.replace("<alpha-value>", `var(${t}, 1)`);
}
const jr = Ur.withOptions(function(e = { strategy: void 0 }) {
  return function({ addBase: t, addComponents: r, theme: a }) {
    const o = e.strategy === void 0 ? ["base", "class"] : [e.strategy], n = [
      {
        base: [
          "[type='text']",
          "input:where(:not([type]))",
          "[type='email']",
          "[type='url']",
          "[type='password']",
          "[type='number']",
          "[type='date']",
          "[type='datetime-local']",
          "[type='month']",
          "[type='search']",
          "[type='tel']",
          "[type='time']",
          "[type='week']",
          "[multiple]",
          "textarea",
          "select"
        ],
        class: [".form-input", ".form-textarea", ".form-select", ".form-multiselect"],
        styles: {
          appearance: "none",
          "background-color": "#fff",
          "border-color": fe(
            a("colors.gray.500", de.gray[500]),
            "--tw-border-opacity"
          ),
          "border-width": Lt.DEFAULT,
          "border-radius": St.none,
          "padding-top": ie[2],
          "padding-right": ie[3],
          "padding-bottom": ie[2],
          "padding-left": ie[3],
          "font-size": Ir,
          "line-height": zr,
          "--tw-shadow": "0 0 #0000",
          "&:focus": {
            outline: "2px solid transparent",
            "outline-offset": "2px",
            "--tw-ring-inset": "var(--tw-empty,/*!*/ /*!*/)",
            "--tw-ring-offset-width": "0px",
            "--tw-ring-offset-color": "#fff",
            "--tw-ring-color": fe(
              a("colors.blue.600", de.blue[600]),
              "--tw-ring-opacity"
            ),
            "--tw-ring-offset-shadow": "var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color)",
            "--tw-ring-shadow": "var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color)",
            "box-shadow": "var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow)",
            "border-color": fe(
              a("colors.blue.600", de.blue[600]),
              "--tw-border-opacity"
            )
          }
        }
      },
      {
        base: ["input::placeholder", "textarea::placeholder"],
        class: [".form-input::placeholder", ".form-textarea::placeholder"],
        styles: {
          color: fe(a("colors.gray.500", de.gray[500]), "--tw-text-opacity"),
          opacity: "1"
        }
      },
      {
        base: ["::-webkit-datetime-edit-fields-wrapper"],
        class: [".form-input::-webkit-datetime-edit-fields-wrapper"],
        styles: {
          padding: "0"
        }
      },
      {
        // Unfortunate hack until https://bugs.webkit.org/show_bug.cgi?id=198959 is fixed.
        // This sucks because users can't change line-height with a utility on date inputs now.
        // Reference: https://github.com/twbs/bootstrap/pull/31993
        base: ["::-webkit-date-and-time-value"],
        class: [".form-input::-webkit-date-and-time-value"],
        styles: {
          "min-height": "1.5em"
        }
      },
      {
        // In Safari on iOS date and time inputs are centered instead of left-aligned and can't be
        // changed with `text-align` utilities on the input by default. Resetting this to `inherit`
        // makes them left-aligned by default and makes it possible to override the alignment with
        // utility classes without using an arbitrary variant to target the pseudo-elements.
        base: ["::-webkit-date-and-time-value"],
        class: [".form-input::-webkit-date-and-time-value"],
        styles: {
          "text-align": "inherit"
        }
      },
      {
        // In Safari on macOS date time inputs that are set to `display: block` have unexpected
        // extra bottom spacing. This can be corrected by setting the `::-webkit-datetime-edit`
        // pseudo-element to `display: inline-flex`, instead of the browser default of
        // `display: inline-block`.
        base: ["::-webkit-datetime-edit"],
        class: [".form-input::-webkit-datetime-edit"],
        styles: {
          display: "inline-flex"
        }
      },
      {
        // In Safari on macOS date time inputs are 4px taller than normal inputs
        // This is because there is extra padding on the datetime-edit and datetime-edit-{part}-field pseudo elements
        // See https://github.com/tailwindlabs/tailwindcss-forms/issues/95
        base: [
          "::-webkit-datetime-edit",
          "::-webkit-datetime-edit-year-field",
          "::-webkit-datetime-edit-month-field",
          "::-webkit-datetime-edit-day-field",
          "::-webkit-datetime-edit-hour-field",
          "::-webkit-datetime-edit-minute-field",
          "::-webkit-datetime-edit-second-field",
          "::-webkit-datetime-edit-millisecond-field",
          "::-webkit-datetime-edit-meridiem-field"
        ],
        class: [
          ".form-input::-webkit-datetime-edit",
          ".form-input::-webkit-datetime-edit-year-field",
          ".form-input::-webkit-datetime-edit-month-field",
          ".form-input::-webkit-datetime-edit-day-field",
          ".form-input::-webkit-datetime-edit-hour-field",
          ".form-input::-webkit-datetime-edit-minute-field",
          ".form-input::-webkit-datetime-edit-second-field",
          ".form-input::-webkit-datetime-edit-millisecond-field",
          ".form-input::-webkit-datetime-edit-meridiem-field"
        ],
        styles: {
          "padding-top": 0,
          "padding-bottom": 0
        }
      },
      {
        base: ["select"],
        class: [".form-select"],
        styles: {
          "background-image": `url("${He(
            `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 20 20"><path stroke="${fe(
              a("colors.gray.500", de.gray[500]),
              "--tw-stroke-opacity"
            )}" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" d="M6 8l4 4 4-4"/></svg>`
          )}")`,
          "background-position": `right ${ie[2]} center`,
          "background-repeat": "no-repeat",
          "background-size": "1.5em 1.5em",
          "padding-right": ie[10],
          "print-color-adjust": "exact"
        }
      },
      {
        base: ["[multiple]", '[size]:where(select:not([size="1"]))'],
        class: ['.form-select:where([size]:not([size="1"]))'],
        styles: {
          "background-image": "initial",
          "background-position": "initial",
          "background-repeat": "unset",
          "background-size": "initial",
          "padding-right": ie[3],
          "print-color-adjust": "unset"
        }
      },
      {
        base: ["[type='checkbox']", "[type='radio']"],
        class: [".form-checkbox", ".form-radio"],
        styles: {
          appearance: "none",
          padding: "0",
          "print-color-adjust": "exact",
          display: "inline-block",
          "vertical-align": "middle",
          "background-origin": "border-box",
          "user-select": "none",
          "flex-shrink": "0",
          height: ie[4],
          width: ie[4],
          color: fe(a("colors.blue.600", de.blue[600]), "--tw-text-opacity"),
          "background-color": "#fff",
          "border-color": fe(
            a("colors.gray.500", de.gray[500]),
            "--tw-border-opacity"
          ),
          "border-width": Lt.DEFAULT,
          "--tw-shadow": "0 0 #0000"
        }
      },
      {
        base: ["[type='checkbox']"],
        class: [".form-checkbox"],
        styles: {
          "border-radius": St.none
        }
      },
      {
        base: ["[type='radio']"],
        class: [".form-radio"],
        styles: {
          "border-radius": "100%"
        }
      },
      {
        base: ["[type='checkbox']:focus", "[type='radio']:focus"],
        class: [".form-checkbox:focus", ".form-radio:focus"],
        styles: {
          outline: "2px solid transparent",
          "outline-offset": "2px",
          "--tw-ring-inset": "var(--tw-empty,/*!*/ /*!*/)",
          "--tw-ring-offset-width": "2px",
          "--tw-ring-offset-color": "#fff",
          "--tw-ring-color": fe(
            a("colors.blue.600", de.blue[600]),
            "--tw-ring-opacity"
          ),
          "--tw-ring-offset-shadow": "var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color)",
          "--tw-ring-shadow": "var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color)",
          "box-shadow": "var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow)"
        }
      },
      {
        base: ["[type='checkbox']:checked", "[type='radio']:checked"],
        class: [".form-checkbox:checked", ".form-radio:checked"],
        styles: {
          "border-color": "transparent",
          "background-color": "currentColor",
          "background-size": "100% 100%",
          "background-position": "center",
          "background-repeat": "no-repeat"
        }
      },
      {
        base: ["[type='checkbox']:checked"],
        class: [".form-checkbox:checked"],
        styles: {
          "background-image": `url("${He(
            '<svg viewBox="0 0 16 16" fill="white" xmlns="http://www.w3.org/2000/svg"><path d="M12.207 4.793a1 1 0 010 1.414l-5 5a1 1 0 01-1.414 0l-2-2a1 1 0 011.414-1.414L6.5 9.086l4.293-4.293a1 1 0 011.414 0z"/></svg>'
          )}")`
        }
      },
      {
        base: ["[type='radio']:checked"],
        class: [".form-radio:checked"],
        styles: {
          "background-image": `url("${He(
            '<svg viewBox="0 0 16 16" fill="white" xmlns="http://www.w3.org/2000/svg"><circle cx="8" cy="8" r="3"/></svg>'
          )}")`
        }
      },
      {
        base: [
          "[type='checkbox']:checked:hover",
          "[type='checkbox']:checked:focus",
          "[type='radio']:checked:hover",
          "[type='radio']:checked:focus"
        ],
        class: [
          ".form-checkbox:checked:hover",
          ".form-checkbox:checked:focus",
          ".form-radio:checked:hover",
          ".form-radio:checked:focus"
        ],
        styles: {
          "border-color": "transparent",
          "background-color": "currentColor"
        }
      },
      {
        base: ["[type='checkbox']:indeterminate"],
        class: [".form-checkbox:indeterminate"],
        styles: {
          "background-image": `url("${He(
            '<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 16 16"><path stroke="white" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 8h8"/></svg>'
          )}")`,
          "border-color": "transparent",
          "background-color": "currentColor",
          "background-size": "100% 100%",
          "background-position": "center",
          "background-repeat": "no-repeat"
        }
      },
      {
        base: ["[type='checkbox']:indeterminate:hover", "[type='checkbox']:indeterminate:focus"],
        class: [".form-checkbox:indeterminate:hover", ".form-checkbox:indeterminate:focus"],
        styles: {
          "border-color": "transparent",
          "background-color": "currentColor"
        }
      },
      {
        base: ["[type='file']"],
        class: null,
        styles: {
          background: "unset",
          "border-color": "inherit",
          "border-width": "0",
          "border-radius": "0",
          padding: "0",
          "font-size": "unset",
          "line-height": "inherit"
        }
      },
      {
        base: ["[type='file']:focus"],
        class: null,
        styles: {
          outline: ["1px solid ButtonText", "1px auto -webkit-focus-ring-color"]
        }
      }
    ], l = (i) => n.map((s) => s[i] === null ? null : { [s[i]]: s.styles }).filter(Boolean);
    o.includes("base") && t(l("base")), o.includes("class") && r(l("class"));
  };
});
var Rr = jr;
const Hr = /* @__PURE__ */ Ut(Rr), g0 = function({ addBase: e, addComponents: t, theme: r }) {
  for (const [a, o] of Object.entries($r))
    e({
      ":root, :host": {
        [a]: o
      }
    });
  for (const [a, o] of Object.entries(Er))
    e({
      '[data-context="alternative"]': {
        [a]: o
      }
    });
  Hr({
    strategy: "class"
  }).handler({ addBase: e, addComponents: t, theme: r });
}, Nr = {
  neutral: {
    0: "var(--neutral-0)",
    50: "var(--neutral-50)",
    100: "var(--neutral-100)",
    200: "var(--neutral-200)",
    300: "var(--neutral-300)",
    400: "var(--neutral-400)",
    500: "var(--neutral-500)",
    600: "var(--neutral-600)",
    700: "var(--neutral-700)",
    800: "var(--neutral-800)",
    900: "var(--neutral-900)"
  },
  brand: {
    50: "var(--brand-50)",
    100: "var(--brand-100)",
    200: "var(--brand-200)",
    300: "var(--brand-300)",
    400: "var(--brand-400)",
    500: "var(--brand-500)",
    600: "var(--brand-600)",
    700: "var(--brand-700)",
    800: "var(--brand-800)",
    900: "var(--brand-900)"
  },
  green: {
    50: "var(--green-50)",
    100: "var(--green-100)",
    200: "var(--green-200)",
    300: "var(--green-300)",
    400: "var(--green-400)",
    500: "var(--green-500)",
    600: "var(--green-600)",
    700: "var(--green-700)",
    800: "var(--green-800)",
    900: "var(--green-900)"
  },
  lime: {
    50: "var(--lime-50)",
    100: "var(--lime-100)",
    200: "var(--lime-200)",
    300: "var(--lime-300)",
    400: "var(--lime-400)",
    500: "var(--lime-500)",
    600: "var(--lime-600)",
    700: "var(--lime-700)",
    800: "var(--lime-800)",
    900: "var(--lime-900)"
  },
  teal: {
    50: "var(--teal-50)",
    100: "var(--teal-100)",
    200: "var(--teal-200)",
    300: "var(--teal-300)",
    400: "var(--teal-400)",
    500: "var(--teal-500)",
    600: "var(--teal-600)",
    700: "var(--teal-700)",
    800: "var(--teal-800)",
    900: "var(--teal-900)"
  },
  blue: {
    50: "var(--blue-50)",
    100: "var(--blue-100)",
    200: "var(--blue-200)",
    300: "var(--blue-300)",
    400: "var(--blue-400)",
    500: "var(--blue-500)",
    600: "var(--blue-600)",
    700: "var(--blue-700)",
    800: "var(--blue-800)",
    900: "var(--blue-900)"
  },
  purple: {
    50: "var(--purple-50)",
    100: "var(--purple-100)",
    200: "var(--purple-200)",
    300: "var(--purple-300)",
    400: "var(--purple-400)",
    500: "var(--purple-500)",
    600: "var(--purple-600)",
    700: "var(--purple-700)",
    800: "var(--purple-800)",
    900: "var(--purple-900)"
  },
  pink: {
    50: "var(--pink-50)",
    100: "var(--pink-100)",
    200: "var(--pink-200)",
    300: "var(--pink-300)",
    400: "var(--pink-400)",
    500: "var(--pink-500)",
    600: "var(--pink-600)",
    700: "var(--pink-700)",
    800: "var(--pink-800)",
    900: "var(--pink-900)"
  },
  red: {
    50: "var(--red-50)",
    100: "var(--red-100)",
    200: "var(--red-200)",
    300: "var(--red-300)",
    400: "var(--red-400)",
    500: "var(--red-500)",
    600: "var(--red-600)",
    700: "var(--red-700)",
    800: "var(--red-800)",
    900: "var(--red-900)"
  },
  orange: {
    50: "var(--orange-50)",
    100: "var(--orange-100)",
    200: "var(--orange-200)",
    300: "var(--orange-300)",
    400: "var(--orange-400)",
    500: "var(--orange-500)",
    600: "var(--orange-600)",
    700: "var(--orange-700)",
    800: "var(--orange-800)",
    900: "var(--orange-900)"
  },
  yellow: {
    50: "var(--yellow-50)",
    100: "var(--yellow-100)",
    200: "var(--yellow-200)",
    300: "var(--yellow-300)",
    400: "var(--yellow-400)",
    500: "var(--yellow-500)",
    600: "var(--yellow-600)",
    700: "var(--yellow-700)",
    800: "var(--yellow-800)",
    900: "var(--yellow-900)"
  },
  "silver-tree": {
    50: "var(--silver-tree-50)",
    100: "var(--silver-tree-100)",
    200: "var(--silver-tree-200)",
    300: "var(--silver-tree-300)",
    400: "var(--silver-tree-400)",
    500: "var(--silver-tree-500)",
    600: "var(--silver-tree-600)",
    700: "var(--silver-tree-700)",
    800: "var(--silver-tree-800)",
    900: "var(--silver-tree-900)"
  },
  gimblet: {
    50: "var(--gimblet-50)",
    100: "var(--gimblet-100)",
    200: "var(--gimblet-200)",
    300: "var(--gimblet-300)",
    400: "var(--gimblet-400)",
    500: "var(--gimblet-500)",
    600: "var(--gimblet-600)",
    700: "var(--gimblet-700)",
    800: "var(--gimblet-800)",
    900: "var(--gimblet-900)"
  },
  mongoose: {
    50: "var(--mongoose-50)",
    100: "var(--mongoose-100)",
    200: "var(--mongoose-200)",
    300: "var(--mongoose-300)",
    400: "var(--mongoose-400)",
    500: "var(--mongoose-500)",
    600: "var(--mongoose-600)",
    700: "var(--mongoose-700)",
    800: "var(--mongoose-800)",
    900: "var(--mongoose-900)"
  },
  "muddy-waters": {
    50: "var(--muddy-waters-50)",
    100: "var(--muddy-waters-100)",
    200: "var(--muddy-waters-200)",
    300: "var(--muddy-waters-300)",
    400: "var(--muddy-waters-400)",
    500: "var(--muddy-waters-500)",
    600: "var(--muddy-waters-600)",
    700: "var(--muddy-waters-700)",
    800: "var(--muddy-waters-800)",
    900: "var(--muddy-waters-900)"
  },
  viola: {
    50: "var(--viola-50)",
    100: "var(--viola-100)",
    200: "var(--viola-200)",
    300: "var(--viola-300)",
    400: "var(--viola-400)",
    500: "var(--viola-500)",
    600: "var(--viola-600)",
    700: "var(--viola-700)",
    800: "var(--viola-800)",
    900: "var(--viola-900)"
  },
  "light-wisteria": {
    50: "var(--light-wisteria-50)",
    100: "var(--light-wisteria-100)",
    200: "var(--light-wisteria-200)",
    300: "var(--light-wisteria-300)",
    400: "var(--light-wisteria-400)",
    500: "var(--light-wisteria-500)",
    600: "var(--light-wisteria-600)",
    700: "var(--light-wisteria-700)",
    800: "var(--light-wisteria-800)",
    900: "var(--light-wisteria-900)"
  },
  "cold-purple": {
    50: "var(--cold-purple-50)",
    100: "var(--cold-purple-100)",
    200: "var(--cold-purple-200)",
    300: "var(--cold-purple-300)",
    400: "var(--cold-purple-400)",
    500: "var(--cold-purple-500)",
    600: "var(--cold-purple-600)",
    700: "var(--cold-purple-700)",
    800: "var(--cold-purple-800)",
    900: "var(--cold-purple-900)"
  },
  "polo-blue": {
    50: "var(--polo-blue-50)",
    100: "var(--polo-blue-100)",
    200: "var(--polo-blue-200)",
    300: "var(--polo-blue-300)",
    400: "var(--polo-blue-400)",
    500: "var(--polo-blue-500)",
    600: "var(--polo-blue-600)",
    700: "var(--polo-blue-700)",
    800: "var(--polo-blue-800)",
    900: "var(--polo-blue-900)"
  },
  neptune: {
    50: "var(--neptune-50)",
    100: "var(--neptune-100)",
    200: "var(--neptune-200)",
    300: "var(--neptune-300)",
    400: "var(--neptune-400)",
    500: "var(--neptune-500)",
    600: "var(--neptune-600)",
    700: "var(--neptune-700)",
    800: "var(--neptune-800)",
    900: "var(--neptune-900)"
  },
  mantis: {
    50: "var(--mantis-50)",
    100: "var(--mantis-100)",
    200: "var(--mantis-200)",
    300: "var(--mantis-300)",
    400: "var(--mantis-400)",
    500: "var(--mantis-500)",
    600: "var(--mantis-600)",
    700: "var(--mantis-700)",
    800: "var(--mantis-800)",
    900: "var(--mantis-900)"
  },
  isbre: {
    50: "var(--isbre-50)",
    100: "var(--isbre-100)",
    200: "var(--isbre-200)",
    300: "var(--isbre-300)",
    400: "var(--isbre-400)",
    500: "var(--isbre-500)",
    600: "var(--isbre-600)",
    700: "var(--isbre-700)"
  }
}, Zr = {
  sans: ["Archivo", ...Ct.fontFamily.sans],
  serif: ["IBM Plex Serif", ...Ct.fontFamily.serif]
}, Vr = {
  xxs: "0.625rem"
  // 10px
  // Uses default font sizes otherwise
}, Wr = {
  4.5: "1.125rem"
}, Gr = {
  primary: "var(--text-primary)",
  secondary: "var(--text-secondary)",
  tertiary: "var(--text-tertiary)",
  success: {
    DEFAULT: "var(--text-success)"
  },
  warning: {
    DEFAULT: "var(--text-warning)"
  },
  danger: {
    DEFAULT: "var(--text-danger)"
  },
  info: {
    DEFAULT: "var(--text-info)"
  },
  emphasis: {
    DEFAULT: "var(--text-emphasis)"
  },
  interactive: {
    DEFAULT: "var(--text-interactive)",
    hover: "var(--text-interactive-hover)",
    active: "var(--text-interactive-active)"
  },
  button: {
    primary: {
      DEFAULT: "var(--text-button-primary)"
    },
    secondary: {
      DEFAULT: "var(--text-button-secondary)"
    },
    tertiary: {
      DEFAULT: "var(--text-button-tertiary)",
      hover: "var(--text-button-tertiary-hover)",
      active: "var(--text-button-tertiary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--text-button-danger-primary)"
      },
      secondary: {
        DEFAULT: "var(--text-button-danger-secondary)"
      },
      tertiary: {
        DEFAULT: "var(--text-button-danger-tertiary)",
        hover: "var(--text-button-danger-tertiary-hover)",
        active: "var(--text-button-danger-tertiary-active)"
      }
    }
  }
}, Kr = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, Yr = {
  primary: {
    DEFAULT: "var(--bg-primary)",
    hover: "var(--bg-primary-hover)",
    active: "var(--bg-primary-active)"
  },
  secondary: {
    DEFAULT: "var(--bg-secondary)",
    hover: "var(--bg-secondary-hover)",
    active: "var(--bg-secondary-active)"
  },
  tertiary: {
    DEFAULT: "var(--bg-tertiary)",
    hover: "var(--bg-tertiary-hover)",
    active: "var(--bg-tertiary-active)"
  },
  success: {
    DEFAULT: "var(--bg-success)"
  },
  warning: {
    DEFAULT: "var(--bg-warning)"
  },
  danger: {
    DEFAULT: "var(--bg-danger)"
  },
  info: {
    DEFAULT: "var(--bg-info)"
  },
  emphasis: {
    DEFAULT: "var(--bg-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--bg-button-primary)",
      hover: "var(--bg-button-primary-hover)",
      active: "var(--bg-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--bg-button-secondary)",
      hover: "var(--bg-button-secondary-hover)",
      active: "var(--bg-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--bg-button-danger-primary)",
        hover: "var(--bg-button-danger-primary-hover)",
        active: "var(--bg-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--bg-button-danger-secondary)",
        hover: "var(--bg-button-danger-secondary-hover)",
        active: "var(--bg-button-danger-secondary-active)"
      }
    }
  }
}, Qr = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, Xr = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, Jr = {
  wiggle: {
    "0%, 100%": { transform: "rotate(-3deg)" },
    "50%": { transform: "rotate(3deg)" }
  }
}, ea = {
  wiggle: "wiggle 0.3s ease-in-out infinite"
}, h0 = {
  theme: {
    extend: {
      fontFamily: Zr,
      fontSize: Vr,
      lineHeight: Wr,
      colors: Nr,
      textColor: Gr,
      borderColor: Kr,
      backgroundColor: Yr,
      outlineColor: Qr,
      ringColor: Xr,
      keyframes: Jr,
      animation: ea
    }
  }
};
function Bt(e, t = 0, r = 1e3) {
  if (r <= 0.1)
    return { value: e };
  const a = q(t);
  function o(n, l) {
    const i = Date.now(), s = r, u = l - n, f = () => {
      const p = Date.now() - i, v = ta(p, n, u, s);
      p < s ? (a.value = Math.floor(v), window.requestAnimationFrame(f)) : a.value = l;
    };
    f();
  }
  return ce(
    e,
    (n) => {
      o(a.value ?? t, n);
    },
    { immediate: !0 }
  ), { value: a };
}
function ta(e, t, r, a) {
  return e /= a, -r * e * (e - 2) + t;
}
function ra(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    b("path", { d: "M480-80q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q43 0 83 8.5t77 24.5v90q0 32 22.5 54.5T717-680h3v23q0 23 17 40t40 17h85q9 29 13.5 58.5T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Zm0-180q58 0 107-28t79-76q6-12-1-24t-21-12H316q-14 0-21 12t-1 24q30 48 79.5 76T480-260ZM340-520q25 0 42.5-17.5T400-580q0-25-17.5-42.5T340-640q-25 0-42.5 17.5T280-580q0 25 17.5 42.5T340-520Zm280 0q25 0 42.5-17.5T680-580q0-25-17.5-42.5T620-640q-25 0-42.5 17.5T560-580q0 25 17.5 42.5T620-520Zm180-240h-40q-17 0-28.5-11.5T720-800q0-17 11.5-28.5T760-840h40v-40q0-17 11.5-28.5T840-920q17 0 28.5 11.5T880-880v40h40q17 0 28.5 11.5T960-800q0 17-11.5 28.5T920-760h-40v40q0 17-11.5 28.5T840-680q-17 0-28.5-11.5T800-720v-40Z" })
  ]);
}
function aa(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    b("path", { d: "M480-480Zm0 400q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q43 0 83 8.5t77 24.5v90q-35-20-75.5-31.5T480-800q-133 0-226.5 93.5T160-480q0 133 93.5 226.5T480-160q133 0 226.5-93.5T800-480q0-32-6.5-62T776-600h86q9 29 13.5 58.5T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Zm320-680h-40q-17 0-28.5-11.5T720-800q0-17 11.5-28.5T760-840h40v-40q0-17 11.5-28.5T840-920q17 0 28.5 11.5T880-880v40h40q17 0 28.5 11.5T960-800q0 17-11.5 28.5T920-760h-40v40q0 17-11.5 28.5T840-680q-17 0-28.5-11.5T800-720v-40ZM620-520q25 0 42.5-17.5T680-580q0-25-17.5-42.5T620-640q-25 0-42.5 17.5T560-580q0 25 17.5 42.5T620-520Zm-280 0q25 0 42.5-17.5T400-580q0-25-17.5-42.5T340-640q-25 0-42.5 17.5T280-580q0 25 17.5 42.5T340-520Zm140 260q58 0 107-28t79-76q6-12-1-24t-21-12H316q-14 0-21 12t-1 24q30 48 79.5 76T480-260Z" })
  ]);
}
function na(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    b("path", { d: "M440-313v-447q0-17 11.5-28.5T480-800q17 0 28.5 11.5T520-760v447l196-196q12-12 28-11.5t28 12.5q11 12 11.5 28T772-452L508-188q-6 6-13 8.5t-15 2.5q-8 0-15-2.5t-13-8.5L188-452q-11-11-11-27.5t11-28.5q12-12 28.5-12t28.5 12l195 195Z" })
  ]);
}
function oa(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    b("path", { d: "M647-440H200q-17 0-28.5-11.5T160-480q0-17 11.5-28.5T200-520h447L451-716q-12-12-11.5-28t12.5-28q12-11 28-11.5t28 11.5l264 264q6 6 8.5 13t2.5 15q0 8-2.5 15t-8.5 13L508-188q-11 11-27.5 11T452-188q-12-12-12-28.5t12-28.5l195-195Z" })
  ]);
}
function la(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    b("path", { d: "M440-647 244-451q-12 12-28 11.5T188-452q-11-12-11.5-28t11.5-28l264-264q6-6 13-8.5t15-2.5q8 0 15 2.5t13 8.5l264 264q11 11 11 27.5T772-452q-12 12-28.5 12T715-452L520-647v447q0 17-11.5 28.5T480-160q-17 0-28.5-11.5T440-200v-447Z" })
  ]);
}
function Gt(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    b("path", { d: "m382-354 339-339q12-12 28.5-12t28.5 12q12 12 12 28.5T778-636L410-268q-12 12-28 12t-28-12L182-440q-12-12-11.5-28.5T183-497q12-12 28.5-12t28.5 12l142 143Z" })
  ]);
}
function ia(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    b("path", { d: "m424-408-86-86q-11-11-28-11t-28 11q-11 11-11 28t11 28l114 114q12 12 28 12t28-12l226-226q11-11 11-28t-11-28q-11-11-28-11t-28 11L424-408Zm56 328q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q83 0 156 31.5T763-763q54 54 85.5 127T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Z" })
  ]);
}
function Oe(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    b("path", { d: "M480-424 284-228q-11 11-28 11t-28-11q-11-11-11-28t11-28l196-196-196-196q-11-11-11-28t11-28q11-11 28-11t28 11l196 196 196-196q11-11 28-11t28 11q11 11 11 28t-11 28L536-480l196 196q11 11 11 28t-11 28q-11 11-28 11t-28-11L480-424Z" })
  ]);
}
function sa(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    b("path", { d: "M480-80q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-81 33.5-157.5t93-134.5Q266-830 348-860t180-18q15 2 23 12.5t9 28.5q2 64 47.5 109.5T716-680q21 1 32 12t12 34q2 42 25.5 69t65.5 41q14 5 21.5 14.5T880-486q2 83-29 157t-85 129.5Q712-144 638-112T480-80Zm0-80q122 0 216.5-84T800-458q-50-22-78.5-60T683-603q-77-11-132-66t-68-132q-80-2-140.5 29t-101 79.5Q201-644 180.5-587T160-480q0 133 93.5 226.5T480-160Zm0-324Zm-60-76q25 0 42.5-17.5T480-620q0-25-17.5-42.5T420-680q-25 0-42.5 17.5T360-620q0 25 17.5 42.5T420-560Zm-80 200q25 0 42.5-17.5T400-420q0-25-17.5-42.5T340-480q-25 0-42.5 17.5T280-420q0 25 17.5 42.5T340-360Zm260 40q17 0 28.5-11.5T640-360q0-17-11.5-28.5T600-400q-17 0-28.5 11.5T560-360q0 17 11.5 28.5T600-320Z" })
  ]);
}
function ca(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    b("path", { d: "M480-280q17 0 28.5-11.5T520-320q0-17-11.5-28.5T480-360q-17 0-28.5 11.5T440-320q0 17 11.5 28.5T480-280Zm0-160q17 0 28.5-11.5T520-480v-160q0-17-11.5-28.5T480-680q-17 0-28.5 11.5T440-640v160q0 17 11.5 28.5T480-440Zm0 360q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q83 0 156 31.5T763-763q54 54 85.5 127T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Z" })
  ]);
}
function ua(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    b("path", { d: "M480-280q17 0 28.5-11.5T520-320v-160q0-17-11.5-28.5T480-520q-17 0-28.5 11.5T440-480v160q0 17 11.5 28.5T480-280Zm0-320q17 0 28.5-11.5T520-640q0-17-11.5-28.5T480-680q-17 0-28.5 11.5T440-640q0 17 11.5 28.5T480-600Zm0 520q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q83 0 156 31.5T763-763q54 54 85.5 127T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Z" })
  ]);
}
function da(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    b("path", { d: "m432-480 156 156q11 11 11 28t-11 28q-11 11-28 11t-28-11L348-452q-6-6-8.5-13t-2.5-15q0-8 2.5-15t8.5-13l184-184q11-11 28-11t28 11q11 11 11 28t-11 28L432-480Z" })
  ]);
}
function fa(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    b("path", { d: "M240-80q-33 0-56.5-23.5T160-160v-400q0-33 23.5-56.5T240-640h40v-80q0-83 58.5-141.5T480-920q83 0 141.5 58.5T680-720v80h40q33 0 56.5 23.5T800-560v400q0 33-23.5 56.5T720-80H240Zm0-80h480v-400H240v400Zm240-120q33 0 56.5-23.5T560-360q0-33-23.5-56.5T480-440q-33 0-56.5 23.5T400-360q0 33 23.5 56.5T480-280ZM360-640h240v-80q0-50-35-85t-85-35q-50 0-85 35t-35 85v80ZM240-160v-400 400Z" })
  ]);
}
function pa(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    b("path", { d: "M200-200q-17 0-28.5-11.5T160-240q0-17 11.5-28.5T200-280h40v-280q0-83 50-147.5T420-792v-28q0-25 17.5-42.5T480-880q25 0 42.5 17.5T540-820v28q80 20 130 84.5T720-560v280h40q17 0 28.5 11.5T800-240q0 17-11.5 28.5T760-200H200ZM480-80q-33 0-56.5-23.5T400-160h160q0 33-23.5 56.5T480-80Z" })
  ]);
}
function ba(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    b("path", { d: "M200-120q-33 0-56.5-23.5T120-200v-560q0-33 23.5-56.5T200-840h240q17 0 28.5 11.5T480-800q0 17-11.5 28.5T440-760H200v560h560v-240q0-17 11.5-28.5T800-480q17 0 28.5 11.5T840-440v240q0 33-23.5 56.5T760-120H200Zm560-584L416-360q-11 11-28 11t-28-11q-11-11-11-28t11-28l344-344H600q-17 0-28.5-11.5T560-800q0-17 11.5-28.5T600-840h240v240q0 17-11.5 28.5T800-560q-17 0-28.5-11.5T760-600v-104Z" })
  ]);
}
function va(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    b("path", { d: "M520-496v-144q0-17-11.5-28.5T480-680q-17 0-28.5 11.5T440-640v159q0 8 3 15.5t9 13.5l132 132q11 11 28 11t28-11q11-11 11-28t-11-28L520-496ZM480-80q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q83 0 156 31.5T763-763q54 54 85.5 127T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Zm0-400Zm0 320q133 0 226.5-93.5T800-480q0-133-93.5-226.5T480-800q-133 0-226.5 93.5T160-480q0 133 93.5 226.5T480-160Z" })
  ]);
}
function ma(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    b("path", { d: "M360-440q-17 0-28.5-11.5T320-480v-247l-75 75q-11 11-27.5 11T189-652q-12-12-12-28.5t12-28.5l143-143q6-6 13-8.5t15-2.5q8 0 15 2.5t13 8.5l144 144q12 12 11.5 28T531-652q-12 11-28 11.5T475-652l-75-75v247q0 17-11.5 28.5T360-440ZM600-97q-8 0-15-2.5t-13-8.5L428-252q-12-12-11.5-28t12.5-28q12-11 28-11.5t28 11.5l75 75v-247q0-17 11.5-28.5T600-520q17 0 28.5 11.5T640-480v247l75-75q11-11 27.5-11t28.5 11q12 12 12 28.5T771-251L628-108q-6 6-13 8.5T600-97Z" })
  ]);
}
function ga(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    b("path", { d: "M480-80q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q48 0 93.5 11t87.5 32q15 8 19.5 24t-5.5 30q-10 14-26.5 18t-32.5-4q-32-15-66.5-23t-69.5-8q-133 0-226.5 93.5T160-480q0 133 93.5 226.5T480-160q133 0 226.5-93.5T800-480q0-8-.5-15.5T798-511q-2-17 6.5-32.5T830-564q16-5 30 3t16 24q2 14 3 28t1 29q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Zm-56-328 372-373q11-11 27.5-11.5T852-781q11 11 11 28t-11 28L452-324q-12 12-28 12t-28-12L282-438q-11-11-11-28t11-28q11-11 28-11t28 11l86 86Z" })
  ]);
}
function ha(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    b("path", { d: "M109-120q-11 0-20-5.5T75-140q-5-9-5.5-19.5T75-180l370-640q6-10 15.5-15t19.5-5q10 0 19.5 5t15.5 15l370 640q6 10 5.5 20.5T885-140q-5 9-14 14.5t-20 5.5H109Zm371-120q17 0 28.5-11.5T520-280q0-17-11.5-28.5T480-320q-17 0-28.5 11.5T440-280q0 17 11.5 28.5T480-240Zm0-120q17 0 28.5-11.5T520-400v-120q0-17-11.5-28.5T480-560q-17 0-28.5 11.5T440-520v120q0 17 11.5 28.5T480-360Z" })
  ]);
}
const ya = { class: "bcc-alert-content" }, wa = {
  key: 0,
  class: "bcc-alert-title"
}, y0 = /* @__PURE__ */ T({
  __name: "BccAlert",
  props: {
    context: { default: "info" },
    icon: { type: Boolean, default: !1 },
    title: {},
    closeButton: { type: Boolean, default: !1 },
    open: { type: Boolean, default: !0 }
  },
  emits: ["close"],
  setup(e, { emit: t }) {
    const r = {
      info: {
        class: "",
        icon: ua
      },
      success: {
        class: "bcc-alert-success",
        icon: ga
      },
      warning: {
        class: "bcc-alert-warning",
        icon: ha
      },
      danger: {
        class: "bcc-alert-danger",
        icon: ca
      },
      neutral: {
        class: "bcc-alert-neutral",
        icon: pa
      }
    };
    return (a, o) => (c(), _(Fe, { name: "bcc-fade" }, {
      default: S(() => [
        a.open ? (c(), d("div", {
          key: 0,
          class: L(["bcc-alert", r[a.context].class])
        }, [
          a.icon ? (c(), _(X(typeof a.icon == "boolean" ? r[a.context].icon : a.icon), {
            key: 0,
            class: "bcc-alert-icon"
          })) : w("", !0),
          b("div", ya, [
            a.title ? (c(), d("h3", wa, C(a.title), 1)) : w("", !0),
            b("p", null, [
              P(a.$slots, "default")
            ])
          ]),
          a.closeButton ? (c(), d("button", {
            key: 1,
            onClick: o[0] || (o[0] = ht((n) => t("close"), ["prevent"])),
            "aria-label": "Close alert",
            class: "bcc-alert-close-button"
          }, [
            F(h(Oe), { class: "bcc-alert-close-icon" })
          ])) : w("", !0)
        ], 2)) : w("", !0)
      ]),
      _: 3
    }));
  }
}), w0 = /* @__PURE__ */ T({
  __name: "BccAvatar",
  props: {
    initials: {},
    gender: { default: "unknown" },
    child: { type: Boolean, default: !1 },
    size: { default: "sm" }
  },
  setup(e) {
    return (t, r) => (c(), d("div", {
      class: L(["bcc-avatar", {
        "bcc-avatar-xs": t.size === "xs",
        "bcc-avatar-man": !t.child && t.gender === "male",
        "bcc-avatar-woman": !t.child && t.gender === "female",
        "bcc-avatar-person": !t.child && t.gender === "unknown",
        "bcc-avatar-boy": t.child && t.gender === "male",
        "bcc-avatar-girl": t.child && t.gender === "female",
        "bcc-avatar-child": t.child && t.gender === "unknown"
      }])
    }, C(t.initials.slice(0, 2)), 3));
  }
}), Ta = { class: "order-2" }, ka = /* @__PURE__ */ T({
  __name: "BccBadge",
  props: {
    icon: {},
    iconRight: { type: Boolean, default: !1 },
    size: { default: "xs" },
    context: { default: "neutral" }
  },
  setup(e) {
    return (t, r) => (c(), d("div", {
      class: L(["bcc-badge", {
        "bcc-badge-sm": t.size === "sm",
        "bcc-badge-danger": t.context === "danger",
        "bcc-badge-warning": t.context === "warning",
        "bcc-badge-success": t.context === "success",
        "bcc-badge-info": t.context === "info"
      }])
    }, [
      t.icon ? (c(), _(X(t.icon), {
        key: 0,
        class: L(["bcc-badge-icon", [t.iconRight ? "order-3" : "order-1"]])
      }, null, 8, ["class"])) : w("", !0),
      b("span", Ta, [
        P(t.$slots, "default")
      ])
    ], 2));
  }
}), We = /* @__PURE__ */ T({
  __name: "BccButton",
  props: {
    is: { default: "button" },
    variant: { default: "primary" },
    context: { default: "default" },
    size: { default: "base" },
    icon: {},
    iconRight: { type: Boolean, default: !1 },
    justifyContent: { type: Boolean, default: !1 },
    rounded: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    padding: { type: Boolean, default: !0 }
  },
  setup(e) {
    const t = e, r = Pt(), a = t.icon !== void 0 && !r.default, o = {
      xs: "bcc-button-xs",
      sm: "bcc-button-sm",
      base: "",
      lg: "bcc-button-lg",
      xl: "bcc-button-xl"
    }, n = {
      primary: "bcc-button-primary",
      secondary: "bcc-button-secondary",
      tertiary: "bcc-button-tertiary"
    }, l = {
      default: "",
      danger: "bcc-button-danger"
    };
    return (i, s) => (c(), _(X(i.is), {
      disabled: i.disabled,
      class: L(["bcc-button", [
        o[i.size],
        n[i.variant],
        l[i.context],
        {
          "bcc-button-no-padding": !i.padding,
          "bcc-button-icon-only": h(a),
          "bcc-button-rounded": i.rounded,
          "bcc-button-justify-content": i.justifyContent
        }
      ]])
    }, {
      default: S(() => [
        P(i.$slots, "default"),
        i.icon ? (c(), _(X(i.icon), {
          key: 0,
          class: L(["bcc-button-icon", [i.iconRight ? "order-2" : "-order-1"]])
        }, null, 8, ["class"])) : w("", !0)
      ]),
      _: 3
    }, 8, ["disabled", "class"]));
  }
}), xa = /* @__PURE__ */ b("circle", {
  cx: "20",
  cy: "20",
  r: "18",
  fill: "none",
  "stroke-width": "2",
  stroke: "currentColor"
}, null, -1), qa = ["stroke-dashoffset"], _a = {
  key: 1,
  "text-anchor": "middle",
  x: "20",
  y: "25",
  "font-size": "14",
  "font-weight": "600",
  fill: "currentColor",
  class: "bcc-capacity-indicator-text"
}, $a = {
  key: 2,
  d: "M14.4122 25.1588C13.1109 25.1588 12.017 24.6844 11.1305 23.7354C10.244 22.7864 9.80078 21.6525 9.80078 20.3337C9.80078 19.0287 10.2475 17.9121 11.1409 16.984C12.0343 16.0559 13.1247 15.5918 14.4122 15.5918C14.9358 15.5918 15.4424 15.679 15.9319 15.8533C16.4214 16.0277 16.8557 16.2965 17.2347 16.6597L19.0662 18.417L17.885 19.5628L16.1877 17.9045C15.9538 17.6704 15.6828 17.5015 15.3745 17.3978C15.0663 17.294 14.7475 17.2422 14.4182 17.2422C13.5803 17.2422 12.8763 17.5449 12.3063 18.1504C11.7362 18.756 11.4512 19.4851 11.4512 20.3379C11.4512 21.2047 11.7327 21.9497 12.2957 22.5732C12.8587 23.1967 13.566 23.5085 14.4176 23.5085C14.7413 23.5085 15.0554 23.4567 15.3599 23.3532C15.6644 23.2497 15.9391 23.088 16.1839 22.8681L22.7673 16.6597C23.1462 16.2965 23.5805 16.0277 24.07 15.8533C24.5596 15.679 25.0592 15.5918 25.5689 15.5918C26.8702 15.5918 27.9676 16.0559 28.861 16.984C29.7544 17.9121 30.2012 19.0287 30.2012 20.3337C30.2012 21.6525 29.7544 22.7864 28.861 23.7354C27.9676 24.6844 26.8702 25.1588 25.5689 25.1588C25.0592 25.1588 24.5561 25.0751 24.0596 24.9077C23.5631 24.7403 23.1324 24.475 22.7673 24.1117L20.9892 22.3545L22.1586 21.2087L23.8177 22.8681C24.0383 23.0885 24.3035 23.2503 24.6133 23.3536C24.9231 23.4568 25.2398 23.5085 25.5635 23.5085C26.4151 23.5085 27.1259 23.1961 27.6958 22.5714C28.2658 21.9467 28.5508 21.2021 28.5508 20.3377C28.5508 19.4872 28.2623 18.7586 27.6854 18.152C27.1085 17.5455 26.4012 17.2422 25.5635 17.2422C25.2398 17.2422 24.9257 17.3009 24.6212 17.4183C24.3167 17.5357 24.0489 17.7043 23.818 17.9242L17.2347 24.1326C16.8557 24.4819 16.418 24.7403 15.9215 24.9077C15.425 25.0751 14.9219 25.1588 14.4122 25.1588Z",
  fill: "currentColor",
  class: "bcc-capacity-indicator-text"
}, T0 = /* @__PURE__ */ T({
  __name: "BccCapacityIndicator",
  props: {
    total: {},
    used: { default: 0 },
    size: { default: "base" },
    animationDuration: { default: 1e3 }
  },
  setup(e) {
    const t = e, { value: r } = Bt(
      gr(t, "used"),
      t.used,
      t.animationDuration
    ), a = y(() => t.total === -1 ? -1 : t.used > t.total || t.used === t.total ? 100 : t.total > 0 ? t.used / t.total * 100 : 0), { value: o } = Bt(
      a,
      a.value,
      t.animationDuration
    ), n = Math.PI * 18 * 2;
    return (l, i) => (c(), d("svg", {
      width: "2em",
      height: "2em",
      viewBox: "0 0 40 40",
      class: L(["bcc-capacity-indicator", {
        "bcc-capacity-indicator-lg": l.size == "lg",
        "bcc-capacity-indicator-open": l.total == -1 || h(o) >= 0 && h(o) < 50,
        "bcc-capacity-indicator-warning": h(o) >= 50 && h(o) < 100,
        "bcc-capacity-indicator-full": h(o) >= 100
      }])
    }, [
      xa,
      h(o) > -1 ? (c(), d("circle", {
        key: 0,
        cx: "20",
        cy: "20",
        r: "18",
        fill: "none",
        "stroke-width": "2",
        "stroke-dasharray": n,
        "stroke-dashoffset": n * ((100 - h(o)) / 100),
        stroke: "currentColor",
        transform: "rotate(-90 20 20)",
        class: "bcc-capacity-indicator-circle-used"
      }, null, 8, qa)) : w("", !0),
      h(o) > -1 ? (c(), d("text", _a, C(h(o) < 100 ? l.total - h(r) : 0), 1)) : (c(), d("path", $a))
    ], 2));
  }
});
function Ge() {
  const e = hr(), t = y(() => {
    const r = {};
    for (const a in e)
      a !== "class" && a !== "style" && (r[a] = e[a]);
    return r;
  });
  return { attrs: e, attrsWithoutStyles: t };
}
let Ea = 0;
function Ca() {
  return ++Ea;
}
function Ke() {
  return Ca();
}
const La = ["disabled"], Sa = {
  inheritAttrs: !1
}, k0 = /* @__PURE__ */ T({
  ...Sa,
  __name: "BccCheckbox",
  props: {
    modelValue: { type: Boolean },
    label: {},
    disabled: { type: Boolean, default: !1 },
    indeterminate: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const r = e, { modelValue: a, indeterminate: o } = yt(r), n = q(null), l = `bcc-checkbox-${Ke()}`, i = y({
      get() {
        return !!a.value;
      },
      set(p) {
        t("update:modelValue", p);
      }
    });
    M(() => {
      ce(
        o,
        (p) => {
          if (n.value) {
            const v = n.value;
            v.indeterminate = p;
          }
        },
        { immediate: !0 }
      );
    });
    const { attrs: s, attrsWithoutStyles: u } = Ge(), f = y(() => {
      const p = [];
      return r.disabled && p.push("bcc-checkbox-wrapper-disabled"), s.class && p.push(s.class), p;
    });
    return (p, v) => (c(), d("div", {
      class: L(["bcc-checkbox-wrapper", f.value]),
      style: ye(p.$attrs.style)
    }, [
      qe(b("input", be({
        type: "checkbox",
        class: "bcc-checkbox",
        id: l,
        disabled: p.disabled,
        "onUpdate:modelValue": v[0] || (v[0] = (k) => i.value = k)
      }, h(u), {
        ref_key: "input",
        ref: n
      }), null, 16, La), [
        [Mt, i.value]
      ]),
      p.label ? (c(), d("label", {
        key: 0,
        for: l
      }, C(p.label), 1)) : w("", !0)
    ], 6));
  }
}), Ba = {
  key: 0,
  class: "bcc-cookie-banner-overlay"
}, Fa = {
  key: 0,
  class: "bcc-cookie-banner-wrapper"
}, Aa = { class: "bcc-cookie-banner" }, Da = { class: "bcc-cookie-banner-content" }, Oa = { class: "bcc-cookie-banner-title" }, Pa = { class: "bcc-cookie-banner-actions" }, x0 = /* @__PURE__ */ T({
  __name: "BccCookieBanner",
  props: {
    open: { type: Boolean, default: !1 },
    title: {},
    showOverlay: { type: Boolean, default: !0 },
    declineButtonText: { default: "Decline" },
    acceptButtonText: { default: "Accept" }
  },
  emits: ["accept", "decline"],
  setup(e, { emit: t }) {
    return (r, a) => (c(), d(j, null, [
      r.showOverlay ? (c(), _(Fe, {
        key: 0,
        name: "fade"
      }, {
        default: S(() => [
          r.open ? (c(), d("div", Ba)) : w("", !0)
        ]),
        _: 1
      })) : w("", !0),
      F(Fe, { name: "fade-fast" }, {
        default: S(() => [
          r.open ? (c(), d("div", Fa, [
            b("div", Aa, [
              b("div", Da, [
                b("div", Oa, [
                  F(h(sa), { class: "bcc-cookie-banner-icon" }),
                  b("h4", null, C(r.title), 1)
                ]),
                b("p", null, [
                  P(r.$slots, "default")
                ])
              ]),
              b("div", Pa, [
                F(We, {
                  variant: "secondary",
                  onClick: a[0] || (a[0] = (o) => t("decline")),
                  class: "bcc-cookie-banner-decline-button"
                }, {
                  default: S(() => [
                    J(C(r.declineButtonText), 1)
                  ]),
                  _: 1
                }),
                F(We, {
                  onClick: a[1] || (a[1] = (o) => t("accept")),
                  class: "bcc-cookie-banner-accept-button"
                }, {
                  default: S(() => [
                    J(C(r.acceptButtonText), 1)
                  ]),
                  _: 1
                })
              ])
            ])
          ])) : w("", !0)
        ]),
        _: 3
      })
    ], 64));
  }
}), Ma = ["for"], Ua = {
  key: 0,
  class: "bcc-form-label-optional"
}, kt = /* @__PURE__ */ T({
  __name: "BccFormLabel",
  props: {
    size: { default: "base" },
    for: {},
    showOptionalLabel: { type: Boolean, default: !1 },
    optionalLabel: { default: "Optional" }
  },
  setup(e) {
    const t = e;
    return (r, a) => (c(), d("label", {
      class: L(["bcc-form-label", { "bcc-form-label-lg": r.size === "lg" }]),
      for: t.for
    }, [
      b("span", null, [
        P(r.$slots, "default")
      ]),
      r.showOptionalLabel ? (c(), d("span", Ua, C(r.optionalLabel), 1)) : w("", !0)
    ], 10, Ma));
  }
}), Kt = /* @__PURE__ */ T({
  __name: "BccFormMessage",
  props: {
    state: { default: "default" }
  },
  setup(e) {
    return (t, r) => (c(), d("span", {
      class: L(["bcc-form-message", {
        "bcc-form-message-default": t.state === "default",
        "bcc-form-message-error": t.state === "error",
        "bcc-form-message-success": t.state === "success"
      }])
    }, [
      P(t.$slots, "default")
    ], 2));
  }
}), Ia = {
  key: 0,
  class: "bcc-input-icon-wrapper"
}, za = {
  key: 1,
  class: "bcc-input-clear-button-wrapper"
}, ja = /* @__PURE__ */ b("span", {
  class: "sr-only",
  id: "bcc-input-clear-desc"
}, "Clear input", -1), Ra = {
  inheritAttrs: !1
}, q0 = /* @__PURE__ */ T({
  ...Ra,
  __name: "BccInput",
  props: {
    modelValue: {},
    is: { default: "input" },
    state: { default: "default" },
    size: { default: "base" },
    icon: {},
    clearable: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    label: {},
    showOptionalLabel: { type: Boolean, default: !1 },
    optionalLabel: { default: "Optional" },
    required: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue", "clear"],
  setup(e, { emit: t }) {
    const r = e, { attrsWithoutStyles: a } = Ge(), o = `bcc-input-${Ke()}`, n = y(() => r.showOptionalLabel && !r.required);
    function l() {
      t("update:modelValue", ""), t("clear");
    }
    return (i, s) => (c(), d("div", {
      class: L(["bcc-input-container", i.$attrs.class]),
      style: ye(i.$attrs.style)
    }, [
      i.label || n.value ? (c(), _(kt, {
        key: 0,
        for: o,
        size: i.size === "lg" ? "lg" : void 0,
        showOptionalLabel: n.value,
        optionalLabel: i.optionalLabel
      }, {
        default: S(() => [
          J(C(i.label), 1)
        ]),
        _: 1
      }, 8, ["size", "showOptionalLabel", "optionalLabel"])) : w("", !0),
      b("div", {
        class: L(["bcc-input-wrapper", {
          "bcc-input-sm": i.size === "sm",
          "bcc-input-lg": i.size === "lg"
        }])
      }, [
        i.icon && i.is !== "textarea" ? (c(), d("div", Ia, [
          (c(), _(X(i.icon), {
            class: L(["bcc-input-icon", { "bcc-input-icon-disabled": i.disabled }]),
            "aria-hidden": "true"
          }, null, 8, ["class"]))
        ])) : w("", !0),
        (c(), _(X(i.is), be({
          id: o,
          disabled: i.disabled,
          required: i.required,
          class: ["bcc-input", {
            "bcc-input-error": i.state === "error",
            "bcc-input-success": i.state === "success",
            "bcc-input-with-icon": i.icon && i.is !== "textarea",
            "bcc-input-clearable": i.clearable && i.is !== "textarea"
          }],
          value: i.modelValue,
          onInput: s[0] || (s[0] = (u) => t("update:modelValue", u.target.value))
        }, h(a)), null, 16, ["disabled", "required", "class", "value"])),
        i.clearable && i.modelValue && i.is !== "textarea" ? (c(), d("div", za, [
          ja,
          F(h(Oe), {
            class: "bcc-input-clear-button",
            "aria-describedby": "bcc-input-clear-desc",
            onClick: l
          })
        ])) : w("", !0)
      ], 2),
      i.$slots.default ? (c(), _(Kt, {
        key: 1,
        state: i.state
      }, {
        default: S(() => [
          P(i.$slots, "default")
        ]),
        _: 3
      }, 8, ["state"])) : w("", !0)
    ], 6));
  }
});
function W(e, t, ...r) {
  if (e in t) {
    let o = t[e];
    return typeof o == "function" ? o(...r) : o;
  }
  let a = new Error(`Tried to handle "${e}" but there is no handler defined. Only defined handlers are: ${Object.keys(t).map((o) => `"${o}"`).join(", ")}.`);
  throw Error.captureStackTrace && Error.captureStackTrace(a, W), a;
}
var $e = ((e) => (e[e.None = 0] = "None", e[e.RenderStrategy = 1] = "RenderStrategy", e[e.Static = 2] = "Static", e))($e || {}), pe = ((e) => (e[e.Unmount = 0] = "Unmount", e[e.Hidden = 1] = "Hidden", e))(pe || {});
function z({ visible: e = !0, features: t = 0, ourProps: r, theirProps: a, ...o }) {
  var n;
  let l = Qt(a, r), i = Object.assign(o, { props: l });
  if (e || t & 2 && l.static)
    return lt(i);
  if (t & 1) {
    let s = (n = l.unmount) == null || n ? 0 : 1;
    return W(s, { 0() {
      return null;
    }, 1() {
      return lt({ ...o, props: { ...l, hidden: !0, style: { display: "none" } } });
    } });
  }
  return lt(i);
}
function lt({ props: e, attrs: t, slots: r, slot: a, name: o }) {
  var n, l;
  let { as: i, ...s } = xt(e, ["unmount", "static"]), u = (n = r.default) == null ? void 0 : n.call(r, a), f = {};
  if (a) {
    let p = !1, v = [];
    for (let [k, x] of Object.entries(a))
      typeof x == "boolean" && (p = !0), x === !0 && v.push(k);
    p && (f["data-headlessui-state"] = v.join(" "));
  }
  if (i === "template") {
    if (u = Yt(u ?? []), Object.keys(s).length > 0 || Object.keys(t).length > 0) {
      let [p, ...v] = u ?? [];
      if (!Ha(p) || v.length > 0)
        throw new Error(['Passing props on "template"!', "", `The current component <${o} /> is rendering a "template".`, "However we need to passthrough the following props:", Object.keys(s).concat(Object.keys(t)).map((m) => m.trim()).filter((m, g, E) => E.indexOf(m) === g).sort((m, g) => m.localeCompare(g)).map((m) => `  - ${m}`).join(`
`), "", "You can apply a few solutions:", ['Add an `as="..."` prop, to ensure that we render an actual element instead of a "template".', "Render a single element as the child so that we can forward the props onto that element."].map((m) => `  - ${m}`).join(`
`)].join(`
`));
      let k = Qt((l = p.props) != null ? l : {}, s), x = yr(p, k);
      for (let m in k)
        m.startsWith("on") && (x.props || (x.props = {}), x.props[m] = k[m]);
      return x;
    }
    return Array.isArray(u) && u.length === 1 ? u[0] : u;
  }
  return O(i, Object.assign({}, s, f), { default: () => u });
}
function Yt(e) {
  return e.flatMap((t) => t.type === j ? Yt(t.children) : [t]);
}
function Qt(...e) {
  if (e.length === 0)
    return {};
  if (e.length === 1)
    return e[0];
  let t = {}, r = {};
  for (let a of e)
    for (let o in a)
      o.startsWith("on") && typeof a[o] == "function" ? (r[o] != null || (r[o] = []), r[o].push(a[o])) : t[o] = a[o];
  if (t.disabled || t["aria-disabled"])
    return Object.assign(t, Object.fromEntries(Object.keys(r).map((a) => [a, void 0])));
  for (let a in r)
    Object.assign(t, { [a](o, ...n) {
      let l = r[a];
      for (let i of l) {
        if (o instanceof Event && o.defaultPrevented)
          return;
        i(o, ...n);
      }
    } });
  return t;
}
function xt(e, t = []) {
  let r = Object.assign({}, e);
  for (let a of t)
    a in r && delete r[a];
  return r;
}
function Ha(e) {
  return e == null ? !1 : typeof e.type == "string" || typeof e.type == "object" || typeof e.type == "function";
}
let Na = 0;
function Za() {
  return ++Na;
}
function ue() {
  return Za();
}
var Q = ((e) => (e.Space = " ", e.Enter = "Enter", e.Escape = "Escape", e.Backspace = "Backspace", e.Delete = "Delete", e.ArrowLeft = "ArrowLeft", e.ArrowUp = "ArrowUp", e.ArrowRight = "ArrowRight", e.ArrowDown = "ArrowDown", e.Home = "Home", e.End = "End", e.PageUp = "PageUp", e.PageDown = "PageDown", e.Tab = "Tab", e))(Q || {});
function $(e) {
  var t;
  return e == null || e.value == null ? null : (t = e.value.$el) != null ? t : e.value;
}
let Xt = Symbol("Context");
var G = ((e) => (e[e.Open = 1] = "Open", e[e.Closed = 2] = "Closed", e[e.Closing = 4] = "Closing", e[e.Opening = 8] = "Opening", e))(G || {});
function Va() {
  return qt() !== null;
}
function qt() {
  return Z(Xt, null);
}
function Wa(e) {
  ee(Xt, e);
}
function Ft(e, t) {
  if (e)
    return e;
  let r = t ?? "button";
  if (typeof r == "string" && r.toLowerCase() === "button")
    return "button";
}
function Ga(e, t) {
  let r = q(Ft(e.value.type, e.value.as));
  return M(() => {
    r.value = Ft(e.value.type, e.value.as);
  }), K(() => {
    var a;
    r.value || $(t) && $(t) instanceof HTMLButtonElement && !((a = $(t)) != null && a.hasAttribute("type")) && (r.value = "button");
  }), r;
}
var Ka = Object.defineProperty, Ya = (e, t, r) => t in e ? Ka(e, t, { enumerable: !0, configurable: !0, writable: !0, value: r }) : e[t] = r, At = (e, t, r) => (Ya(e, typeof t != "symbol" ? t + "" : t, r), r);
class Qa {
  constructor() {
    At(this, "current", this.detect()), At(this, "currentId", 0);
  }
  set(t) {
    this.current !== t && (this.currentId = 0, this.current = t);
  }
  reset() {
    this.set(this.detect());
  }
  nextId() {
    return ++this.currentId;
  }
  get isServer() {
    return this.current === "server";
  }
  get isClient() {
    return this.current === "client";
  }
  detect() {
    return typeof window > "u" || typeof document > "u" ? "server" : "client";
  }
}
let Pe = new Qa();
function we(e) {
  if (Pe.isServer)
    return null;
  if (e instanceof Node)
    return e.ownerDocument;
  if (e != null && e.hasOwnProperty("value")) {
    let t = $(e);
    if (t)
      return t.ownerDocument;
  }
  return document;
}
let dt = ["[contentEditable=true]", "[tabindex]", "a[href]", "area[href]", "button:not([disabled])", "iframe", "input:not([disabled])", "select:not([disabled])", "textarea:not([disabled])"].map((e) => `${e}:not([tabindex='-1'])`).join(",");
var I = ((e) => (e[e.First = 1] = "First", e[e.Previous = 2] = "Previous", e[e.Next = 4] = "Next", e[e.Last = 8] = "Last", e[e.WrapAround = 16] = "WrapAround", e[e.NoScroll = 32] = "NoScroll", e))(I || {}), _e = ((e) => (e[e.Error = 0] = "Error", e[e.Overflow = 1] = "Overflow", e[e.Success = 2] = "Success", e[e.Underflow = 3] = "Underflow", e))(_e || {}), Xa = ((e) => (e[e.Previous = -1] = "Previous", e[e.Next = 1] = "Next", e))(Xa || {});
function Ja(e = document.body) {
  return e == null ? [] : Array.from(e.querySelectorAll(dt)).sort((t, r) => Math.sign((t.tabIndex || Number.MAX_SAFE_INTEGER) - (r.tabIndex || Number.MAX_SAFE_INTEGER)));
}
var Jt = ((e) => (e[e.Strict = 0] = "Strict", e[e.Loose = 1] = "Loose", e))(Jt || {});
function en(e, t = 0) {
  var r;
  return e === ((r = we(e)) == null ? void 0 : r.body) ? !1 : W(t, { 0() {
    return e.matches(dt);
  }, 1() {
    let a = e;
    for (; a !== null; ) {
      if (a.matches(dt))
        return !0;
      a = a.parentElement;
    }
    return !1;
  } });
}
var tn = ((e) => (e[e.Keyboard = 0] = "Keyboard", e[e.Mouse = 1] = "Mouse", e))(tn || {});
typeof window < "u" && typeof document < "u" && (document.addEventListener("keydown", (e) => {
  e.metaKey || e.altKey || e.ctrlKey || (document.documentElement.dataset.headlessuiFocusVisible = "");
}, !0), document.addEventListener("click", (e) => {
  e.detail === 1 ? delete document.documentElement.dataset.headlessuiFocusVisible : e.detail === 0 && (document.documentElement.dataset.headlessuiFocusVisible = "");
}, !0));
function he(e) {
  e == null || e.focus({ preventScroll: !0 });
}
let rn = ["textarea", "input"].join(",");
function an(e) {
  var t, r;
  return (r = (t = e == null ? void 0 : e.matches) == null ? void 0 : t.call(e, rn)) != null ? r : !1;
}
function xe(e, t = (r) => r) {
  return e.slice().sort((r, a) => {
    let o = t(r), n = t(a);
    if (o === null || n === null)
      return 0;
    let l = o.compareDocumentPosition(n);
    return l & Node.DOCUMENT_POSITION_FOLLOWING ? -1 : l & Node.DOCUMENT_POSITION_PRECEDING ? 1 : 0;
  });
}
function ae(e, t, { sorted: r = !0, relativeTo: a = null, skipElements: o = [] } = {}) {
  var n;
  let l = (n = Array.isArray(e) ? e.length > 0 ? e[0].ownerDocument : document : e == null ? void 0 : e.ownerDocument) != null ? n : document, i = Array.isArray(e) ? r ? xe(e) : e : Ja(e);
  o.length > 0 && i.length > 1 && (i = i.filter((x) => !o.includes(x))), a = a ?? l.activeElement;
  let s = (() => {
    if (t & 5)
      return 1;
    if (t & 10)
      return -1;
    throw new Error("Missing Focus.First, Focus.Previous, Focus.Next or Focus.Last");
  })(), u = (() => {
    if (t & 1)
      return 0;
    if (t & 2)
      return Math.max(0, i.indexOf(a)) - 1;
    if (t & 4)
      return Math.max(0, i.indexOf(a)) + 1;
    if (t & 8)
      return i.length - 1;
    throw new Error("Missing Focus.First, Focus.Previous, Focus.Next or Focus.Last");
  })(), f = t & 32 ? { preventScroll: !0 } : {}, p = 0, v = i.length, k;
  do {
    if (p >= v || p + v <= 0)
      return 0;
    let x = u + p;
    if (t & 16)
      x = (x + v) % v;
    else {
      if (x < 0)
        return 3;
      if (x >= v)
        return 1;
    }
    k = i[x], k == null || k.focus(f), p += s;
  } while (k !== l.activeElement);
  return t & 6 && an(k) && k.select(), 2;
}
function Ne(e, t, r) {
  Pe.isServer || K((a) => {
    document.addEventListener(e, t, r), a(() => document.removeEventListener(e, t, r));
  });
}
function er(e, t, r) {
  Pe.isServer || K((a) => {
    window.addEventListener(e, t, r), a(() => window.removeEventListener(e, t, r));
  });
}
function nn(e, t, r = y(() => !0)) {
  function a(n, l) {
    if (!r.value || n.defaultPrevented)
      return;
    let i = l(n);
    if (i === null || !i.getRootNode().contains(i))
      return;
    let s = function u(f) {
      return typeof f == "function" ? u(f()) : Array.isArray(f) || f instanceof Set ? f : [f];
    }(e);
    for (let u of s) {
      if (u === null)
        continue;
      let f = u instanceof HTMLElement ? u : $(u);
      if (f != null && f.contains(i) || n.composed && n.composedPath().includes(f))
        return;
    }
    return !en(i, Jt.Loose) && i.tabIndex !== -1 && n.preventDefault(), t(n, i);
  }
  let o = q(null);
  Ne("pointerdown", (n) => {
    var l, i;
    r.value && (o.value = ((i = (l = n.composedPath) == null ? void 0 : l.call(n)) == null ? void 0 : i[0]) || n.target);
  }, !0), Ne("mousedown", (n) => {
    var l, i;
    r.value && (o.value = ((i = (l = n.composedPath) == null ? void 0 : l.call(n)) == null ? void 0 : i[0]) || n.target);
  }, !0), Ne("click", (n) => {
    o.value && (a(n, () => o.value), o.value = null);
  }, !0), Ne("touchend", (n) => a(n, () => n.target instanceof HTMLElement ? n.target : null), !0), er("blur", (n) => a(n, () => window.document.activeElement instanceof HTMLIFrameElement ? window.document.activeElement : null), !0);
}
var Ae = ((e) => (e[e.None = 1] = "None", e[e.Focusable = 2] = "Focusable", e[e.Hidden = 4] = "Hidden", e))(Ae || {});
let De = T({ name: "Hidden", props: { as: { type: [Object, String], default: "div" }, features: { type: Number, default: 1 } }, setup(e, { slots: t, attrs: r }) {
  return () => {
    let { features: a, ...o } = e, n = { "aria-hidden": (a & 2) === 2 ? !0 : void 0, style: { position: "fixed", top: 1, left: 1, width: 1, height: 0, padding: 0, margin: -1, overflow: "hidden", clip: "rect(0, 0, 0, 0)", whiteSpace: "nowrap", borderWidth: "0", ...(a & 4) === 4 && (a & 2) !== 2 && { display: "none" } } };
    return z({ ourProps: n, theirProps: o, slot: {}, attrs: r, slots: t, name: "Hidden" });
  };
} });
function on() {
  return /iPhone/gi.test(window.navigator.platform) || /Mac/gi.test(window.navigator.platform) && window.navigator.maxTouchPoints > 0;
}
function Ye(e) {
  typeof queueMicrotask == "function" ? queueMicrotask(e) : Promise.resolve().then(e).catch((t) => setTimeout(() => {
    throw t;
  }));
}
function Me() {
  let e = [], t = { addEventListener(r, a, o, n) {
    return r.addEventListener(a, o, n), t.add(() => r.removeEventListener(a, o, n));
  }, requestAnimationFrame(...r) {
    let a = requestAnimationFrame(...r);
    t.add(() => cancelAnimationFrame(a));
  }, nextFrame(...r) {
    t.requestAnimationFrame(() => {
      t.requestAnimationFrame(...r);
    });
  }, setTimeout(...r) {
    let a = setTimeout(...r);
    t.add(() => clearTimeout(a));
  }, microTask(...r) {
    let a = { current: !0 };
    return Ye(() => {
      a.current && r[0]();
    }), t.add(() => {
      a.current = !1;
    });
  }, style(r, a, o) {
    let n = r.style.getPropertyValue(a);
    return Object.assign(r.style, { [a]: o }), this.add(() => {
      Object.assign(r.style, { [a]: n });
    });
  }, group(r) {
    let a = Me();
    return r(a), this.add(() => a.dispose());
  }, add(r) {
    return e.push(r), () => {
      let a = e.indexOf(r);
      if (a >= 0)
        for (let o of e.splice(a, 1))
          o();
    };
  }, dispose() {
    for (let r of e.splice(0))
      r();
  } };
  return t;
}
var Be = ((e) => (e[e.Forwards = 0] = "Forwards", e[e.Backwards = 1] = "Backwards", e))(Be || {});
function ln() {
  let e = q(0);
  return er("keydown", (t) => {
    t.key === "Tab" && (e.value = t.shiftKey ? 1 : 0);
  }), e;
}
function tr(e, t, r, a) {
  Pe.isServer || K((o) => {
    e = e ?? window, e.addEventListener(t, r, a), o(() => e.removeEventListener(t, r, a));
  });
}
function sn(e) {
  function t() {
    document.readyState !== "loading" && (e(), document.removeEventListener("DOMContentLoaded", t));
  }
  typeof window < "u" && typeof document < "u" && (document.addEventListener("DOMContentLoaded", t), t());
}
function rr(e) {
  if (!e)
    return /* @__PURE__ */ new Set();
  if (typeof e == "function")
    return new Set(e());
  let t = /* @__PURE__ */ new Set();
  for (let r of e.value) {
    let a = $(r);
    a instanceof HTMLElement && t.add(a);
  }
  return t;
}
var ar = ((e) => (e[e.None = 1] = "None", e[e.InitialFocus = 2] = "InitialFocus", e[e.TabLock = 4] = "TabLock", e[e.FocusLock = 8] = "FocusLock", e[e.RestoreFocus = 16] = "RestoreFocus", e[e.All = 30] = "All", e))(ar || {});
let Le = Object.assign(T({ name: "FocusTrap", props: { as: { type: [Object, String], default: "div" }, initialFocus: { type: Object, default: null }, features: { type: Number, default: 30 }, containers: { type: [Object, Function], default: q(/* @__PURE__ */ new Set()) } }, inheritAttrs: !1, setup(e, { attrs: t, slots: r, expose: a }) {
  let o = q(null);
  a({ el: o, $el: o });
  let n = y(() => we(o)), l = q(!1);
  M(() => l.value = !0), Y(() => l.value = !1), un({ ownerDocument: n }, y(() => l.value && !!(e.features & 16)));
  let i = dn({ ownerDocument: n, container: o, initialFocus: y(() => e.initialFocus) }, y(() => l.value && !!(e.features & 2)));
  fn({ ownerDocument: n, container: o, containers: e.containers, previousActiveElement: i }, y(() => l.value && !!(e.features & 8)));
  let s = ln();
  function u(k) {
    let x = $(o);
    x && ((m) => m())(() => {
      W(s.value, { [Be.Forwards]: () => {
        ae(x, I.First, { skipElements: [k.relatedTarget] });
      }, [Be.Backwards]: () => {
        ae(x, I.Last, { skipElements: [k.relatedTarget] });
      } });
    });
  }
  let f = q(!1);
  function p(k) {
    k.key === "Tab" && (f.value = !0, requestAnimationFrame(() => {
      f.value = !1;
    }));
  }
  function v(k) {
    if (!l.value)
      return;
    let x = rr(e.containers);
    $(o) instanceof HTMLElement && x.add($(o));
    let m = k.relatedTarget;
    m instanceof HTMLElement && m.dataset.headlessuiFocusGuard !== "true" && (nr(x, m) || (f.value ? ae($(o), W(s.value, { [Be.Forwards]: () => I.Next, [Be.Backwards]: () => I.Previous }) | I.WrapAround, { relativeTo: k.target }) : k.target instanceof HTMLElement && he(k.target)));
  }
  return () => {
    let k = {}, x = { ref: o, onKeydown: p, onFocusout: v }, { features: m, initialFocus: g, containers: E, ...A } = e;
    return O(j, [!!(m & 4) && O(De, { as: "button", type: "button", "data-headlessui-focus-guard": !0, onFocus: u, features: Ae.Focusable }), z({ ourProps: x, theirProps: { ...t, ...A }, slot: k, attrs: t, slots: r, name: "FocusTrap" }), !!(m & 4) && O(De, { as: "button", type: "button", "data-headlessui-focus-guard": !0, onFocus: u, features: Ae.Focusable })]);
  };
} }), { features: ar }), me = [];
sn(() => {
  function e(t) {
    t.target instanceof HTMLElement && t.target !== document.body && me[0] !== t.target && (me.unshift(t.target), me = me.filter((r) => r != null && r.isConnected), me.splice(10));
  }
  window.addEventListener("click", e, { capture: !0 }), window.addEventListener("mousedown", e, { capture: !0 }), window.addEventListener("focus", e, { capture: !0 }), document.body.addEventListener("click", e, { capture: !0 }), document.body.addEventListener("mousedown", e, { capture: !0 }), document.body.addEventListener("focus", e, { capture: !0 });
});
function cn(e) {
  let t = q(me.slice());
  return ce([e], ([r], [a]) => {
    a === !0 && r === !1 ? Ye(() => {
      t.value.splice(0);
    }) : a === !1 && r === !0 && (t.value = me.slice());
  }, { flush: "post" }), () => {
    var r;
    return (r = t.value.find((a) => a != null && a.isConnected)) != null ? r : null;
  };
}
function un({ ownerDocument: e }, t) {
  let r = cn(t);
  M(() => {
    K(() => {
      var a, o;
      t.value || ((a = e.value) == null ? void 0 : a.activeElement) === ((o = e.value) == null ? void 0 : o.body) && he(r());
    }, { flush: "post" });
  }), Y(() => {
    t.value && he(r());
  });
}
function dn({ ownerDocument: e, container: t, initialFocus: r }, a) {
  let o = q(null), n = q(!1);
  return M(() => n.value = !0), Y(() => n.value = !1), M(() => {
    ce([t, r, a], (l, i) => {
      if (l.every((u, f) => (i == null ? void 0 : i[f]) === u) || !a.value)
        return;
      let s = $(t);
      s && Ye(() => {
        var u, f;
        if (!n.value)
          return;
        let p = $(r), v = (u = e.value) == null ? void 0 : u.activeElement;
        if (p) {
          if (p === v) {
            o.value = v;
            return;
          }
        } else if (s.contains(v)) {
          o.value = v;
          return;
        }
        p ? he(p) : ae(s, I.First | I.NoScroll) === _e.Error && console.warn("There are no focusable elements inside the <FocusTrap />"), o.value = (f = e.value) == null ? void 0 : f.activeElement;
      });
    }, { immediate: !0, flush: "post" });
  }), o;
}
function fn({ ownerDocument: e, container: t, containers: r, previousActiveElement: a }, o) {
  var n;
  tr((n = e.value) == null ? void 0 : n.defaultView, "focus", (l) => {
    if (!o.value)
      return;
    let i = rr(r);
    $(t) instanceof HTMLElement && i.add($(t));
    let s = a.value;
    if (!s)
      return;
    let u = l.target;
    u && u instanceof HTMLElement ? nr(i, u) ? (a.value = u, he(u)) : (l.preventDefault(), l.stopPropagation(), he(s)) : he(a.value);
  }, !0);
}
function nr(e, t) {
  for (let r of e)
    if (r.contains(t))
      return !0;
  return !1;
}
let it = /* @__PURE__ */ new Map(), Se = /* @__PURE__ */ new Map();
function Dt(e, t = q(!0)) {
  K((r) => {
    var a;
    if (!t.value)
      return;
    let o = $(e);
    if (!o)
      return;
    r(function() {
      var l;
      if (!o)
        return;
      let i = (l = Se.get(o)) != null ? l : 1;
      if (i === 1 ? Se.delete(o) : Se.set(o, i - 1), i !== 1)
        return;
      let s = it.get(o);
      s && (s["aria-hidden"] === null ? o.removeAttribute("aria-hidden") : o.setAttribute("aria-hidden", s["aria-hidden"]), o.inert = s.inert, it.delete(o));
    });
    let n = (a = Se.get(o)) != null ? a : 0;
    Se.set(o, n + 1), n === 0 && (it.set(o, { "aria-hidden": o.getAttribute("aria-hidden"), inert: o.inert }), o.setAttribute("aria-hidden", "true"), o.inert = !0);
  });
}
let or = Symbol("ForcePortalRootContext");
function pn() {
  return Z(or, !1);
}
let ft = T({ name: "ForcePortalRoot", props: { as: { type: [Object, String], default: "template" }, force: { type: Boolean, default: !1 } }, setup(e, { slots: t, attrs: r }) {
  return ee(or, e.force), () => {
    let { force: a, ...o } = e;
    return z({ theirProps: o, ourProps: {}, slot: {}, slots: t, attrs: r, name: "ForcePortalRoot" });
  };
} });
function bn(e) {
  let t = we(e);
  if (!t) {
    if (e === null)
      return null;
    throw new Error(`[Headless UI]: Cannot find ownerDocument for contextElement: ${e}`);
  }
  let r = t.getElementById("headlessui-portal-root");
  if (r)
    return r;
  let a = t.createElement("div");
  return a.setAttribute("id", "headlessui-portal-root"), t.body.appendChild(a);
}
let lr = T({ name: "Portal", props: { as: { type: [Object, String], default: "div" } }, setup(e, { slots: t, attrs: r }) {
  let a = q(null), o = y(() => we(a)), n = pn(), l = Z(ir, null), i = q(n === !0 || l == null ? bn(a.value) : l.resolveTarget());
  K(() => {
    n || l != null && (i.value = l.resolveTarget());
  });
  let s = Z(pt, null);
  return M(() => {
    let u = $(a);
    u && s && Y(s.register(u));
  }), Y(() => {
    var u, f;
    let p = (u = o.value) == null ? void 0 : u.getElementById("headlessui-portal-root");
    p && i.value === p && i.value.children.length <= 0 && ((f = i.value.parentElement) == null || f.removeChild(i.value));
  }), () => {
    if (i.value === null)
      return null;
    let u = { ref: a, "data-headlessui-portal": "" };
    return O(wr, { to: i.value }, z({ ourProps: u, theirProps: e, slot: {}, attrs: r, slots: t, name: "Portal" }));
  };
} }), pt = Symbol("PortalParentContext");
function vn() {
  let e = Z(pt, null), t = q([]);
  function r(n) {
    return t.value.push(n), e && e.register(n), () => a(n);
  }
  function a(n) {
    let l = t.value.indexOf(n);
    l !== -1 && t.value.splice(l, 1), e && e.unregister(n);
  }
  let o = { register: r, unregister: a, portals: t };
  return [t, T({ name: "PortalWrapper", setup(n, { slots: l }) {
    return ee(pt, o), () => {
      var i;
      return (i = l.default) == null ? void 0 : i.call(l);
    };
  } })];
}
let ir = Symbol("PortalGroupContext"), mn = T({ name: "PortalGroup", props: { as: { type: [Object, String], default: "template" }, target: { type: Object, default: null } }, setup(e, { attrs: t, slots: r }) {
  let a = Tr({ resolveTarget() {
    return e.target;
  } });
  return ee(ir, a), () => {
    let { target: o, ...n } = e;
    return z({ theirProps: n, ourProps: {}, slot: {}, attrs: t, slots: r, name: "PortalGroup" });
  };
} }), sr = Symbol("StackContext");
var bt = ((e) => (e[e.Add = 0] = "Add", e[e.Remove = 1] = "Remove", e))(bt || {});
function gn() {
  return Z(sr, () => {
  });
}
function hn({ type: e, enabled: t, element: r, onUpdate: a }) {
  let o = gn();
  function n(...l) {
    a == null || a(...l), o(...l);
  }
  M(() => {
    ce(t, (l, i) => {
      l ? n(0, e, r) : i === !0 && n(1, e, r);
    }, { immediate: !0, flush: "sync" });
  }), Y(() => {
    t.value && n(1, e, r);
  }), ee(sr, n);
}
let cr = Symbol("DescriptionContext");
function yn() {
  let e = Z(cr, null);
  if (e === null)
    throw new Error("Missing parent");
  return e;
}
function wn({ slot: e = q({}), name: t = "Description", props: r = {} } = {}) {
  let a = q([]);
  function o(n) {
    return a.value.push(n), () => {
      let l = a.value.indexOf(n);
      l !== -1 && a.value.splice(l, 1);
    };
  }
  return ee(cr, { register: o, slot: e, name: t, props: r }), y(() => a.value.length > 0 ? a.value.join(" ") : void 0);
}
T({ name: "Description", props: { as: { type: [Object, String], default: "p" }, id: { type: String, default: () => `headlessui-description-${ue()}` } }, setup(e, { attrs: t, slots: r }) {
  let a = yn();
  return M(() => Y(a.register(e.id))), () => {
    let { name: o = "Description", slot: n = q({}), props: l = {} } = a, { id: i, ...s } = e, u = { ...Object.entries(l).reduce((f, [p, v]) => Object.assign(f, { [p]: h(v) }), {}), id: i };
    return z({ ourProps: u, theirProps: s, slot: n.value, attrs: t, slots: r, name: o });
  };
} });
function Tn(e) {
  let t = kr(e.getSnapshot());
  return Y(e.subscribe(() => {
    t.value = e.getSnapshot();
  })), t;
}
function kn(e, t) {
  let r = e(), a = /* @__PURE__ */ new Set();
  return { getSnapshot() {
    return r;
  }, subscribe(o) {
    return a.add(o), () => a.delete(o);
  }, dispatch(o, ...n) {
    let l = t[o].call(r, ...n);
    l && (r = l, a.forEach((i) => i()));
  } };
}
function xn() {
  let e;
  return { before({ doc: t }) {
    var r;
    let a = t.documentElement;
    e = ((r = t.defaultView) != null ? r : window).innerWidth - a.clientWidth;
  }, after({ doc: t, d: r }) {
    let a = t.documentElement, o = a.clientWidth - a.offsetWidth, n = e - o;
    r.style(a, "paddingRight", `${n}px`);
  } };
}
function qn() {
  if (!on())
    return {};
  let e;
  return { before() {
    e = window.pageYOffset;
  }, after({ doc: t, d: r, meta: a }) {
    function o(l) {
      return a.containers.flatMap((i) => i()).some((i) => i.contains(l));
    }
    if (window.getComputedStyle(t.documentElement).scrollBehavior !== "auto") {
      let l = Me();
      l.style(t.documentElement, "scroll-behavior", "auto"), r.add(() => r.microTask(() => l.dispose()));
    }
    r.style(t.body, "marginTop", `-${e}px`), window.scrollTo(0, 0);
    let n = null;
    r.addEventListener(t, "click", (l) => {
      if (l.target instanceof HTMLElement)
        try {
          let i = l.target.closest("a");
          if (!i)
            return;
          let { hash: s } = new URL(i.href), u = t.querySelector(s);
          u && !o(u) && (n = u);
        } catch {
        }
    }, !0), r.addEventListener(t, "touchmove", (l) => {
      l.target instanceof HTMLElement && !o(l.target) && l.preventDefault();
    }, { passive: !1 }), r.add(() => {
      window.scrollTo(0, window.pageYOffset + e), n && n.isConnected && (n.scrollIntoView({ block: "nearest" }), n = null);
    });
  } };
}
function _n() {
  return { before({ doc: e, d: t }) {
    t.style(e.documentElement, "overflow", "hidden");
  } };
}
function $n(e) {
  let t = {};
  for (let r of e)
    Object.assign(t, r(t));
  return t;
}
let ge = kn(() => /* @__PURE__ */ new Map(), { PUSH(e, t) {
  var r;
  let a = (r = this.get(e)) != null ? r : { doc: e, count: 0, d: Me(), meta: /* @__PURE__ */ new Set() };
  return a.count++, a.meta.add(t), this.set(e, a), this;
}, POP(e, t) {
  let r = this.get(e);
  return r && (r.count--, r.meta.delete(t)), this;
}, SCROLL_PREVENT({ doc: e, d: t, meta: r }) {
  let a = { doc: e, d: t, meta: $n(r) }, o = [qn(), xn(), _n()];
  o.forEach(({ before: n }) => n == null ? void 0 : n(a)), o.forEach(({ after: n }) => n == null ? void 0 : n(a));
}, SCROLL_ALLOW({ d: e }) {
  e.dispose();
}, TEARDOWN({ doc: e }) {
  this.delete(e);
} });
ge.subscribe(() => {
  let e = ge.getSnapshot(), t = /* @__PURE__ */ new Map();
  for (let [r] of e)
    t.set(r, r.documentElement.style.overflow);
  for (let r of e.values()) {
    let a = t.get(r.doc) === "hidden", o = r.count !== 0;
    (o && !a || !o && a) && ge.dispatch(r.count > 0 ? "SCROLL_PREVENT" : "SCROLL_ALLOW", r), r.count === 0 && ge.dispatch("TEARDOWN", r);
  }
});
function En(e, t, r) {
  let a = Tn(ge), o = y(() => {
    let n = e.value ? a.value.get(e.value) : void 0;
    return n ? n.count > 0 : !1;
  });
  return ce([e, t], ([n, l], [i], s) => {
    if (!n || !l)
      return;
    ge.dispatch("PUSH", n, r);
    let u = !1;
    s(() => {
      u || (ge.dispatch("POP", i ?? n, r), u = !0);
    });
  }, { immediate: !0 }), o;
}
function Cn({ defaultContainers: e = [], portals: t, mainTreeNodeRef: r } = {}) {
  let a = q(null), o = we(a);
  function n() {
    var l;
    let i = [];
    for (let s of e)
      s !== null && (s instanceof HTMLElement ? i.push(s) : "value" in s && s.value instanceof HTMLElement && i.push(s.value));
    if (t != null && t.value)
      for (let s of t.value)
        i.push(s);
    for (let s of (l = o == null ? void 0 : o.querySelectorAll("html > *, body > *")) != null ? l : [])
      s !== document.body && s !== document.head && s instanceof HTMLElement && s.id !== "headlessui-portal-root" && (s.contains($(a)) || i.some((u) => s.contains(u)) || i.push(s));
    return i;
  }
  return { resolveContainers: n, contains(l) {
    return n().some((i) => i.contains(l));
  }, mainTreeNodeRef: a, MainTreeNode() {
    return r != null ? null : O(De, { features: Ae.Hidden, ref: a });
  } };
}
var Ln = ((e) => (e[e.Open = 0] = "Open", e[e.Closed = 1] = "Closed", e))(Ln || {});
let vt = Symbol("DialogContext");
function Ue(e) {
  let t = Z(vt, null);
  if (t === null) {
    let r = new Error(`<${e} /> is missing a parent <Dialog /> component.`);
    throw Error.captureStackTrace && Error.captureStackTrace(r, Ue), r;
  }
  return t;
}
let Ze = "DC8F892D-2EBD-447C-A4C8-A03058436FF4", Sn = T({ name: "Dialog", inheritAttrs: !1, props: { as: { type: [Object, String], default: "div" }, static: { type: Boolean, default: !1 }, unmount: { type: Boolean, default: !0 }, open: { type: [Boolean, String], default: Ze }, initialFocus: { type: Object, default: null }, id: { type: String, default: () => `headlessui-dialog-${ue()}` } }, emits: { close: (e) => !0 }, setup(e, { emit: t, attrs: r, slots: a, expose: o }) {
  var n;
  let l = q(!1);
  M(() => {
    l.value = !0;
  });
  let i = q(0), s = qt(), u = y(() => e.open === Ze && s !== null ? (s.value & G.Open) === G.Open : e.open), f = q(null), p = y(() => we(f));
  if (o({ el: f, $el: f }), !(e.open !== Ze || s !== null))
    throw new Error("You forgot to provide an `open` prop to the `Dialog`.");
  if (typeof u.value != "boolean")
    throw new Error(`You provided an \`open\` prop to the \`Dialog\`, but the value is not a boolean. Received: ${u.value === Ze ? void 0 : e.open}`);
  let v = y(() => l.value && u.value ? 0 : 1), k = y(() => v.value === 0), x = y(() => i.value > 1), m = Z(vt, null) !== null, [g, E] = vn(), { resolveContainers: A, mainTreeNodeRef: R, MainTreeNode: H } = Cn({ portals: g, defaultContainers: [y(() => {
    var B;
    return (B = V.panelRef.value) != null ? B : f.value;
  })] }), N = y(() => x.value ? "parent" : "leaf"), ne = y(() => s !== null ? (s.value & G.Closing) === G.Closing : !1), Ee = y(() => m || ne.value ? !1 : k.value), ze = y(() => {
    var B, U, te;
    return (te = Array.from((U = (B = p.value) == null ? void 0 : B.querySelectorAll("body > *")) != null ? U : []).find((re) => re.id === "headlessui-portal-root" ? !1 : re.contains($(R)) && re instanceof HTMLElement)) != null ? te : null;
  });
  Dt(ze, Ee);
  let Xe = y(() => x.value ? !0 : k.value), Je = y(() => {
    var B, U, te;
    return (te = Array.from((U = (B = p.value) == null ? void 0 : B.querySelectorAll("[data-headlessui-portal]")) != null ? U : []).find((re) => re.contains($(R)) && re instanceof HTMLElement)) != null ? te : null;
  });
  Dt(Je, Xe), hn({ type: "Dialog", enabled: y(() => v.value === 0), element: f, onUpdate: (B, U) => {
    if (U === "Dialog")
      return W(B, { [bt.Add]: () => i.value += 1, [bt.Remove]: () => i.value -= 1 });
  } });
  let et = wn({ name: "DialogDescription", slot: y(() => ({ open: u.value })) }), Te = q(null), V = { titleId: Te, panelRef: q(null), dialogState: v, setTitleId(B) {
    Te.value !== B && (Te.value = B);
  }, close() {
    t("close", !1);
  } };
  ee(vt, V);
  let Ce = y(() => !(!k.value || x.value));
  nn(A, (B, U) => {
    V.close(), xr(() => U == null ? void 0 : U.focus());
  }, Ce);
  let oe = y(() => !(x.value || v.value !== 0));
  tr((n = p.value) == null ? void 0 : n.defaultView, "keydown", (B) => {
    oe.value && (B.defaultPrevented || B.key === Q.Escape && (B.preventDefault(), B.stopPropagation(), V.close()));
  });
  let ke = y(() => !(ne.value || v.value !== 0 || m));
  return En(p, ke, (B) => {
    var U;
    return { containers: [...(U = B.containers) != null ? U : [], A] };
  }), K((B) => {
    if (v.value !== 0)
      return;
    let U = $(f);
    if (!U)
      return;
    let te = new ResizeObserver((re) => {
      for (let je of re) {
        let le = je.target.getBoundingClientRect();
        le.x === 0 && le.y === 0 && le.width === 0 && le.height === 0 && V.close();
      }
    });
    te.observe(U), B(() => te.disconnect());
  }), () => {
    let { id: B, open: U, initialFocus: te, ...re } = e, je = { ...r, ref: f, id: B, role: "dialog", "aria-modal": v.value === 0 ? !0 : void 0, "aria-labelledby": Te.value, "aria-describedby": et.value }, le = { open: v.value === 0 };
    return O(ft, { force: !0 }, () => [O(lr, () => O(mn, { target: f.value }, () => O(ft, { force: !1 }, () => O(Le, { initialFocus: te, containers: A, features: k.value ? W(N.value, { parent: Le.features.RestoreFocus, leaf: Le.features.All & ~Le.features.FocusLock }) : Le.features.None }, () => O(E, {}, () => z({ ourProps: je, theirProps: { ...re, ...r }, slot: le, attrs: r, slots: a, visible: v.value === 0, features: $e.RenderStrategy | $e.Static, name: "Dialog" })))))), O(H)]);
  };
} });
T({ name: "DialogOverlay", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: () => `headlessui-dialog-overlay-${ue()}` } }, setup(e, { attrs: t, slots: r }) {
  let a = Ue("DialogOverlay");
  function o(n) {
    n.target === n.currentTarget && (n.preventDefault(), n.stopPropagation(), a.close());
  }
  return () => {
    let { id: n, ...l } = e;
    return z({ ourProps: { id: n, "aria-hidden": !0, onClick: o }, theirProps: l, slot: { open: a.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogOverlay" });
  };
} });
T({ name: "DialogBackdrop", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: () => `headlessui-dialog-backdrop-${ue()}` } }, inheritAttrs: !1, setup(e, { attrs: t, slots: r, expose: a }) {
  let o = Ue("DialogBackdrop"), n = q(null);
  return a({ el: n, $el: n }), M(() => {
    if (o.panelRef.value === null)
      throw new Error("A <DialogBackdrop /> component is being used, but a <DialogPanel /> component is missing.");
  }), () => {
    let { id: l, ...i } = e, s = { id: l, ref: n, "aria-hidden": !0 };
    return O(ft, { force: !0 }, () => O(lr, () => z({ ourProps: s, theirProps: { ...t, ...i }, slot: { open: o.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogBackdrop" })));
  };
} });
let Bn = T({ name: "DialogPanel", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: () => `headlessui-dialog-panel-${ue()}` } }, setup(e, { attrs: t, slots: r, expose: a }) {
  let o = Ue("DialogPanel");
  a({ el: o.panelRef, $el: o.panelRef });
  function n(l) {
    l.stopPropagation();
  }
  return () => {
    let { id: l, ...i } = e, s = { id: l, ref: o.panelRef, onClick: n };
    return z({ ourProps: s, theirProps: i, slot: { open: o.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogPanel" });
  };
} }), Fn = T({ name: "DialogTitle", props: { as: { type: [Object, String], default: "h2" }, id: { type: String, default: () => `headlessui-dialog-title-${ue()}` } }, setup(e, { attrs: t, slots: r }) {
  let a = Ue("DialogTitle");
  return M(() => {
    a.setTitleId(e.id), Y(() => a.setTitleId(null));
  }), () => {
    let { id: o, ...n } = e;
    return z({ ourProps: { id: o }, theirProps: n, slot: { open: a.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogTitle" });
  };
} }), An = T({ props: { onFocus: { type: Function, required: !0 } }, setup(e) {
  let t = q(!0);
  return () => t.value ? O(De, { as: "button", type: "button", features: Ae.Focusable, onFocus(r) {
    r.preventDefault();
    let a, o = 50;
    function n() {
      var l;
      if (o-- <= 0) {
        a && cancelAnimationFrame(a);
        return;
      }
      if ((l = e.onFocus) != null && l.call(e)) {
        t.value = !1, cancelAnimationFrame(a);
        return;
      }
      a = requestAnimationFrame(n);
    }
    a = requestAnimationFrame(n);
  } }) : null;
} });
var Dn = ((e) => (e[e.Forwards = 0] = "Forwards", e[e.Backwards = 1] = "Backwards", e))(Dn || {}), On = ((e) => (e[e.Less = -1] = "Less", e[e.Equal = 0] = "Equal", e[e.Greater = 1] = "Greater", e))(On || {});
let ur = Symbol("TabsContext");
function Ie(e) {
  let t = Z(ur, null);
  if (t === null) {
    let r = new Error(`<${e} /> is missing a parent <TabGroup /> component.`);
    throw Error.captureStackTrace && Error.captureStackTrace(r, Ie), r;
  }
  return t;
}
let _t = Symbol("TabsSSRContext"), Pn = T({ name: "TabGroup", emits: { change: (e) => !0 }, props: { as: { type: [Object, String], default: "template" }, selectedIndex: { type: [Number], default: null }, defaultIndex: { type: [Number], default: 0 }, vertical: { type: [Boolean], default: !1 }, manual: { type: [Boolean], default: !1 } }, inheritAttrs: !1, setup(e, { slots: t, attrs: r, emit: a }) {
  var o;
  let n = q((o = e.selectedIndex) != null ? o : e.defaultIndex), l = q([]), i = q([]), s = y(() => e.selectedIndex !== null), u = y(() => s.value ? e.selectedIndex : n.value);
  function f(m) {
    var g;
    let E = xe(p.tabs.value, $), A = xe(p.panels.value, $), R = E.filter((H) => {
      var N;
      return !((N = $(H)) != null && N.hasAttribute("disabled"));
    });
    if (m < 0 || m > E.length - 1) {
      let H = W(n.value === null ? 0 : Math.sign(m - n.value), { [-1]: () => 1, 0: () => W(Math.sign(m), { [-1]: () => 0, 0: () => 0, 1: () => 1 }), 1: () => 0 }), N = W(H, { 0: () => E.indexOf(R[0]), 1: () => E.indexOf(R[R.length - 1]) });
      N !== -1 && (n.value = N), p.tabs.value = E, p.panels.value = A;
    } else {
      let H = E.slice(0, m), N = [...E.slice(m), ...H].find((Ee) => R.includes(Ee));
      if (!N)
        return;
      let ne = (g = E.indexOf(N)) != null ? g : p.selectedIndex.value;
      ne === -1 && (ne = p.selectedIndex.value), n.value = ne, p.tabs.value = E, p.panels.value = A;
    }
  }
  let p = { selectedIndex: y(() => {
    var m, g;
    return (g = (m = n.value) != null ? m : e.defaultIndex) != null ? g : null;
  }), orientation: y(() => e.vertical ? "vertical" : "horizontal"), activation: y(() => e.manual ? "manual" : "auto"), tabs: l, panels: i, setSelectedIndex(m) {
    u.value !== m && a("change", m), s.value || f(m);
  }, registerTab(m) {
    var g;
    if (l.value.includes(m))
      return;
    let E = l.value[n.value];
    l.value.push(m), l.value = xe(l.value, $);
    let A = (g = l.value.indexOf(E)) != null ? g : n.value;
    A !== -1 && (n.value = A);
  }, unregisterTab(m) {
    let g = l.value.indexOf(m);
    g !== -1 && l.value.splice(g, 1);
  }, registerPanel(m) {
    i.value.includes(m) || (i.value.push(m), i.value = xe(i.value, $));
  }, unregisterPanel(m) {
    let g = i.value.indexOf(m);
    g !== -1 && i.value.splice(g, 1);
  } };
  ee(ur, p);
  let v = q({ tabs: [], panels: [] }), k = q(!1);
  M(() => {
    k.value = !0;
  }), ee(_t, y(() => k.value ? null : v.value));
  let x = y(() => e.selectedIndex);
  return M(() => {
    ce([x], () => {
      var m;
      return f((m = e.selectedIndex) != null ? m : e.defaultIndex);
    }, { immediate: !0 });
  }), K(() => {
    if (!s.value || u.value == null || p.tabs.value.length <= 0)
      return;
    let m = xe(p.tabs.value, $);
    m.some((g, E) => $(p.tabs.value[E]) !== $(g)) && p.setSelectedIndex(m.findIndex((g) => $(g) === $(p.tabs.value[u.value])));
  }), () => {
    let m = { selectedIndex: n.value };
    return O(j, [l.value.length <= 0 && O(An, { onFocus: () => {
      for (let g of l.value) {
        let E = $(g);
        if ((E == null ? void 0 : E.tabIndex) === 0)
          return E.focus(), !0;
      }
      return !1;
    } }), z({ theirProps: { ...r, ...xt(e, ["selectedIndex", "defaultIndex", "manual", "vertical", "onChange"]) }, ourProps: {}, slot: m, slots: t, attrs: r, name: "TabGroup" })]);
  };
} }), Mn = T({ name: "TabList", props: { as: { type: [Object, String], default: "div" } }, setup(e, { attrs: t, slots: r }) {
  let a = Ie("TabList");
  return () => {
    let o = { selectedIndex: a.selectedIndex.value }, n = { role: "tablist", "aria-orientation": a.orientation.value };
    return z({ ourProps: n, theirProps: e, slot: o, attrs: t, slots: r, name: "TabList" });
  };
} }), Un = T({ name: "Tab", props: { as: { type: [Object, String], default: "button" }, disabled: { type: [Boolean], default: !1 }, id: { type: String, default: () => `headlessui-tabs-tab-${ue()}` } }, setup(e, { attrs: t, slots: r, expose: a }) {
  let o = Ie("Tab"), n = q(null);
  a({ el: n, $el: n }), M(() => o.registerTab(n)), Y(() => o.unregisterTab(n));
  let l = Z(_t), i = y(() => {
    if (l.value) {
      let g = l.value.tabs.indexOf(e.id);
      return g === -1 ? l.value.tabs.push(e.id) - 1 : g;
    }
    return -1;
  }), s = y(() => {
    let g = o.tabs.value.indexOf(n);
    return g === -1 ? i.value : g;
  }), u = y(() => s.value === o.selectedIndex.value);
  function f(g) {
    var E;
    let A = g();
    if (A === _e.Success && o.activation.value === "auto") {
      let R = (E = we(n)) == null ? void 0 : E.activeElement, H = o.tabs.value.findIndex((N) => $(N) === R);
      H !== -1 && o.setSelectedIndex(H);
    }
    return A;
  }
  function p(g) {
    let E = o.tabs.value.map((A) => $(A)).filter(Boolean);
    if (g.key === Q.Space || g.key === Q.Enter) {
      g.preventDefault(), g.stopPropagation(), o.setSelectedIndex(s.value);
      return;
    }
    switch (g.key) {
      case Q.Home:
      case Q.PageUp:
        return g.preventDefault(), g.stopPropagation(), f(() => ae(E, I.First));
      case Q.End:
      case Q.PageDown:
        return g.preventDefault(), g.stopPropagation(), f(() => ae(E, I.Last));
    }
    if (f(() => W(o.orientation.value, { vertical() {
      return g.key === Q.ArrowUp ? ae(E, I.Previous | I.WrapAround) : g.key === Q.ArrowDown ? ae(E, I.Next | I.WrapAround) : _e.Error;
    }, horizontal() {
      return g.key === Q.ArrowLeft ? ae(E, I.Previous | I.WrapAround) : g.key === Q.ArrowRight ? ae(E, I.Next | I.WrapAround) : _e.Error;
    } })) === _e.Success)
      return g.preventDefault();
  }
  let v = q(!1);
  function k() {
    var g;
    v.value || (v.value = !0, !e.disabled && ((g = $(n)) == null || g.focus({ preventScroll: !0 }), o.setSelectedIndex(s.value), Ye(() => {
      v.value = !1;
    })));
  }
  function x(g) {
    g.preventDefault();
  }
  let m = Ga(y(() => ({ as: e.as, type: t.type })), n);
  return () => {
    var g;
    let E = { selected: u.value }, { id: A, ...R } = e, H = { ref: n, onKeydown: p, onMousedown: x, onClick: k, id: A, role: "tab", type: m.value, "aria-controls": (g = $(o.panels.value[s.value])) == null ? void 0 : g.id, "aria-selected": u.value, tabIndex: u.value ? 0 : -1, disabled: e.disabled ? !0 : void 0 };
    return z({ ourProps: H, theirProps: R, slot: E, attrs: t, slots: r, name: "Tab" });
  };
} }), In = T({ name: "TabPanels", props: { as: { type: [Object, String], default: "div" } }, setup(e, { slots: t, attrs: r }) {
  let a = Ie("TabPanels");
  return () => {
    let o = { selectedIndex: a.selectedIndex.value };
    return z({ theirProps: e, ourProps: {}, slot: o, attrs: r, slots: t, name: "TabPanels" });
  };
} }), zn = T({ name: "TabPanel", props: { as: { type: [Object, String], default: "div" }, static: { type: Boolean, default: !1 }, unmount: { type: Boolean, default: !0 }, id: { type: String, default: () => `headlessui-tabs-panel-${ue()}` }, tabIndex: { type: Number, default: 0 } }, setup(e, { attrs: t, slots: r, expose: a }) {
  let o = Ie("TabPanel"), n = q(null);
  a({ el: n, $el: n }), M(() => o.registerPanel(n)), Y(() => o.unregisterPanel(n));
  let l = Z(_t), i = y(() => {
    if (l.value) {
      let f = l.value.panels.indexOf(e.id);
      return f === -1 ? l.value.panels.push(e.id) - 1 : f;
    }
    return -1;
  }), s = y(() => {
    let f = o.panels.value.indexOf(n);
    return f === -1 ? i.value : f;
  }), u = y(() => s.value === o.selectedIndex.value);
  return () => {
    var f;
    let p = { selected: u.value }, { id: v, tabIndex: k, ...x } = e, m = { ref: n, id: v, role: "tabpanel", "aria-labelledby": (f = $(o.tabs.value[s.value])) == null ? void 0 : f.id, tabIndex: u.value ? k : -1 };
    return !u.value && e.unmount && !e.static ? O(De, { as: "span", ...m }) : z({ ourProps: m, theirProps: x, slot: p, attrs: t, slots: r, features: $e.Static | $e.RenderStrategy, visible: u.value, name: "TabPanel" });
  };
} });
function jn(e) {
  let t = { called: !1 };
  return (...r) => {
    if (!t.called)
      return t.called = !0, e(...r);
  };
}
function st(e, ...t) {
  e && t.length > 0 && e.classList.add(...t);
}
function Ve(e, ...t) {
  e && t.length > 0 && e.classList.remove(...t);
}
var mt = ((e) => (e.Finished = "finished", e.Cancelled = "cancelled", e))(mt || {});
function Rn(e, t) {
  let r = Me();
  if (!e)
    return r.dispose;
  let { transitionDuration: a, transitionDelay: o } = getComputedStyle(e), [n, l] = [a, o].map((i) => {
    let [s = 0] = i.split(",").filter(Boolean).map((u) => u.includes("ms") ? parseFloat(u) : parseFloat(u) * 1e3).sort((u, f) => f - u);
    return s;
  });
  return n !== 0 ? r.setTimeout(() => t("finished"), n + l) : t("finished"), r.add(() => t("cancelled")), r.dispose;
}
function Ot(e, t, r, a, o, n) {
  let l = Me(), i = n !== void 0 ? jn(n) : () => {
  };
  return Ve(e, ...o), st(e, ...t, ...r), l.nextFrame(() => {
    Ve(e, ...r), st(e, ...a), l.add(Rn(e, (s) => (Ve(e, ...a, ...t), st(e, ...o), i(s))));
  }), l.add(() => Ve(e, ...t, ...r, ...a, ...o)), l.add(() => i("cancelled")), l.dispose;
}
function ve(e = "") {
  return e.split(" ").filter((t) => t.trim().length > 1);
}
let $t = Symbol("TransitionContext");
var Hn = ((e) => (e.Visible = "visible", e.Hidden = "hidden", e))(Hn || {});
function Nn() {
  return Z($t, null) !== null;
}
function Zn() {
  let e = Z($t, null);
  if (e === null)
    throw new Error("A <TransitionChild /> is used but it is missing a parent <TransitionRoot />.");
  return e;
}
function Vn() {
  let e = Z(Et, null);
  if (e === null)
    throw new Error("A <TransitionChild /> is used but it is missing a parent <TransitionRoot />.");
  return e;
}
let Et = Symbol("NestingContext");
function Qe(e) {
  return "children" in e ? Qe(e.children) : e.value.filter(({ state: t }) => t === "visible").length > 0;
}
function dr(e) {
  let t = q([]), r = q(!1);
  M(() => r.value = !0), Y(() => r.value = !1);
  function a(n, l = pe.Hidden) {
    let i = t.value.findIndex(({ id: s }) => s === n);
    i !== -1 && (W(l, { [pe.Unmount]() {
      t.value.splice(i, 1);
    }, [pe.Hidden]() {
      t.value[i].state = "hidden";
    } }), !Qe(t) && r.value && (e == null || e()));
  }
  function o(n) {
    let l = t.value.find(({ id: i }) => i === n);
    return l ? l.state !== "visible" && (l.state = "visible") : t.value.push({ id: n, state: "visible" }), () => a(n, pe.Unmount);
  }
  return { children: t, register: o, unregister: a };
}
let fr = $e.RenderStrategy, gt = T({ props: { as: { type: [Object, String], default: "div" }, show: { type: [Boolean], default: null }, unmount: { type: [Boolean], default: !0 }, appear: { type: [Boolean], default: !1 }, enter: { type: [String], default: "" }, enterFrom: { type: [String], default: "" }, enterTo: { type: [String], default: "" }, entered: { type: [String], default: "" }, leave: { type: [String], default: "" }, leaveFrom: { type: [String], default: "" }, leaveTo: { type: [String], default: "" } }, emits: { beforeEnter: () => !0, afterEnter: () => !0, beforeLeave: () => !0, afterLeave: () => !0 }, setup(e, { emit: t, attrs: r, slots: a, expose: o }) {
  let n = q(0);
  function l() {
    n.value |= G.Opening, t("beforeEnter");
  }
  function i() {
    n.value &= ~G.Opening, t("afterEnter");
  }
  function s() {
    n.value |= G.Closing, t("beforeLeave");
  }
  function u() {
    n.value &= ~G.Closing, t("afterLeave");
  }
  if (!Nn() && Va())
    return () => O(pr, { ...e, onBeforeEnter: l, onAfterEnter: i, onBeforeLeave: s, onAfterLeave: u }, a);
  let f = q(null), p = y(() => e.unmount ? pe.Unmount : pe.Hidden);
  o({ el: f, $el: f });
  let { show: v, appear: k } = Zn(), { register: x, unregister: m } = Vn(), g = q(v.value ? "visible" : "hidden"), E = { value: !0 }, A = ue(), R = { value: !1 }, H = dr(() => {
    !R.value && g.value !== "hidden" && (g.value = "hidden", m(A), u());
  });
  M(() => {
    let V = x(A);
    Y(V);
  }), K(() => {
    if (p.value === pe.Hidden && A) {
      if (v.value && g.value !== "visible") {
        g.value = "visible";
        return;
      }
      W(g.value, { hidden: () => m(A), visible: () => x(A) });
    }
  });
  let N = ve(e.enter), ne = ve(e.enterFrom), Ee = ve(e.enterTo), ze = ve(e.entered), Xe = ve(e.leave), Je = ve(e.leaveFrom), et = ve(e.leaveTo);
  M(() => {
    K(() => {
      if (g.value === "visible") {
        let V = $(f);
        if (V instanceof Comment && V.data === "")
          throw new Error("Did you forget to passthrough the `ref` to the actual DOM node?");
      }
    });
  });
  function Te(V) {
    let Ce = E.value && !k.value, oe = $(f);
    !oe || !(oe instanceof HTMLElement) || Ce || (R.value = !0, v.value && l(), v.value || s(), V(v.value ? Ot(oe, N, ne, Ee, ze, (ke) => {
      R.value = !1, ke === mt.Finished && i();
    }) : Ot(oe, Xe, Je, et, ze, (ke) => {
      R.value = !1, ke === mt.Finished && (Qe(H) || (g.value = "hidden", m(A), u()));
    })));
  }
  return M(() => {
    ce([v], (V, Ce, oe) => {
      Te(oe), E.value = !1;
    }, { immediate: !0 });
  }), ee(Et, H), Wa(y(() => W(g.value, { visible: G.Open, hidden: G.Closed }) | n.value)), () => {
    let { appear: V, show: Ce, enter: oe, enterFrom: ke, enterTo: B, entered: U, leave: te, leaveFrom: re, leaveTo: je, ...le } = e, vr = { ref: f }, mr = { ...le, ...k.value && v.value && Pe.isServer ? { class: L([r.class, le.class, ...N, ...ne]) } : {} };
    return z({ theirProps: mr, ourProps: vr, slot: {}, slots: a, attrs: r, features: fr, visible: g.value === "visible", name: "TransitionChild" });
  };
} }), Wn = gt, pr = T({ inheritAttrs: !1, props: { as: { type: [Object, String], default: "div" }, show: { type: [Boolean], default: null }, unmount: { type: [Boolean], default: !0 }, appear: { type: [Boolean], default: !1 }, enter: { type: [String], default: "" }, enterFrom: { type: [String], default: "" }, enterTo: { type: [String], default: "" }, entered: { type: [String], default: "" }, leave: { type: [String], default: "" }, leaveFrom: { type: [String], default: "" }, leaveTo: { type: [String], default: "" } }, emits: { beforeEnter: () => !0, afterEnter: () => !0, beforeLeave: () => !0, afterLeave: () => !0 }, setup(e, { emit: t, attrs: r, slots: a }) {
  let o = qt(), n = y(() => e.show === null && o !== null ? (o.value & G.Open) === G.Open : e.show);
  K(() => {
    if (![!0, !1].includes(n.value))
      throw new Error('A <Transition /> is used but it is missing a `:show="true | false"` prop.');
  });
  let l = q(n.value ? "visible" : "hidden"), i = dr(() => {
    l.value = "hidden";
  }), s = q(!0), u = { show: n, appear: y(() => e.appear || !s.value) };
  return M(() => {
    K(() => {
      s.value = !1, n.value ? l.value = "visible" : Qe(i) || (l.value = "hidden");
    });
  }), ee(Et, i), ee($t, u), () => {
    let f = xt(e, ["show", "appear", "unmount", "onBeforeEnter", "onBeforeLeave", "onAfterEnter", "onAfterLeave"]), p = { unmount: e.unmount };
    return z({ ourProps: { ...p, as: "template" }, theirProps: {}, slot: {}, slots: { ...a, default: () => [O(Wn, { onBeforeEnter: () => t("beforeEnter"), onAfterEnter: () => t("afterEnter"), onBeforeLeave: () => t("beforeLeave"), onAfterLeave: () => t("afterLeave"), ...r, ...p, ...f }, a.default)] }, attrs: {}, features: fr, visible: l.value === "visible", name: "Transition" });
  };
} });
const Gn = { class: "flex h-[100dvh] w-[100dvw] items-center justify-center overflow-hidden" }, Kn = /* @__PURE__ */ b("div", { class: "bcc-modal-overlay" }, null, -1), Yn = { class: "bcc-modal-wrapper" }, Qn = {
  key: 0,
  class: "bcc-modal-header"
}, Xn = {
  key: 1,
  class: "bcc-modal-body"
}, Jn = {
  key: 0,
  class: "bcc-modal-title"
}, eo = { class: "bcc-modal-content" }, to = { class: "bcc-modal-footer" }, ro = {
  key: 0,
  class: "bcc-modal-footer-content"
}, ao = { class: "bcc-modal-actions" }, no = {
  key: 0,
  class: "bcc-modal-secondary-action"
}, oo = { class: "bcc-modal-primary-action" }, _0 = /* @__PURE__ */ T({
  inheritAttrs: !1,
  __name: "BccModal",
  props: {
    open: { type: Boolean, default: !1 },
    title: {},
    closeButton: { type: Boolean, default: !0 }
  },
  emits: ["close"],
  setup(e, { emit: t }) {
    const r = e, a = Pt(), o = y(() => r.closeButton && !a.header);
    return (n, l) => (c(), _(h(pr), {
      as: "template",
      show: n.open
    }, {
      default: S(() => [
        F(h(Sn), {
          as: "div",
          class: "bcc-modal-overlay-wrapper",
          onClose: l[2] || (l[2] = (i) => t("close"))
        }, {
          default: S(() => [
            b("div", Gn, [
              F(h(gt), {
                as: "div",
                enter: "ease-out duration-300",
                "enter-from": "opacity-0",
                "enter-to": "opacity-100",
                leave: "ease-in duration-200",
                "leave-from": "opacity-100",
                "leave-to": "opacity-0"
              }, {
                default: S(() => [
                  Kn
                ]),
                _: 1
              }),
              F(h(gt), {
                as: "template",
                enter: "ease-out duration-300",
                "enter-from": "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95",
                "enter-to": "opacity-100 translate-y-0 sm:scale-100",
                leave: "ease-in duration-200",
                "leave-from": "opacity-100 translate-y-0 sm:scale-100",
                "leave-to": "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95"
              }, {
                default: S(() => [
                  b("div", Yn, [
                    F(h(Bn), be({ class: "bcc-modal" }, n.$attrs), {
                      default: S(() => [
                        n.$slots.header ? (c(), d("div", Qn, [
                          P(n.$slots, "header")
                        ])) : w("", !0),
                        n.title || o.value || h(a).default ? (c(), d("div", Xn, [
                          n.title || o.value ? (c(), d("div", Jn, [
                            F(h(Fn), { as: "h3" }, {
                              default: S(() => [
                                J(C(n.title), 1)
                              ]),
                              _: 1
                            }),
                            o.value ? (c(), d("button", {
                              key: 0,
                              onClick: l[0] || (l[0] = ht((i) => t("close"), ["prevent"])),
                              class: "bcc-modal-close-button",
                              "aria-label": "Close modal window"
                            }, [
                              F(h(Oe), { class: "bcc-modal-close-icon" })
                            ])) : w("", !0)
                          ])) : w("", !0),
                          b("div", eo, [
                            P(n.$slots, "default")
                          ])
                        ])) : w("", !0),
                        b("div", to, [
                          n.$slots.footer ? (c(), d("div", ro, [
                            P(n.$slots, "footer")
                          ])) : w("", !0),
                          b("div", ao, [
                            n.$slots.secondaryAction ? (c(), d("div", no, [
                              P(n.$slots, "secondaryAction")
                            ])) : w("", !0),
                            b("div", oo, [
                              P(n.$slots, "primaryAction", {}, () => [
                                F(We, {
                                  onClick: l[1] || (l[1] = (i) => t("close"))
                                }, {
                                  default: S(() => [
                                    J(" OK ")
                                  ]),
                                  _: 1
                                })
                              ])
                            ])
                          ])
                        ])
                      ]),
                      _: 3
                    }, 16)
                  ])
                ]),
                _: 3
              })
            ])
          ]),
          _: 3
        })
      ]),
      _: 3
    }, 8, ["show"]));
  }
}), lo = { key: 1 }, io = /* @__PURE__ */ T({
  __name: "BccPin",
  props: {
    icon: {},
    context: { default: "neutral" },
    text: {}
  },
  setup(e) {
    return (t, r) => (c(), d("div", {
      class: L(["bcc-pin", {
        "bcc-pin-text": !t.icon,
        "bcc-pin-danger": t.context === "danger",
        "bcc-pin-warning": t.context === "warning",
        "bcc-pin-success": t.context === "success",
        "bcc-pin-info": t.context === "info"
      }])
    }, [
      t.icon ? (c(), _(X(t.icon), {
        key: 0,
        class: "bcc-pin-icon"
      })) : t.text ? (c(), d("span", lo, C(t.text), 1)) : w("", !0)
    ], 2));
  }
}), so = ["disabled", "value", "checked"], co = {
  inheritAttrs: !1
}, $0 = /* @__PURE__ */ T({
  ...co,
  __name: "BccRadio",
  props: {
    modelValue: {},
    value: {},
    label: {},
    disabled: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const r = e, a = `bcc-radio-${Ke()}`, { attrs: o, attrsWithoutStyles: n } = Ge(), l = y(() => {
      const i = [];
      return r.disabled && i.push("bcc-radio-wrapper-disabled"), o.class && i.push(o.class), i;
    });
    return (i, s) => (c(), d("div", {
      class: L(["bcc-radio-wrapper", l.value]),
      style: ye(i.$attrs.style)
    }, [
      b("input", be({
        type: "radio",
        class: "bcc-radio",
        id: a,
        disabled: i.disabled,
        value: i.value,
        checked: i.modelValue == i.value,
        onInput: s[0] || (s[0] = (u) => t("update:modelValue", i.value))
      }, h(n)), null, 16, so),
      i.label ? (c(), d("label", {
        key: 0,
        for: a
      }, C(i.label), 1)) : w("", !0)
    ], 6));
  }
}), uo = ["value", "disabled", "required"], fo = {
  inheritAttrs: !1
}, E0 = /* @__PURE__ */ T({
  ...fo,
  __name: "BccSelect",
  props: {
    modelValue: {},
    state: { default: "default" },
    size: { default: "base" },
    disabled: { type: Boolean, default: !1 },
    label: {},
    showOptionalLabel: { type: Boolean, default: !1 },
    optionalLabel: { default: "Optional" },
    required: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const r = e, a = `bcc-input-${Ke()}`, o = y(() => r.showOptionalLabel && !r.required), { attrsWithoutStyles: n } = Ge();
    return (l, i) => (c(), d("div", {
      class: L(["bcc-input-container", l.$attrs.class]),
      style: ye(l.$attrs.style)
    }, [
      l.label || o.value ? (c(), _(kt, {
        key: 0,
        for: a,
        size: l.size === "lg" ? "lg" : void 0,
        showOptionalLabel: o.value,
        optionalLabel: l.optionalLabel
      }, {
        default: S(() => [
          J(C(l.label), 1)
        ]),
        _: 1
      }, 8, ["size", "showOptionalLabel", "optionalLabel"])) : w("", !0),
      b("select", be({
        class: ["bcc-select", {
          "bcc-select-error": l.state === "error",
          "bcc-select-success": l.state === "success",
          "bcc-select-sm": l.size === "sm",
          "bcc-select-lg": l.size === "lg"
        }],
        id: a,
        value: l.modelValue,
        disabled: l.disabled,
        required: l.required,
        onInput: i[0] || (i[0] = (s) => t("update:modelValue", s.target.value))
      }, h(n)), [
        P(l.$slots, "default")
      ], 16, uo),
      l.$slots.message ? (c(), _(Kt, {
        key: 1,
        state: l.state
      }, {
        default: S(() => [
          P(l.$slots, "message")
        ]),
        _: 3
      }, 8, ["state"])) : w("", !0)
    ], 6));
  }
}), C0 = /* @__PURE__ */ T({
  __name: "BccStatusIndicator",
  props: {
    status: { default: "default" },
    icon: {},
    size: { default: "base" }
  },
  setup(e) {
    return (t, r) => (c(), d("div", {
      class: L(["bcc-status-indicator", {
        "bcc-status-indicator-lg": t.size === "lg",
        "bcc-status-indicator-success": t.status === "success",
        "bcc-status-indicator-danger": t.status === "danger"
      }])
    }, [
      t.icon ? (c(), _(X(t.icon), {
        key: 0,
        class: "bcc-status-indicator-icon"
      })) : t.status == "default" ? (c(), _(h(va), {
        key: 1,
        class: "bcc-status-indicator-icon"
      })) : t.status == "success" ? (c(), _(h(Gt), {
        key: 2,
        class: "bcc-status-indicator-icon"
      })) : t.status == "danger" ? (c(), _(h(fa), {
        key: 3,
        class: "bcc-status-indicator-icon"
      })) : w("", !0)
    ], 2));
  }
}), po = { class: "bcc-table-wrapper" }, bo = { class: "bcc-table" }, vo = { class: "bcc-table-header-row" }, mo = ["onClick"], go = { class: "bcc-table-header-content" }, ho = {
  key: 0,
  "aria-label": "Sort column",
  class: "bcc-table-header-sort"
}, yo = { key: 1 }, L0 = /* @__PURE__ */ T({
  __name: "BccTable",
  props: {
    columns: {},
    items: {},
    sortBy: {},
    sortDirection: { default: "descending" }
  },
  emits: ["update:sortBy", "update:sortDirection"],
  setup(e, { emit: t }) {
    const r = e, { columns: a, items: o, sortBy: n, sortDirection: l } = yt(r);
    function i(f, p) {
      return p.split(".").reduce((k, x) => k[x], f);
    }
    const s = y(() => {
      if ((n == null ? void 0 : n.value) == null)
        return o.value;
      const f = a.value.find((v) => v.key == n.value);
      if (!f)
        throw "Sorting by unknown column";
      const p = [...o.value];
      return f.sortMethod ? p.sort(f.sortMethod) : p.sort((v, k) => {
        const x = i(v, f.key), m = i(k, f.key);
        return x < m ? l.value == "descending" ? 1 : -1 : x > m ? l.value == "descending" ? -1 : 1 : 0;
      });
    });
    function u(f) {
      if (f.sortable !== !1) {
        if ((n == null ? void 0 : n.value) == f.key && l.value === "descending") {
          t("update:sortDirection", "descending"), t("update:sortBy", void 0);
          return;
        }
        if ((n == null ? void 0 : n.value) == f.key) {
          t("update:sortDirection", "descending");
          return;
        }
        t("update:sortDirection", "ascending"), t("update:sortBy", f.key);
      }
    }
    return (f, p) => (c(), d("div", po, [
      b("table", bo, [
        b("thead", null, [
          b("tr", vo, [
            (c(!0), d(j, null, se(h(a), (v) => (c(), d("th", {
              scope: "col",
              class: L(["bcc-table-header", { "bcc-table-header-sortable": v.sortable !== !1 }]),
              key: v.key,
              onClick: (k) => u(v)
            }, [
              b("div", go, [
                J(C(v.text) + " ", 1),
                v.sortable !== !1 ? (c(), d("button", ho, [
                  h(n) !== v.key ? (c(), _(h(ma), {
                    key: 0,
                    class: "bcc-table-header-sort-icon bcc-table-header-sort-icon-undetermined"
                  })) : w("", !0),
                  h(n) == v.key && h(l) == "ascending" ? (c(), _(h(la), {
                    key: 1,
                    class: "bcc-table-header-sort-icon"
                  })) : w("", !0),
                  h(n) == v.key && h(l) == "descending" ? (c(), _(h(na), {
                    key: 2,
                    class: "bcc-table-header-sort-icon"
                  })) : w("", !0)
                ])) : w("", !0)
              ])
            ], 10, mo))), 128))
          ])
        ]),
        b("tbody", null, [
          (c(!0), d(j, null, se(s.value, (v, k) => (c(), d("tr", { key: k }, [
            (c(!0), d(j, null, se(h(a), (x) => (c(), d("td", {
              class: "bcc-table-cell",
              key: x.key
            }, [
              f.$slots[`item.${x.key}`] ? P(f.$slots, `item.${x.key}`, {
                key: 0,
                item: v
              }) : (c(), d("span", yo, C(i(v, x.key)), 1))
            ]))), 128))
          ]))), 128))
        ])
      ])
    ]));
  }
}), wo = {
  key: 0,
  class: "bcc-tabs-bar-icon"
}, S0 = /* @__PURE__ */ T({
  __name: "BccTabs",
  props: {
    tabs: {},
    size: { default: "base" },
    fill: { type: Boolean, default: !1 }
  },
  setup(e) {
    const t = {
      sm: "bcc-tabs-sm text-label-sm",
      base: "text-label",
      lg: "bcc-tabs-lg text-label-lg"
    };
    return (r, a) => (c(), _(h(Pn), {
      as: "div",
      class: L(["bcc-tabs", { "bcc-tabs-fill": r.fill }])
    }, {
      default: S(() => [
        F(h(Mn), {
          as: "div",
          class: L(["bcc-tabs-bar", `bcc-tabs-bar--${r.tabs.length}`])
        }, {
          default: S(() => [
            (c(!0), d(j, null, se(r.tabs, (o, n) => (c(), _(h(Un), {
              disabled: !!o.disabled,
              key: n,
              as: "template"
            }, {
              default: S(({ selected: l }) => [
                b("div", {
                  class: L(["bcc-tabs-bar-item", [
                    {
                      "bcc-tabs-bar-item--active": l,
                      "bcc-tabs-bar-item--disabled": !!o.disabled
                    },
                    t[r.size]
                  ]])
                }, [
                  o.icon ? (c(), d("div", wo, [
                    (c(), _(X(o.icon)))
                  ])) : w("", !0),
                  J(" " + C(o.title) + " ", 1),
                  o.pin ? (c(), _(h(io), be({
                    key: 1,
                    class: "bcc-tabs-item-right"
                  }, o.pin), null, 16)) : w("", !0),
                  o.badge ? (c(), _(h(ka), be({
                    key: 2,
                    class: "bcc-tabs-item-right"
                  }, o.badge), {
                    default: S(() => [
                      J(C(o.badge.text), 1)
                    ]),
                    _: 2
                  }, 1040)) : w("", !0)
                ], 2)
              ]),
              _: 2
            }, 1032, ["disabled"]))), 128))
          ]),
          _: 1
        }, 8, ["class"]),
        F(h(In), { class: "bcc-tabs-panels" }, {
          default: S(() => [
            (c(!0), d(j, null, se(r.tabs, (o, n) => (c(), _(h(zn), {
              key: `tab-${n + 1}`,
              class: "bcc-tabs-panel"
            }, {
              default: S(() => [
                P(r.$slots, `tab-${n + 1}`, { tab: o }, () => [
                  o.as ? (c(), _(X(o.as), { key: 0 })) : w("", !0)
                ])
              ]),
              _: 2
            }, 1024))), 128))
          ]),
          _: 3
        })
      ]),
      _: 3
    }, 8, ["class"]));
  }
}), To = (e, t) => {
  const r = e.__vccOpts || e;
  for (const [a, o] of t)
    r[a] = o;
  return r;
}, ko = {}, xo = {
  fill: "none",
  viewBox: "0 0 58 58",
  "aria-hidden": "true"
}, qo = /* @__PURE__ */ qr('<g transform="translate(2 1)" stroke="currentColor" stroke-width="1.5" class="h-3 w-3"><circle cx="42.601" cy="11.462" r="5" fill-opacity="1" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="1;0;0;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="49.063" cy="27.063" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;1;0;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="42.601" cy="42.663" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;1;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="27" cy="49.125" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;1;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="11.399" cy="42.663" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;1;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="4.938" cy="27.063" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;1;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="11.399" cy="11.462" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;0;1;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="27" cy="5" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;0;0;1" calcMode="linear" repeatCount="indefinite"></animate></circle></g>', 1), _o = [
  qo
];
function $o(e, t) {
  return c(), d("svg", xo, _o);
}
const Eo = /* @__PURE__ */ To(ko, [["render", $o]]), Co = ["disabled"], Lo = {
  class: "bcc-toggle-circle",
  "aria-hidden": "true"
}, So = {
  key: 0,
  class: "bcc-toggle-label"
}, B0 = /* @__PURE__ */ T({
  __name: "BccToggle",
  props: {
    modelValue: { type: Boolean },
    wasToggled: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    withIcon: { type: Boolean, default: !0 },
    label: { default: "" }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const r = e, { modelValue: a, wasToggled: o, disabled: n, loading: l } = yt(r), i = y({
      get() {
        return !!a.value;
      },
      set(s) {
        t("update:modelValue", s);
      }
    });
    return (s, u) => (c(), d("label", {
      class: L(["bcc-toggle", { "bcc-toggle-was-toggled": h(o) }])
    }, [
      qe(b("input", {
        type: "checkbox",
        class: "bcc-toggle-input",
        disabled: h(l) || h(n),
        "onUpdate:modelValue": u[0] || (u[0] = (f) => i.value = f)
      }, null, 8, Co), [
        [Mt, i.value]
      ]),
      b("span", Lo, [
        h(l) ? (c(), _(Eo, {
          key: 0,
          class: "h-3 w-3"
        })) : s.withIcon ? (c(), d(j, { key: 1 }, [
          F(h(Gt), { class: "hidden h-3 w-3 [.bcc-toggle-input:checked~.bcc-toggle-circle>&]:block" }),
          F(h(Oe), { class: "h-3 w-3 [.bcc-toggle-input:checked~.bcc-toggle-circle>&]:hidden" })
        ], 64)) : w("", !0)
      ]),
      s.label ? (c(), d("span", So, C(s.label), 1)) : w("", !0)
    ], 2));
  }
}), Bo = {
  key: 0,
  class: "bcc-banner"
}, Fo = { class: "bcc-banner-header" }, Ao = { class: "bcc-banner-title" }, Do = {
  key: 0,
  class: "bcc-banner-actions"
}, F0 = /* @__PURE__ */ T({
  __name: "BccBanner",
  props: {
    title: {},
    variant: { default: "default" },
    icon: {},
    closeButton: { type: Boolean, default: !0 },
    closeOnAction: { type: Boolean, default: !0 },
    actions: {},
    open: { type: Boolean, default: !0 }
  },
  emits: ["close"],
  setup(e, { emit: t }) {
    const r = e, a = {
      default: "bcc-banner-default",
      notification: "bcc-banner-notification"
    };
    function o(n) {
      n.onClick && n.onClick(), r.closeOnAction && t("close", n);
    }
    return (n, l) => (c(), _(Fe, { name: "bcc-close" }, {
      default: S(() => [
        n.open ? (c(), d("div", Bo, [
          b("div", Fo, [
            n.icon ? (c(), _(X(n.icon), {
              key: 0,
              class: "bcc-banner-icon"
            })) : w("", !0),
            b("h5", Ao, C(n.title), 1),
            n.closeButton ? (c(), d("button", {
              key: 1,
              onClick: l[0] || (l[0] = ht((i) => t("close"), ["prevent"])),
              "aria-label": "Close banner",
              class: "bcc-banner-close-button"
            }, [
              F(h(Oe), { class: "bcc-banner-close-icon" })
            ])) : w("", !0)
          ]),
          b("div", {
            class: L(a[n.variant])
          }, [
            P(n.$slots, "default"),
            n.actions && n.actions.length ? (c(), d("div", Do, [
              (c(!0), d(j, null, se(n.actions, (i, s) => (c(), _(We, {
                key: s,
                icon: i.icon,
                "icon-right": "",
                size: "sm",
                variant: n.variant === "notification" ? "tertiary" : "secondary",
                onClick: (u) => o(i)
              }, {
                default: S(() => [
                  J(C(i.label), 1)
                ]),
                _: 2
              }, 1032, ["icon", "variant", "onClick"]))), 128))
            ])) : w("", !0)
          ], 2)
        ])) : w("", !0)
      ]),
      _: 3
    }));
  }
}), Oo = /* @__PURE__ */ b("path", {
  d: "M100 50C100 77.6142 77.6142 100 50 100C22.3858 100 0 77.6142 0 50C0 22.3858 22.3858 0 50 0C77.6142 0 100 22.3858 100 50ZM9.08144 50C9.08144 72.5987 27.4013 90.9186 50 90.9186C72.5987 90.9186 90.9186 72.5987 90.9186 50C90.9186 27.4013 72.5987 9.08144 50 9.08144C27.4013 9.08144 9.08144 27.4013 9.08144 50Z",
  fill: "currentColor",
  class: "bcc-spinner-circle"
}, null, -1), Po = /* @__PURE__ */ b("path", {
  d: "M93.9676 38.4501C96.393 37.813 97.8624 35.3208 97.0079 32.9631C95.2932 28.2319 92.871 23.7784 89.8167 19.7572C85.8452 14.5284 80.8826 10.133 75.2124 6.82206C69.5422 3.51112 63.2754 1.34943 56.7698 0.460415C51.7666 -0.223279 46.6976 -0.143977 41.7345 0.687907C39.2613 1.10246 37.813 3.60696 38.4501 6.03244C39.0873 8.45792 41.5694 9.8809 44.0505 9.51628C47.8511 8.95773 51.7191 8.93607 55.5402 9.45823C60.8642 10.1858 65.9928 11.9548 70.6331 14.6644C75.2735 17.374 79.3347 20.971 82.5849 25.2501C84.9175 28.3212 86.7997 31.7005 88.1811 35.285C89.083 37.625 91.5421 39.0873 93.9676 38.4501Z",
  fill: "currentColor",
  class: "bcc-spinner-progress"
}, null, -1), A0 = /* @__PURE__ */ T({
  __name: "BccSpinner",
  props: {
    size: { default: "base" }
  },
  setup(e) {
    const t = {
      xs: "bcc-spinner-xs",
      sm: "bcc-spinner-sm",
      base: "bcc-spinner-base",
      lg: "bcc-spinner-lg",
      xl: "bcc-spinner-xl"
    };
    return (r, a) => (c(), d("svg", {
      class: L([[t[r.size]], "bcc-spinner"]),
      xmlns: "http://www.w3.org/2000/svg",
      width: "100",
      height: "100",
      viewBox: "0 0 100 100",
      fill: "none"
    }, [
      J(" > "),
      Oo,
      Po
    ], 2));
  }
}), Mo = { class: "bcc-progress-container" }, Uo = { key: 0 }, Io = { class: "bcc-progress" }, D0 = /* @__PURE__ */ T({
  __name: "BccProgress",
  props: {
    value: { default: 0 },
    max: { default: 100 },
    size: { default: "base" },
    showValues: { type: Boolean, default: !0 },
    showPercentage: { type: Boolean, default: !0 },
    overflow: { type: Boolean, default: !0 }
  },
  setup(e) {
    const t = e, r = y(() => t.value > t.max && !t.overflow ? 100 : t.value / t.max * 100), a = y(() => t.value > t.max ? 100 : r.value);
    return (o, n) => (c(), d("div", Mo, [
      o.showPercentage || o.showValues ? (c(), _(kt, {
        key: 0,
        size: o.size,
        showOptionalLabel: o.showPercentage,
        optionalLabel: Math.round(r.value) + "%"
      }, {
        default: S(() => [
          o.showValues ? (c(), d("span", Uo, C(t.value.toLocaleString()) + " / " + C(t.max.toLocaleString()), 1)) : w("", !0)
        ]),
        _: 1
      }, 8, ["size", "showOptionalLabel", "optionalLabel"])) : w("", !0),
      b("div", Io, [
        b("div", {
          class: "bcc-progress-bar",
          style: ye({ width: a.value + "%" })
        }, null, 4)
      ])
    ]));
  }
}), zo = {
  key: 0,
  class: "mx-1 text-xs"
}, jo = /* @__PURE__ */ T({
  __name: "BccReactEmoji",
  props: {
    id: {},
    emoji: {},
    count: {},
    selected: { type: Boolean }
  },
  setup(e) {
    const t = e, r = q(!1);
    return ce(
      () => t.count,
      () => {
        r.value = !0, setTimeout(() => {
          r.value = !1;
        }, 1e3);
      }
    ), (a, o) => (c(), d("button", {
      class: L(["bcc-react-emoji-list-item", {
        "bcc-react-emoji-list-item--selected": a.selected,
        "animate-wiggle": r.value
      }])
    }, [
      b("span", null, C(a.emoji), 1),
      a.count && a.count > 1 ? (c(), d("span", zo, C(a.count), 1)) : w("", !0)
    ], 2));
  }
}), Ro = { class: "bcc-react" }, Ho = { class: "bcc-react-list" }, No = {
  key: 1,
  class: "bcc-react-empty"
}, Zo = ["onClick"], O0 = /* @__PURE__ */ T({
  __name: "BccReact",
  props: {
    emojis: {},
    top: { type: Boolean, default: !1 },
    placeholder: { default: "Be the first to react 😉" }
  },
  emits: ["toggle"],
  setup(e, { emit: t }) {
    const r = e, a = y(() => {
      const l = r.emojis.filter((i) => i.count && i.count > 0);
      return l.sort((i, s) => s.count - i.count), l;
    }), o = q(!1);
    function n(l) {
      t("toggle", l.id), setTimeout(() => {
        o.value = !1;
      }, 250);
    }
    return (l, i) => (c(), d("div", Ro, [
      F(tt, { name: "bcc-fade" }, {
        default: S(() => [
          o.value || l.emojis.some((s) => !s.selected) ? (c(), d("button", {
            key: "toggle",
            onClick: i[0] || (i[0] = (s) => o.value = !o.value),
            class: L(["bcc-react-toggle", [l.top ? "rounded-b-full" : "rounded-t-full"]])
          }, [
            o.value ? (c(), _(h(ra), {
              key: 0,
              class: "w-6"
            })) : (c(), _(h(aa), {
              key: 1,
              class: "w-6"
            }))
          ], 2)) : w("", !0),
          b("div", Ho, [
            a.value.length > 0 ? (c(), _(tt, {
              key: 0,
              name: "bcc-explode",
              appear: ""
            }, {
              default: S(() => [
                (c(!0), d(j, null, se(a.value, (s) => (c(), _(_r, {
                  key: s.id
                }, [
                  F(jo, be({
                    onClick: (u) => n(s)
                  }, s), null, 16, ["onClick"])
                ], 1024))), 128))
              ]),
              _: 1
            })) : l.placeholder ? (c(), d("p", No, [
              F(h(da), { class: "mr-1 w-4" }),
              J(" " + C(l.placeholder), 1)
            ])) : w("", !0)
          ])
        ]),
        _: 1
      }),
      F(Fe, { name: "bcc-scale-fast" }, {
        default: S(() => [
          o.value ? (c(), d("div", {
            key: "list",
            class: L(["bcc-react-selector", { "bcc-react-selector--top": l.top }])
          }, [
            F(tt, { name: "bcc-explode" }, {
              default: S(() => [
                (c(!0), d(j, null, se(l.emojis, (s) => (c(), d(j, {
                  key: s.id
                }, [
                  s.selected ? w("", !0) : (c(), d("button", {
                    key: 0,
                    onClick: (u) => n(s),
                    class: "bcc-react-selector-item"
                  }, C(s.emoji), 9, Zo))
                ], 64))), 128))
              ]),
              _: 1
            })
          ], 2)) : w("", !0)
        ]),
        _: 1
      })
    ]));
  }
}), Vo = ["src"], Wo = ["src"], Go = { class: "bcc-graphic-poster-logo bcc-graphic-poster-logo--loading" }, br = {
  ultraWide: "42.85%",
  // 21:9
  wide: "56.25%",
  // 16:9
  landscape: "75%",
  // 4:3
  square: "100%",
  // 1:1
  portrait: "133.33%"
  // 3:4
}, ct = {
  none: "",
  sm: "rounded-sm",
  base: "rounded",
  md: "rounded-md",
  xl: "rounded-xl"
}, Ko = /* @__PURE__ */ T({
  __name: "BccGraphicPoster",
  props: {
    bannerSrc: {},
    logoSrc: {},
    rounding: { default: "xl" },
    ratio: { default: "wide" }
  },
  setup(e) {
    const t = q(!1), r = q(!1);
    return (a, o) => (c(), d("div", {
      class: L(["bcc-graphic-poster", ct[a.rounding]]),
      style: ye(`padding-bottom: ${br[a.ratio]}`)
    }, [
      a.bannerSrc ? (c(), d(j, { key: 0 }, [
        qe(b("img", {
          onLoad: o[0] || (o[0] = (n) => t.value = !0),
          src: a.bannerSrc,
          defer: "",
          class: L(["bcc-graphic-poster-banner", ct[a.rounding]])
        }, null, 42, Vo), [
          [Re, t.value]
        ]),
        qe(b("div", {
          class: L(["bcc-graphic-poster-banner bcc-graphic-poster-banner--loading", ct[a.rounding]])
        }, null, 2), [
          [Re, !t.value]
        ])
      ], 64)) : w("", !0),
      a.logoSrc ? (c(), d(j, { key: 1 }, [
        qe(b("img", {
          onLoad: o[1] || (o[1] = (n) => r.value = !0),
          src: a.logoSrc,
          defer: "",
          class: "bcc-graphic-poster-logo"
        }, null, 40, Wo), [
          [Re, r.value]
        ]),
        qe(b("div", Go, null, 512), [
          [Re, !r.value]
        ])
      ], 64)) : w("", !0)
    ], 6));
  }
}), Yo = {
  key: 0,
  class: "bcc-graphic-open-in"
}, P0 = /* @__PURE__ */ T({
  __name: "BccGraphic",
  props: {
    bannerSrc: {},
    logoSrc: {},
    checked: { type: Boolean, default: !1 },
    linkOut: { type: Boolean, default: !1 },
    ratio: { default: "wide" },
    rounding: { default: "xl" }
  },
  setup(e) {
    return (t, r) => (c(), d("div", {
      class: "bcc-graphic",
      style: ye(`padding-bottom: ${h(br)[t.ratio]}`)
    }, [
      t.linkOut ? (c(), d("div", Yo, [
        F(h(ba), { class: "bcc-graphic-open-in-icon" })
      ])) : w("", !0),
      t.checked ? (c(), _(h(ia), {
        key: 1,
        class: "bcc-graphic-check-icon"
      })) : w("", !0),
      F(Ko, {
        class: "absolute",
        bannerSrc: t.bannerSrc,
        logoSrc: t.logoSrc,
        ratio: t.ratio,
        rounding: t.rounding
      }, null, 8, ["bannerSrc", "logoSrc", "ratio", "rounding"])
    ], 4));
  }
}), Qo = {
  key: 0,
  class: "bcc-header-overline"
}, Xo = { class: "bcc-header-title-wrapper" }, Jo = { class: "bcc-header-title" }, e0 = {
  key: 1,
  class: "bcc-header-underline"
}, M0 = /* @__PURE__ */ T({
  __name: "BccHeader",
  props: {
    title: {},
    overline: {},
    underline: {}
  },
  setup(e) {
    return (t, r) => (c(), d("div", null, [
      t.overline ? (c(), d("p", Qo, C(t.overline), 1)) : w("", !0),
      b("div", Xo, [
        b("h2", Jo, C(t.title), 1),
        P(t.$slots, "infoRight")
      ]),
      t.underline ? (c(), d("p", e0, C(t.underline), 1)) : w("", !0)
    ]));
  }
}), t0 = { class: "bcc-info" }, r0 = { class: "bcc-info-title" }, a0 = { class: "bcc-info-wrapper" }, n0 = {
  key: 1,
  class: "truncate"
}, U0 = /* @__PURE__ */ T({
  __name: "BccInfo",
  props: {
    title: {},
    infoIcon: { type: Function },
    infoText: {}
  },
  setup(e) {
    return (t, r) => (c(), d("div", t0, [
      b("div", null, [
        b("h4", r0, C(t.title), 1),
        b("div", a0, [
          t.infoIcon ? (c(), _(X(t.infoIcon), {
            key: 0,
            class: "bcc-info-icon"
          })) : w("", !0),
          t.infoText ? (c(), d("p", n0, C(t.infoText), 1)) : w("", !0)
        ])
      ]),
      P(t.$slots, "infoRight")
    ]));
  }
}), o0 = { class: "bcc-item-tile" }, l0 = {
  key: 0,
  class: "bcc-item-tile-overline"
}, i0 = { class: "bcc-item-tile-title" }, I0 = /* @__PURE__ */ T({
  __name: "BccItemTile",
  props: {
    title: {},
    overline: {}
  },
  setup(e) {
    return (t, r) => (c(), d("div", o0, [
      b("div", null, [
        t.overline ? (c(), d("p", l0, C(t.overline), 1)) : w("", !0),
        b("h2", i0, C(t.title), 1)
      ]),
      P(t.$slots, "default")
    ]));
  }
}), s0 = { class: "bcc-link-item border-secondary group" }, c0 = { class: "bcc-link-item-label" }, u0 = { class: "bcc-link-item-arrow group-hover:pr-0" }, z0 = /* @__PURE__ */ T({
  __name: "BccLinkItem",
  setup(e) {
    return (t, r) => (c(), d("div", s0, [
      b("label", c0, [
        P(t.$slots, "default")
      ]),
      b("div", u0, [
        F(h(oa), { class: "bcc-link-item-icon" })
      ])
    ]));
  }
}), d0 = { class: "bcc-stepper-container" }, f0 = {
  key: 0,
  class: "bcc-stepper-header"
}, p0 = { class: "bcc-stepper-current-step" }, b0 = { class: "bcc-stepper-current-label" }, v0 = { class: "bcc-stepper-indicators" }, j0 = /* @__PURE__ */ T({
  __name: "BccStepper",
  props: {
    currentStep: { default: 0 },
    steps: { default: () => [""] },
    additionalText: { type: Boolean, default: !0 }
  },
  setup(e) {
    const t = e, r = y(() => ({
      current: t.currentStep + 1,
      total: t.steps.length,
      currentStepLabel: t.steps[t.currentStep]
    }));
    return (a, o) => (c(), d("div", d0, [
      t.additionalText ? (c(), d("div", f0, [
        b("span", p0, "Step " + C(r.value.current) + " of " + C(r.value.total), 1),
        b("span", b0, C(r.value.currentStepLabel), 1)
      ])) : w("", !0),
      b("div", v0, [
        (c(!0), d(j, null, se(t.steps, (n, l) => (c(), d("div", {
          key: l,
          class: "bcc-stepper-indicator-container"
        }, [
          b("div", {
            class: L(["bcc-stepper-indicator", {
              "bcc-stepper-indicator-active": l === t.currentStep,
              "bcc-stepper-indicator-inactive": l !== t.currentStep,
              "bcc-stepper-indicator-completed": l <= t.currentStep,
              "bcc-stepper-indicator-pending": l > t.currentStep
            }])
          }, null, 2)
        ]))), 128))
      ])
    ]));
  }
});
export {
  y0 as BccAlert,
  w0 as BccAvatar,
  ka as BccBadge,
  F0 as BccBanner,
  We as BccButton,
  T0 as BccCapacityIndicator,
  k0 as BccCheckbox,
  x0 as BccCookieBanner,
  kt as BccFormLabel,
  Kt as BccFormMessage,
  P0 as BccGraphic,
  M0 as BccHeader,
  U0 as BccInfo,
  q0 as BccInput,
  I0 as BccItemTile,
  z0 as BccLinkItem,
  _0 as BccModal,
  io as BccPin,
  D0 as BccProgress,
  $0 as BccRadio,
  O0 as BccReact,
  E0 as BccSelect,
  A0 as BccSpinner,
  C0 as BccStatusIndicator,
  j0 as BccStepper,
  L0 as BccTable,
  S0 as BccTabs,
  B0 as BccToggle,
  h0 as bccForbundetTheme,
  g0 as tailwindPlugin,
  Bt as useAnimatedNumber
};
